diff -u -r -N squid-3.0.STABLE8/aclocal.m4 squid-3.0.STABLE9/aclocal.m4
--- squid-3.0.STABLE8/aclocal.m4	2008-07-18 22:02:46.000000000 +1200
+++ squid-3.0.STABLE9/aclocal.m4	2008-09-10 04:06:36.000000000 +1200
@@ -13,7 +13,7 @@
 
 # libtool.m4 - Configure libtool for the host system. -*-Autoconf-*-
 
-# serial 51 AC_PROG_LIBTOOL
+# serial 52 AC_PROG_LIBTOOL
 
 
 # AC_PROVIDE_IFELSE(MACRO-NAME, IF-PROVIDED, IF-NOT-PROVIDED)
@@ -101,7 +101,6 @@
 AC_REQUIRE([AC_OBJEXT])dnl
 AC_REQUIRE([AC_EXEEXT])dnl
 dnl
-
 AC_LIBTOOL_SYS_MAX_CMD_LEN
 AC_LIBTOOL_SYS_GLOBAL_SYMBOL_PIPE
 AC_LIBTOOL_OBJDIR
@@ -203,6 +202,8 @@
   ;;
 esac
 
+_LT_REQUIRED_DARWIN_CHECKS
+
 AC_PROVIDE_IFELSE([AC_LIBTOOL_DLOPEN], enable_dlopen=yes, enable_dlopen=no)
 AC_PROVIDE_IFELSE([AC_LIBTOOL_WIN32_DLL],
 enable_win32_dll=yes, enable_win32_dll=no)
@@ -282,9 +283,80 @@
 echo "$lt_simple_link_test_code" >conftest.$ac_ext
 eval "$ac_link" 2>&1 >/dev/null | $SED '/^$/d; /^ *+/d' >conftest.err
 _lt_linker_boilerplate=`cat conftest.err`
-$rm conftest*
+$rm -r conftest*
 ])# _LT_LINKER_BOILERPLATE
 
+# _LT_REQUIRED_DARWIN_CHECKS
+# --------------------------
+# Check for some things on darwin
+AC_DEFUN([_LT_REQUIRED_DARWIN_CHECKS],[
+  case $host_os in
+    rhapsody* | darwin*)
+    AC_CHECK_TOOL([DSYMUTIL], [dsymutil], [:])
+    AC_CHECK_TOOL([NMEDIT], [nmedit], [:])
+
+    AC_CACHE_CHECK([for -single_module linker flag],[lt_cv_apple_cc_single_mod],
+      [lt_cv_apple_cc_single_mod=no
+      if test -z "${LT_MULTI_MODULE}"; then
+   # By default we will add the -single_module flag. You can override
+   # by either setting the environment variable LT_MULTI_MODULE
+   # non-empty at configure time, or by adding -multi_module to the
+   # link flags.
+   echo "int foo(void){return 1;}" > conftest.c
+   $LTCC $LTCFLAGS $LDFLAGS -o libconftest.dylib \
+     -dynamiclib ${wl}-single_module conftest.c
+   if test -f libconftest.dylib; then
+     lt_cv_apple_cc_single_mod=yes
+     rm -rf libconftest.dylib*
+   fi
+   rm conftest.c
+      fi])
+    AC_CACHE_CHECK([for -exported_symbols_list linker flag],
+      [lt_cv_ld_exported_symbols_list],
+      [lt_cv_ld_exported_symbols_list=no
+      save_LDFLAGS=$LDFLAGS
+      echo "_main" > conftest.sym
+      LDFLAGS="$LDFLAGS -Wl,-exported_symbols_list,conftest.sym"
+      AC_LINK_IFELSE([AC_LANG_PROGRAM([],[])],
+   [lt_cv_ld_exported_symbols_list=yes],
+   [lt_cv_ld_exported_symbols_list=no])
+   LDFLAGS="$save_LDFLAGS"
+    ])
+    case $host_os in
+    rhapsody* | darwin1.[[0123]])
+      _lt_dar_allow_undefined='${wl}-undefined ${wl}suppress' ;;
+    darwin1.*)
+     _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
+    darwin*)
+      # if running on 10.5 or later, the deployment target defaults
+      # to the OS version, if on x86, and 10.4, the deployment
+      # target defaults to 10.4. Don't you love it?
+      case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
+   10.0,*86*-darwin8*|10.0,*-darwin[[91]]*)
+     _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
+   10.[[012]]*)
+     _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
+   10.*)
+     _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
+      esac
+    ;;
+  esac
+    if test "$lt_cv_apple_cc_single_mod" = "yes"; then
+      _lt_dar_single_mod='$single_module'
+    fi
+    if test "$lt_cv_ld_exported_symbols_list" = "yes"; then
+      _lt_dar_export_syms=' ${wl}-exported_symbols_list,$output_objdir/${libname}-symbols.expsym'
+    else
+      _lt_dar_export_syms="~$NMEDIT -s \$output_objdir/\${libname}-symbols.expsym \${lib}"
+    fi
+    if test "$DSYMUTIL" != ":"; then
+      _lt_dsymutil="~$DSYMUTIL \$lib || :"
+    else
+      _lt_dsymutil=
+    fi
+    ;;
+  esac
+])
 
 # _LT_AC_SYS_LIBPATH_AIX
 # ----------------------
@@ -609,7 +681,11 @@
     *64-bit*)
       case $lt_cv_prog_gnu_ld in
       yes*) LD="${LD-ld} -m elf64_sparc" ;;
-      *)    LD="${LD-ld} -64" ;;
+      *)
+        if ${LD-ld} -64 -r -o conftest2.o conftest.o >/dev/null 2>&1; then
+	  LD="${LD-ld} -64"
+	fi
+	;;
       esac
       ;;
     esac
@@ -702,7 +778,7 @@
        $2=yes
      fi
    fi
-   $rm conftest*
+   $rm -r conftest*
    LDFLAGS="$save_LDFLAGS"
 ])
 
@@ -973,7 +1049,7 @@
     AC_CHECK_FUNC([shl_load],
 	  [lt_cv_dlopen="shl_load"],
       [AC_CHECK_LIB([dld], [shl_load],
-	    [lt_cv_dlopen="shl_load" lt_cv_dlopen_libs="-dld"],
+	    [lt_cv_dlopen="shl_load" lt_cv_dlopen_libs="-ldld"],
 	[AC_CHECK_FUNC([dlopen],
 	      [lt_cv_dlopen="dlopen"],
 	  [AC_CHECK_LIB([dl], [dlopen],
@@ -981,7 +1057,7 @@
 	    [AC_CHECK_LIB([svld], [dlopen],
 		  [lt_cv_dlopen="dlopen" lt_cv_dlopen_libs="-lsvld"],
 	      [AC_CHECK_LIB([dld], [dld_link],
-		    [lt_cv_dlopen="dld_link" lt_cv_dlopen_libs="-dld"])
+		    [lt_cv_dlopen="dld_link" lt_cv_dlopen_libs="-ldld"])
 	      ])
 	    ])
 	  ])
@@ -1298,7 +1374,7 @@
   soname_spec='${libname}${release}${shared_ext}$major'
   ;;
 
-aix4* | aix5*)
+aix[[4-9]]*)
   version_type=linux
   need_lib_prefix=no
   need_version=no
@@ -1819,6 +1895,13 @@
 AC_MSG_RESULT([$dynamic_linker])
 test "$dynamic_linker" = no && can_build_shared=no
 
+AC_CACHE_VAL([lt_cv_sys_lib_search_path_spec],
+[lt_cv_sys_lib_search_path_spec="$sys_lib_search_path_spec"])
+sys_lib_search_path_spec="$lt_cv_sys_lib_search_path_spec"
+AC_CACHE_VAL([lt_cv_sys_lib_dlsearch_path_spec],
+[lt_cv_sys_lib_dlsearch_path_spec="$sys_lib_dlsearch_path_spec"])
+sys_lib_dlsearch_path_spec="$lt_cv_sys_lib_dlsearch_path_spec"
+
 variables_saved_for_relink="PATH $shlibpath_var $runpath_var"
 if test "$GCC" = yes; then
   variables_saved_for_relink="$variables_saved_for_relink GCC_EXEC_PREFIX COMPILER_PATH LIBRARY_PATH"
@@ -2318,7 +2401,7 @@
 # whether `pass_all' will *always* work, you probably want this one.
 
 case $host_os in
-aix4* | aix5*)
+aix[[4-9]]*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
@@ -2754,7 +2837,7 @@
   fi
   ;;
 
-aix4* | aix5*)
+aix[[4-9]]*)
   if test "$host_cpu" != ia64 && test "$aix_use_runtimelinking" = no ; then
     test "$enable_shared" = yes && enable_static=no
   fi
@@ -2811,6 +2894,7 @@
 _LT_AC_TAGVAR(predeps, $1)=
 _LT_AC_TAGVAR(postdeps, $1)=
 _LT_AC_TAGVAR(compiler_lib_search_path, $1)=
+_LT_AC_TAGVAR(compiler_lib_search_dirs, $1)=
 
 # Source file extension for C++ test sources.
 ac_ext=cpp
@@ -2920,7 +3004,7 @@
     # FIXME: insert proper C++ library support
     _LT_AC_TAGVAR(ld_shlibs, $1)=no
     ;;
-  aix4* | aix5*)
+  aix[[4-9]]*)
     if test "$host_cpu" = ia64; then
       # On IA64, the linker does run time linking by default, so we don't
       # have to do anything special.
@@ -2933,7 +3017,7 @@
       # Test if we are trying to use run time linking or normal
       # AIX style linking. If -brtl is somewhere in LDFLAGS, we
       # need to do runtime linking.
-      case $host_os in aix4.[[23]]|aix4.[[23]].*|aix5*)
+      case $host_os in aix4.[[23]]|aix4.[[23]].*|aix[[5-9]]*)
 	for ld_flag in $LDFLAGS; do
 	  case $ld_flag in
 	  *-brtl*)
@@ -3079,51 +3163,23 @@
     fi
   ;;
       darwin* | rhapsody*)
-        case $host_os in
-        rhapsody* | darwin1.[[012]])
-         _LT_AC_TAGVAR(allow_undefined_flag, $1)='${wl}-undefined ${wl}suppress'
-         ;;
-       *) # Darwin 1.3 on
-         if test -z ${MACOSX_DEPLOYMENT_TARGET} ; then
-           _LT_AC_TAGVAR(allow_undefined_flag, $1)='${wl}-flat_namespace ${wl}-undefined ${wl}suppress'
-         else
-           case ${MACOSX_DEPLOYMENT_TARGET} in
-             10.[[012]])
-               _LT_AC_TAGVAR(allow_undefined_flag, $1)='${wl}-flat_namespace ${wl}-undefined ${wl}suppress'
-               ;;
-             10.*)
-               _LT_AC_TAGVAR(allow_undefined_flag, $1)='${wl}-undefined ${wl}dynamic_lookup'
-               ;;
-           esac
-         fi
-         ;;
-        esac
       _LT_AC_TAGVAR(archive_cmds_need_lc, $1)=no
       _LT_AC_TAGVAR(hardcode_direct, $1)=no
       _LT_AC_TAGVAR(hardcode_automatic, $1)=yes
       _LT_AC_TAGVAR(hardcode_shlibpath_var, $1)=unsupported
       _LT_AC_TAGVAR(whole_archive_flag_spec, $1)=''
       _LT_AC_TAGVAR(link_all_deplibs, $1)=yes
-
-    if test "$GXX" = yes ; then
-      lt_int_apple_cc_single_mod=no
+      _LT_AC_TAGVAR(allow_undefined_flag, $1)="$_lt_dar_allow_undefined"
+      if test "$GXX" = yes ; then
       output_verbose_link_cmd='echo'
-      if $CC -dumpspecs 2>&1 | $EGREP 'single_module' >/dev/null ; then
-       lt_int_apple_cc_single_mod=yes
+      _LT_AC_TAGVAR(archive_cmds, $1)="\$CC -dynamiclib \$allow_undefined_flag -o \$lib \$libobjs \$deplibs \$compiler_flags -install_name \$rpath/\$soname \$verstring $_lt_dar_single_mod${_lt_dsymutil}"
+      _LT_AC_TAGVAR(module_cmds, $1)="\$CC \$allow_undefined_flag -o \$lib -bundle \$libobjs \$deplibs \$compiler_flags${_lt_dsymutil}"
+      _LT_AC_TAGVAR(archive_expsym_cmds, $1)="sed 's,^,_,' < \$export_symbols > \$output_objdir/\${libname}-symbols.expsym~\$CC -dynamiclib \$allow_undefined_flag -o \$lib \$libobjs \$deplibs \$compiler_flags -install_name \$rpath/\$soname \$verstring ${_lt_dar_single_mod}${_lt_dar_export_syms}${_lt_dsymutil}"
+      _LT_AC_TAGVAR(module_expsym_cmds, $1)="sed -e 's,^,_,' < \$export_symbols > \$output_objdir/\${libname}-symbols.expsym~\$CC \$allow_undefined_flag -o \$lib -bundle \$libobjs \$deplibs \$compiler_flags${_lt_dar_export_syms}${_lt_dsymutil}"
+      if test "$lt_cv_apple_cc_single_mod" != "yes"; then
+        _LT_AC_TAGVAR(archive_cmds, $1)="\$CC -r -keep_private_externs -nostdlib -o \${lib}-master.o \$libobjs~\$CC -dynamiclib \$allow_undefined_flag -o \$lib \${lib}-master.o \$deplibs \$compiler_flags -install_name \$rpath/\$soname \$verstring${_lt_dsymutil}"
+        _LT_AC_TAGVAR(archive_expsym_cmds, $1)="sed 's,^,_,' < \$export_symbols > \$output_objdir/\${libname}-symbols.expsym~\$CC -r -keep_private_externs -nostdlib -o \${lib}-master.o \$libobjs~\$CC -dynamiclib \$allow_undefined_flag -o \$lib \${lib}-master.o \$deplibs \$compiler_flags -install_name \$rpath/\$soname \$verstring${_lt_dar_export_syms}${_lt_dsymutil}"
       fi
-      if test "X$lt_int_apple_cc_single_mod" = Xyes ; then
-       _LT_AC_TAGVAR(archive_cmds, $1)='$CC -dynamiclib -single_module $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags -install_name $rpath/$soname $verstring'
-      else
-          _LT_AC_TAGVAR(archive_cmds, $1)='$CC -r -keep_private_externs -nostdlib -o ${lib}-master.o $libobjs~$CC -dynamiclib $allow_undefined_flag -o $lib ${lib}-master.o $deplibs $compiler_flags -install_name $rpath/$soname $verstring'
-        fi
-        _LT_AC_TAGVAR(module_cmds, $1)='$CC $allow_undefined_flag -o $lib -bundle $libobjs $deplibs$compiler_flags'
-        # Don't fix this by using the ld -exported_symbols_list flag, it doesn't exist in older darwin lds
-          if test "X$lt_int_apple_cc_single_mod" = Xyes ; then
-            _LT_AC_TAGVAR(archive_expsym_cmds, $1)='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC -dynamiclib -single_module $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags -install_name $rpath/$soname $verstring~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
-          else
-            _LT_AC_TAGVAR(archive_expsym_cmds, $1)='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC -r -keep_private_externs -nostdlib -o ${lib}-master.o $libobjs~$CC -dynamiclib $allow_undefined_flag -o $lib ${lib}-master.o $deplibs $compiler_flags -install_name $rpath/$soname $verstring~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
-          fi
-            _LT_AC_TAGVAR(module_expsym_cmds, $1)='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC $allow_undefined_flag  -o $lib -bundle $libobjs $deplibs$compiler_flags~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
       else
       case $cc_basename in
         xlc*)
@@ -3374,7 +3430,7 @@
 	_LT_AC_TAGVAR(export_dynamic_flag_spec, $1)='${wl}--export-dynamic'
 	_LT_AC_TAGVAR(whole_archive_flag_spec, $1)='${wl}--whole-archive$convenience ${wl}--no-whole-archive'
 	;;
-      pgCC*)
+      pgCC* | pgcpp*)
         # Portland Group C++ compiler
 	_LT_AC_TAGVAR(archive_cmds, $1)='$CC -shared $pic_flag $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-soname ${wl}$soname -o $lib'
   	_LT_AC_TAGVAR(archive_expsym_cmds, $1)='$CC -shared $pic_flag $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-soname ${wl}$soname ${wl}-retain-symbols-file ${wl}$export_symbols -o $lib'
@@ -3809,7 +3865,8 @@
 # compiler output when linking a shared library.
 # Parse the compiler output and extract the necessary
 # objects, libraries and library flags.
-AC_DEFUN([AC_LIBTOOL_POSTDEP_PREDEP],[
+AC_DEFUN([AC_LIBTOOL_POSTDEP_PREDEP],
+[AC_REQUIRE([LT_AC_PROG_SED])dnl
 dnl we can't use the lt_simple_compile_test_code here,
 dnl because it contains code intended for an executable,
 dnl not a library.  It's possible we should let each
@@ -3934,6 +3991,11 @@
 
 $rm -f confest.$objext
 
+_LT_AC_TAGVAR(compiler_lib_search_dirs, $1)=
+if test -n "$_LT_AC_TAGVAR(compiler_lib_search_path, $1)"; then
+  _LT_AC_TAGVAR(compiler_lib_search_dirs, $1)=`echo " ${_LT_AC_TAGVAR(compiler_lib_search_path, $1)}" | ${SED} -e 's! -L! !g' -e 's!^ !!'`
+fi
+
 # PORTME: override above test on systems where it is broken
 ifelse([$1],[CXX],
 [case $host_os in
@@ -3990,7 +4052,6 @@
   ;;
 esac
 ])
-
 case " $_LT_AC_TAGVAR(postdeps, $1) " in
 *" -lc "*) _LT_AC_TAGVAR(archive_cmds_need_lc, $1)=no ;;
 esac
@@ -4075,7 +4136,7 @@
     postinstall_cmds='$RANLIB $lib'
   fi
   ;;
-aix4* | aix5*)
+aix[[4-9]]*)
   if test "$host_cpu" != ia64 && test "$aix_use_runtimelinking" = no ; then
     test "$enable_shared" = yes && enable_static=no
   fi
@@ -4252,6 +4313,7 @@
     _LT_AC_TAGVAR(predeps, $1) \
     _LT_AC_TAGVAR(postdeps, $1) \
     _LT_AC_TAGVAR(compiler_lib_search_path, $1) \
+    _LT_AC_TAGVAR(compiler_lib_search_dirs, $1) \
     _LT_AC_TAGVAR(archive_cmds, $1) \
     _LT_AC_TAGVAR(archive_expsym_cmds, $1) \
     _LT_AC_TAGVAR(postinstall_cmds, $1) \
@@ -4314,7 +4376,7 @@
 # Generated automatically by $PROGRAM (GNU $PACKAGE $VERSION$TIMESTAMP)
 # NOTE: Changes made to this file will be lost: look at ltmain.sh.
 #
-# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007
+# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008
 # Free Software Foundation, Inc.
 #
 # This file is part of GNU Libtool:
@@ -4551,6 +4613,10 @@
 # shared library.
 postdeps=$lt_[]_LT_AC_TAGVAR(postdeps, $1)
 
+# The directories searched by this compiler when creating a shared
+# library
+compiler_lib_search_dirs=$lt_[]_LT_AC_TAGVAR(compiler_lib_search_dirs, $1)
+
 # The library search path used internally by the compiler when linking
 # a shared library.
 compiler_lib_search_path=$lt_[]_LT_AC_TAGVAR(compiler_lib_search_path, $1)
@@ -4900,7 +4966,7 @@
     echo "$progname: failed program was:" >&AS_MESSAGE_LOG_FD
     cat conftest.$ac_ext >&5
   fi
-  rm -f conftest* conftst*
+  rm -rf conftest* conftst*
 
   # Do not use the global_symbol_pipe unless it works.
   if test "$pipe_works" = yes; then
@@ -4957,7 +5023,8 @@
       # built for inclusion in a dll (and should export symbols for example).
       # Although the cygwin gcc ignores -fPIC, still need this for old-style
       # (--disable-auto-import) libraries
-      _LT_AC_TAGVAR(lt_prog_compiler_pic, $1)='-DDLL_EXPORT'
+      m4_if([$1], [GCJ], [],
+	[_LT_AC_TAGVAR(lt_prog_compiler_pic, $1)='-DDLL_EXPORT'])
       ;;
     darwin* | rhapsody*)
       # PIC is the default on this platform
@@ -4994,7 +5061,7 @@
     esac
   else
     case $host_os in
-      aix4* | aix5*)
+      aix[[4-9]]*)
 	# All AIX code is PIC.
 	if test "$host_cpu" = ia64; then
 	  # AIX 5 now supports IA64 processor
@@ -5090,7 +5157,7 @@
 	    _LT_AC_TAGVAR(lt_prog_compiler_pic, $1)='-KPIC'
 	    _LT_AC_TAGVAR(lt_prog_compiler_static, $1)='-static'
 	    ;;
-	  pgCC*)
+	  pgCC* | pgcpp*)
 	    # Portland Group C++ compiler.
 	    _LT_AC_TAGVAR(lt_prog_compiler_wl, $1)='-Wl,'
 	    _LT_AC_TAGVAR(lt_prog_compiler_pic, $1)='-fpic'
@@ -5241,7 +5308,8 @@
       # built for inclusion in a dll (and should export symbols for example).
       # Although the cygwin gcc ignores -fPIC, still need this for old-style
       # (--disable-auto-import) libraries
-      _LT_AC_TAGVAR(lt_prog_compiler_pic, $1)='-DDLL_EXPORT'
+      m4_if([$1], [GCJ], [],
+	[_LT_AC_TAGVAR(lt_prog_compiler_pic, $1)='-DDLL_EXPORT'])
       ;;
 
     darwin* | rhapsody*)
@@ -5311,7 +5379,8 @@
     mingw* | cygwin* | pw32* | os2*)
       # This hack is so that the source file can tell whether it is being
       # built for inclusion in a dll (and should export symbols for example).
-      _LT_AC_TAGVAR(lt_prog_compiler_pic, $1)='-DDLL_EXPORT'
+      m4_if([$1], [GCJ], [],
+	[_LT_AC_TAGVAR(lt_prog_compiler_pic, $1)='-DDLL_EXPORT'])
       ;;
 
     hpux9* | hpux10* | hpux11*)
@@ -5448,7 +5517,7 @@
 #
 if test -n "$_LT_AC_TAGVAR(lt_prog_compiler_pic, $1)"; then
   AC_LIBTOOL_COMPILER_OPTION([if $compiler PIC flag $_LT_AC_TAGVAR(lt_prog_compiler_pic, $1) works],
-    _LT_AC_TAGVAR(lt_prog_compiler_pic_works, $1),
+    _LT_AC_TAGVAR(lt_cv_prog_compiler_pic_works, $1),
     [$_LT_AC_TAGVAR(lt_prog_compiler_pic, $1)ifelse([$1],[],[ -DPIC],[ifelse([$1],[CXX],[ -DPIC],[])])], [],
     [case $_LT_AC_TAGVAR(lt_prog_compiler_pic, $1) in
      "" | " "*) ;;
@@ -5472,7 +5541,7 @@
 #
 wl=$_LT_AC_TAGVAR(lt_prog_compiler_wl, $1) eval lt_tmp_static_flag=\"$_LT_AC_TAGVAR(lt_prog_compiler_static, $1)\"
 AC_LIBTOOL_LINKER_OPTION([if $compiler static flag $lt_tmp_static_flag works],
-  _LT_AC_TAGVAR(lt_prog_compiler_static_works, $1),
+  _LT_AC_TAGVAR(lt_cv_prog_compiler_static_works, $1),
   $lt_tmp_static_flag,
   [],
   [_LT_AC_TAGVAR(lt_prog_compiler_static, $1)=])
@@ -5488,7 +5557,7 @@
 ifelse([$1],[CXX],[
   _LT_AC_TAGVAR(export_symbols_cmds, $1)='$NM $libobjs $convenience | $global_symbol_pipe | $SED '\''s/.* //'\'' | sort | uniq > $export_symbols'
   case $host_os in
-  aix4* | aix5*)
+  aix[[4-9]]*)
     # If we're using GNU nm, then we don't want the "-C" option.
     # -C means demangle to AIX nm, but means don't demangle with GNU nm
     if $NM -V 2>&1 | grep 'GNU' > /dev/null; then
@@ -5507,6 +5576,7 @@
     _LT_AC_TAGVAR(export_symbols_cmds, $1)='$NM $libobjs $convenience | $global_symbol_pipe | $SED '\''s/.* //'\'' | sort | uniq > $export_symbols'
   ;;
   esac
+  _LT_AC_TAGVAR(exclude_expsyms, $1)=['_GLOBAL_OFFSET_TABLE_|_GLOBAL__F[ID]_.*']
 ],[
   runpath_var=
   _LT_AC_TAGVAR(allow_undefined_flag, $1)=
@@ -5537,12 +5607,14 @@
   # it will be wrapped by ` (' and `)$', so one must not match beginning or
   # end of line.  Example: `a|bc|.*d.*' will exclude the symbols `a' and `bc',
   # as well as any symbol that contains `d'.
-  _LT_AC_TAGVAR(exclude_expsyms, $1)="_GLOBAL_OFFSET_TABLE_"
+  _LT_AC_TAGVAR(exclude_expsyms, $1)=['_GLOBAL_OFFSET_TABLE_|_GLOBAL__F[ID]_.*']
   # Although _GLOBAL_OFFSET_TABLE_ is a valid symbol C name, most a.out
   # platforms (ab)use it in PIC code, but their linkers get confused if
   # the symbol is explicitly referenced.  Since portable code cannot
   # rely on this symbol name, it's probably fine to never include it in
   # preloaded symbol tables.
+  # Exclude shared library initialization/finalization symbols.
+dnl Note also adjust exclude_expsyms for C++ above.
   extract_expsyms_cmds=
   # Just being paranoid about ensuring that cc_basename is set.
   _LT_CC_BASENAME([$compiler])
@@ -5592,7 +5664,7 @@
 
     # See if GNU ld supports shared libraries.
     case $host_os in
-    aix3* | aix4* | aix5*)
+    aix[[3-9]]*)
       # On AIX/PPC, the GNU linker is very broken
       if test "$host_cpu" != ia64; then
 	_LT_AC_TAGVAR(ld_shlibs, $1)=no
@@ -5811,7 +5883,7 @@
       fi
       ;;
 
-    aix4* | aix5*)
+    aix[[4-9]]*)
       if test "$host_cpu" = ia64; then
 	# On IA64, the linker does run time linking by default, so we don't
 	# have to do anything special.
@@ -5831,7 +5903,7 @@
 	# Test if we are trying to use run time linking or normal
 	# AIX style linking. If -brtl is somewhere in LDFLAGS, we
 	# need to do runtime linking.
-	case $host_os in aix4.[[23]]|aix4.[[23]].*|aix5*)
+	case $host_os in aix4.[[23]]|aix4.[[23]].*|aix[[5-9]]*)
 	  for ld_flag in $LDFLAGS; do
   	  if (test $ld_flag = "-brtl" || test $ld_flag = "-Wl,-brtl"); then
   	    aix_use_runtimelinking=yes
@@ -5991,11 +6063,10 @@
       _LT_AC_TAGVAR(link_all_deplibs, $1)=yes
     if test "$GCC" = yes ; then
     	output_verbose_link_cmd='echo'
-        _LT_AC_TAGVAR(archive_cmds, $1)='$CC -dynamiclib $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags -install_name $rpath/$soname $verstring'
-      _LT_AC_TAGVAR(module_cmds, $1)='$CC $allow_undefined_flag -o $lib -bundle $libobjs $deplibs$compiler_flags'
-      # Don't fix this by using the ld -exported_symbols_list flag, it doesn't exist in older darwin lds
-      _LT_AC_TAGVAR(archive_expsym_cmds, $1)='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC -dynamiclib $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags -install_name $rpath/$soname $verstring~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
-      _LT_AC_TAGVAR(module_expsym_cmds, $1)='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC $allow_undefined_flag  -o $lib -bundle $libobjs $deplibs$compiler_flags~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
+        _LT_AC_TAGVAR(archive_cmds, $1)="\$CC -dynamiclib \$allow_undefined_flag -o \$lib \$libobjs \$deplibs \$compiler_flags -install_name \$rpath/\$soname \$verstring $_lt_dar_single_mod${_lt_dsymutil}"
+        _LT_AC_TAGVAR(module_cmds, $1)="\$CC \$allow_undefined_flag -o \$lib -bundle \$libobjs \$deplibs \$compiler_flags${_lt_dsymutil}"
+        _LT_AC_TAGVAR(archive_expsym_cmds, $1)="sed 's,^,_,' < \$export_symbols > \$output_objdir/\${libname}-symbols.expsym~\$CC -dynamiclib \$allow_undefined_flag -o \$lib \$libobjs \$deplibs \$compiler_flags -install_name \$rpath/\$soname \$verstring ${_lt_dar_single_mod}${_lt_dar_export_syms}${_lt_dsymutil}"
+        _LT_AC_TAGVAR(module_expsym_cmds, $1)="sed -e 's,^,_,' < \$export_symbols > \$output_objdir/\${libname}-symbols.expsym~\$CC \$allow_undefined_flag -o \$lib -bundle \$libobjs \$deplibs \$compiler_flags${_lt_dar_export_syms}${_lt_dsymutil}"
     else
       case $cc_basename in
         xlc*)
@@ -6577,7 +6648,7 @@
 ])
 
 
-# serial 8 AC_LIB_LTDL
+# serial 9 AC_LIB_LTDL
 
 # AC_WITH_LTDL
 # ------------
@@ -6691,7 +6762,7 @@
     # we want this `case' here to explicitly catch those versions.
     libltdl_cv_sys_dlopen_deplibs=unknown
     ;;
-  aix[[45]]*)
+  aix[[4-9]]*)
     libltdl_cv_sys_dlopen_deplibs=yes
     ;;
   darwin*)
diff -u -r -N squid-3.0.STABLE8/cfgaux/ltmain.sh squid-3.0.STABLE9/cfgaux/ltmain.sh
--- squid-3.0.STABLE8/cfgaux/ltmain.sh	2008-07-18 22:02:46.000000000 +1200
+++ squid-3.0.STABLE9/cfgaux/ltmain.sh	2008-09-10 04:06:36.000000000 +1200
@@ -2,7 +2,7 @@
 # NOTE: Changing this file will not affect anything until you rerun configure.
 #
 # Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2003, 2004, 2005, 2006,
-# 2007  Free Software Foundation, Inc.
+# 2007, 2008  Free Software Foundation, Inc.
 # Originally by Gordon Matzigkeit <gord@gnu.ai.mit.edu>, 1996
 #
 # This program is free software; you can redistribute it and/or modify
@@ -43,8 +43,8 @@
 
 PROGRAM=ltmain.sh
 PACKAGE=libtool
-VERSION=1.5.24
-TIMESTAMP=" (1.1220.2.455 2007/06/24 02:13:29)"
+VERSION=1.5.26
+TIMESTAMP=" (1.1220.2.492 2008/01/30 06:40:56)"
 
 # Be Bourne compatible (taken from Autoconf:_AS_BOURNE_COMPATIBLE).
 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
@@ -113,15 +113,21 @@
 # These must not be set unconditionally because not all systems understand
 # e.g. LANG=C (notably SCO).
 # We save the old values to restore during execute mode.
-for lt_var in LANG LC_ALL LC_CTYPE LC_COLLATE LC_MESSAGES
+lt_env=
+for lt_var in LANG LANGUAGE LC_ALL LC_CTYPE LC_COLLATE LC_MESSAGES
 do
   eval "if test \"\${$lt_var+set}\" = set; then
 	  save_$lt_var=\$$lt_var
+	  lt_env=\"$lt_var=\$$lt_var \$lt_env\"
 	  $lt_var=C
 	  export $lt_var
 	fi"
 done
 
+if test -n "$lt_env"; then
+  lt_env="env $lt_env"
+fi
+
 # Make sure IFS has a sensible default
 lt_nl='
 '
@@ -514,7 +520,7 @@
     echo "\
 $PROGRAM (GNU $PACKAGE) $VERSION$TIMESTAMP
 
-Copyright (C) 2007  Free Software Foundation, Inc.
+Copyright (C) 2008  Free Software Foundation, Inc.
 This is free software; see the source for copying conditions.  There is NO
 warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE."
     exit $?
@@ -817,6 +823,7 @@
     *.for) xform=for ;;
     *.java) xform=java ;;
     *.obj) xform=obj ;;
+    *.sx) xform=sx ;;
     esac
 
     libobj=`$echo "X$libobj" | $Xsed -e "s/\.$xform$/.lo/"`
@@ -985,7 +992,7 @@
       $run $rm "$lobj" "$output_obj"
 
       $show "$command"
-      if $run eval "$command"; then :
+      if $run eval $lt_env "$command"; then :
       else
 	test -n "$output_obj" && $run $rm $removelist
 	exit $EXIT_FAILURE
@@ -1057,7 +1064,7 @@
       command="$command$suppress_output"
       $run $rm "$obj" "$output_obj"
       $show "$command"
-      if $run eval "$command"; then :
+      if $run eval $lt_env "$command"; then :
       else
 	$run $rm $removelist
 	exit $EXIT_FAILURE
@@ -1190,6 +1197,7 @@
     thread_safe=no
     vinfo=
     vinfo_number=no
+    single_module="${wl}-single_module"
 
     func_infer_tag $base_compile
 
@@ -1676,6 +1684,11 @@
 	continue
 	;;
 
+      -multi_module)
+	single_module="${wl}-multi_module"
+	continue
+	;;
+
       -module)
 	module=yes
 	continue
@@ -2202,7 +2215,12 @@
 	    continue
 	  fi
 	  name=`$echo "X$deplib" | $Xsed -e 's/^-l//'`
-	  for searchdir in $newlib_search_path $lib_search_path $sys_lib_search_path $shlib_search_path; do
+	  if test "$linkmode" = lib; then
+	    searchdirs="$newlib_search_path $lib_search_path $compiler_lib_search_dirs $sys_lib_search_path $shlib_search_path"
+	  else
+	    searchdirs="$newlib_search_path $lib_search_path $sys_lib_search_path $shlib_search_path"
+	  fi
+	  for searchdir in $searchdirs; do
 	    for search_ext in .la $std_shrext .so .a; do
 	      # Search the libtool library
 	      lib="$searchdir/lib${name}${search_ext}"
@@ -2998,12 +3016,18 @@
 		  # we do not want to link against static libs,
 		  # but need to link against shared
 		  eval deplibrary_names=`${SED} -n -e 's/^library_names=\(.*\)$/\1/p' $deplib`
+		  eval deplibdir=`${SED} -n -e 's/^libdir=\(.*\)$/\1/p' $deplib`
 		  if test -n "$deplibrary_names" ; then
 		    for tmp in $deplibrary_names ; do
 		      depdepl=$tmp
 		    done
-		    if test -f "$path/$depdepl" ; then
+		    if test -f "$deplibdir/$depdepl" ; then
+		      depdepl="$deplibdir/$depdepl"
+	      	    elif test -f "$path/$depdepl" ; then
 		      depdepl="$path/$depdepl"
+		    else
+		      # Can't find it, oh well...
+		      depdepl=
 		    fi
 		    # do not add paths which are already there
 		    case " $newlib_search_path " in
@@ -3151,9 +3175,10 @@
 
     case $linkmode in
     oldlib)
-      if test -n "$deplibs"; then
-	$echo "$modename: warning: \`-l' and \`-L' are ignored for archives" 1>&2
-      fi
+      case " $deplibs" in
+      *\ -l* | *\ -L*)
+	$echo "$modename: warning: \`-l' and \`-L' are ignored for archives" 1>&2 ;;
+      esac
 
       if test -n "$dlfiles$dlprefiles" || test "$dlself" != no; then
 	$echo "$modename: warning: \`-dlopen' is ignored for archives" 1>&2
@@ -4290,9 +4315,10 @@
       ;;
 
     obj)
-      if test -n "$deplibs"; then
-	$echo "$modename: warning: \`-l' and \`-L' are ignored for objects" 1>&2
-      fi
+      case " $deplibs" in
+      *\ -l* | *\ -L*)
+	$echo "$modename: warning: \`-l' and \`-L' are ignored for objects" 1>&2 ;;
+      esac
 
       if test -n "$dlfiles$dlprefiles" || test "$dlself" != no; then
 	$echo "$modename: warning: \`-dlopen' is ignored for objects" 1>&2
@@ -6534,7 +6560,7 @@
       fi
 
       # Restore saved environment variables
-      for lt_var in LANG LC_ALL LC_CTYPE LC_COLLATE LC_MESSAGES
+      for lt_var in LANG LANGUAGE LC_ALL LC_CTYPE LC_COLLATE LC_MESSAGES
       do
 	eval "if test \"\${save_$lt_var+set}\" = set; then
 		$lt_var=\$save_$lt_var; export $lt_var
diff -u -r -N squid-3.0.STABLE8/ChangeLog squid-3.0.STABLE9/ChangeLog
--- squid-3.0.STABLE8/ChangeLog	2008-07-18 22:02:45.000000000 +1200
+++ squid-3.0.STABLE9/ChangeLog	2008-09-10 04:06:36.000000000 +1200
@@ -1,3 +1,20 @@
+Changes to squid-3.0.STABLE9 (9 Sep 2008):
+
+	- Policy Enforcement: COSS is unusable in 3.0
+	- Port from 3.1: Language Pack compatibility
+	- Port from 2.6: Windows Support Notes
+	- Fix several minor regressions:
+	    HTCP stats reporting
+	    cachemgr delay pool config
+	    CARP build error
+	- Bug 2340: uudecode dependency for icons removed
+	- Bug 2352: no_check.pl ntlm challenge fix
+	- Bug 2426: buffer increase for kerberos auth fields
+	- Bug 2427: squid_ldap_group codes fix
+	- Bug 2437: peer name now shown in access.log
+	- Add sane display of unsupported method errors
+	- ... and various other code cleanups
+
 Changes to squid-3.0.STABLE8 (18 Jul 2008):
 
 	- Port from 2.6: Support for cachemgr sub-actions
diff -u -r -N squid-3.0.STABLE8/configure squid-3.0.STABLE9/configure
--- squid-3.0.STABLE8/configure	2008-07-18 22:02:55.000000000 +1200
+++ squid-3.0.STABLE9/configure	2008-09-10 04:06:45.000000000 +1200
@@ -1,7 +1,7 @@
 #! /bin/sh
 # From configure.in Revision: 1.488.2.3 .
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.61 for Squid Web Proxy 3.0.STABLE8.
+# Generated by GNU Autoconf 2.61 for Squid Web Proxy 3.0.STABLE9.
 #
 # Report bugs to <http://www.squid-cache.org/bugs/>.
 #
@@ -729,8 +729,8 @@
 # Identity of this package.
 PACKAGE_NAME='Squid Web Proxy'
 PACKAGE_TARNAME='squid'
-PACKAGE_VERSION='3.0.STABLE8'
-PACKAGE_STRING='Squid Web Proxy 3.0.STABLE8'
+PACKAGE_VERSION='3.0.STABLE9'
+PACKAGE_STRING='Squid Web Proxy 3.0.STABLE9'
 PACKAGE_BUGREPORT='http://www.squid-cache.org/bugs/'
 
 ac_unique_file="src/main.cc"
@@ -869,6 +869,8 @@
 ECHO
 AR
 RANLIB
+DSYMUTIL
+NMEDIT
 CPP
 CXXCPP
 F77
@@ -1507,7 +1509,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures Squid Web Proxy 3.0.STABLE8 to adapt to many kinds of systems.
+\`configure' configures Squid Web Proxy 3.0.STABLE9 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1577,7 +1579,7 @@
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of Squid Web Proxy 3.0.STABLE8:";;
+     short | recursive ) echo "Configuration of Squid Web Proxy 3.0.STABLE9:";;
    esac
   cat <<\_ACEOF
 
@@ -1886,7 +1888,7 @@
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-Squid Web Proxy configure 3.0.STABLE8
+Squid Web Proxy configure 3.0.STABLE9
 generated by GNU Autoconf 2.61
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -1900,7 +1902,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by Squid Web Proxy $as_me 3.0.STABLE8, which was
+It was created by Squid Web Proxy $as_me 3.0.STABLE9, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   $ $0 $@
@@ -2574,7 +2576,7 @@
 
 # Define the identity of the package.
  PACKAGE='squid'
- VERSION='3.0.STABLE8'
+ VERSION='3.0.STABLE9'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -5124,7 +5126,7 @@
 # whether `pass_all' will *always* work, you probably want this one.
 
 case $host_os in
-aix4* | aix5*)
+aix[4-9]*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
@@ -5340,7 +5342,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 5343 "configure"' > conftest.$ac_ext
+  echo '#line 5345 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -5512,7 +5514,11 @@
     *64-bit*)
       case $lt_cv_prog_gnu_ld in
       yes*) LD="${LD-ld} -m elf64_sparc" ;;
-      *)    LD="${LD-ld} -64" ;;
+      *)
+        if ${LD-ld} -64 -r -o conftest2.o conftest.o >/dev/null 2>&1; then
+	  LD="${LD-ld} -64"
+	fi
+	;;
       esac
       ;;
     esac
@@ -6642,7 +6648,6 @@
 
 
 # Autoconf 2.13's AC_OBJEXT and AC_EXEEXT macros only works for C compilers!
-
 # find the maximum length of command line arguments
 { echo "$as_me:$LINENO: checking the maximum length of command line arguments" >&5
 echo $ECHO_N "checking the maximum length of command line arguments... $ECHO_C" >&6; }
@@ -6957,7 +6962,7 @@
     echo "$progname: failed program was:" >&5
     cat conftest.$ac_ext >&5
   fi
-  rm -f conftest* conftst*
+  rm -rf conftest* conftst*
 
   # Do not use the global_symbol_pipe unless it works.
   if test "$pipe_works" = yes; then
@@ -7517,6 +7522,318 @@
   ;;
 esac
 
+
+  case $host_os in
+    rhapsody* | darwin*)
+    if test -n "$ac_tool_prefix"; then
+  # Extract the first word of "${ac_tool_prefix}dsymutil", so it can be a program name with args.
+set dummy ${ac_tool_prefix}dsymutil; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_DSYMUTIL+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$DSYMUTIL"; then
+  ac_cv_prog_DSYMUTIL="$DSYMUTIL" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_DSYMUTIL="${ac_tool_prefix}dsymutil"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+fi
+fi
+DSYMUTIL=$ac_cv_prog_DSYMUTIL
+if test -n "$DSYMUTIL"; then
+  { echo "$as_me:$LINENO: result: $DSYMUTIL" >&5
+echo "${ECHO_T}$DSYMUTIL" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
+fi
+if test -z "$ac_cv_prog_DSYMUTIL"; then
+  ac_ct_DSYMUTIL=$DSYMUTIL
+  # Extract the first word of "dsymutil", so it can be a program name with args.
+set dummy dsymutil; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_ac_ct_DSYMUTIL+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$ac_ct_DSYMUTIL"; then
+  ac_cv_prog_ac_ct_DSYMUTIL="$ac_ct_DSYMUTIL" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_ac_ct_DSYMUTIL="dsymutil"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+fi
+fi
+ac_ct_DSYMUTIL=$ac_cv_prog_ac_ct_DSYMUTIL
+if test -n "$ac_ct_DSYMUTIL"; then
+  { echo "$as_me:$LINENO: result: $ac_ct_DSYMUTIL" >&5
+echo "${ECHO_T}$ac_ct_DSYMUTIL" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+  if test "x$ac_ct_DSYMUTIL" = x; then
+    DSYMUTIL=":"
+  else
+    case $cross_compiling:$ac_tool_warned in
+yes:)
+{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&5
+echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&2;}
+ac_tool_warned=yes ;;
+esac
+    DSYMUTIL=$ac_ct_DSYMUTIL
+  fi
+else
+  DSYMUTIL="$ac_cv_prog_DSYMUTIL"
+fi
+
+    if test -n "$ac_tool_prefix"; then
+  # Extract the first word of "${ac_tool_prefix}nmedit", so it can be a program name with args.
+set dummy ${ac_tool_prefix}nmedit; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_NMEDIT+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$NMEDIT"; then
+  ac_cv_prog_NMEDIT="$NMEDIT" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_NMEDIT="${ac_tool_prefix}nmedit"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+fi
+fi
+NMEDIT=$ac_cv_prog_NMEDIT
+if test -n "$NMEDIT"; then
+  { echo "$as_me:$LINENO: result: $NMEDIT" >&5
+echo "${ECHO_T}$NMEDIT" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
+fi
+if test -z "$ac_cv_prog_NMEDIT"; then
+  ac_ct_NMEDIT=$NMEDIT
+  # Extract the first word of "nmedit", so it can be a program name with args.
+set dummy nmedit; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_ac_ct_NMEDIT+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$ac_ct_NMEDIT"; then
+  ac_cv_prog_ac_ct_NMEDIT="$ac_ct_NMEDIT" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_ac_ct_NMEDIT="nmedit"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+fi
+fi
+ac_ct_NMEDIT=$ac_cv_prog_ac_ct_NMEDIT
+if test -n "$ac_ct_NMEDIT"; then
+  { echo "$as_me:$LINENO: result: $ac_ct_NMEDIT" >&5
+echo "${ECHO_T}$ac_ct_NMEDIT" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+  if test "x$ac_ct_NMEDIT" = x; then
+    NMEDIT=":"
+  else
+    case $cross_compiling:$ac_tool_warned in
+yes:)
+{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&5
+echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&2;}
+ac_tool_warned=yes ;;
+esac
+    NMEDIT=$ac_ct_NMEDIT
+  fi
+else
+  NMEDIT="$ac_cv_prog_NMEDIT"
+fi
+
+
+    { echo "$as_me:$LINENO: checking for -single_module linker flag" >&5
+echo $ECHO_N "checking for -single_module linker flag... $ECHO_C" >&6; }
+if test "${lt_cv_apple_cc_single_mod+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  lt_cv_apple_cc_single_mod=no
+      if test -z "${LT_MULTI_MODULE}"; then
+   # By default we will add the -single_module flag. You can override
+   # by either setting the environment variable LT_MULTI_MODULE
+   # non-empty at configure time, or by adding -multi_module to the
+   # link flags.
+   echo "int foo(void){return 1;}" > conftest.c
+   $LTCC $LTCFLAGS $LDFLAGS -o libconftest.dylib \
+     -dynamiclib ${wl}-single_module conftest.c
+   if test -f libconftest.dylib; then
+     lt_cv_apple_cc_single_mod=yes
+     rm -rf libconftest.dylib*
+   fi
+   rm conftest.c
+      fi
+fi
+{ echo "$as_me:$LINENO: result: $lt_cv_apple_cc_single_mod" >&5
+echo "${ECHO_T}$lt_cv_apple_cc_single_mod" >&6; }
+    { echo "$as_me:$LINENO: checking for -exported_symbols_list linker flag" >&5
+echo $ECHO_N "checking for -exported_symbols_list linker flag... $ECHO_C" >&6; }
+if test "${lt_cv_ld_exported_symbols_list+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  lt_cv_ld_exported_symbols_list=no
+      save_LDFLAGS=$LDFLAGS
+      echo "_main" > conftest.sym
+      LDFLAGS="$LDFLAGS -Wl,-exported_symbols_list,conftest.sym"
+      cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  lt_cv_ld_exported_symbols_list=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	lt_cv_ld_exported_symbols_list=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+   LDFLAGS="$save_LDFLAGS"
+
+fi
+{ echo "$as_me:$LINENO: result: $lt_cv_ld_exported_symbols_list" >&5
+echo "${ECHO_T}$lt_cv_ld_exported_symbols_list" >&6; }
+    case $host_os in
+    rhapsody* | darwin1.[0123])
+      _lt_dar_allow_undefined='${wl}-undefined ${wl}suppress' ;;
+    darwin1.*)
+     _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
+    darwin*)
+      # if running on 10.5 or later, the deployment target defaults
+      # to the OS version, if on x86, and 10.4, the deployment
+      # target defaults to 10.4. Don't you love it?
+      case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
+   10.0,*86*-darwin8*|10.0,*-darwin[91]*)
+     _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
+   10.[012]*)
+     _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
+   10.*)
+     _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
+      esac
+    ;;
+  esac
+    if test "$lt_cv_apple_cc_single_mod" = "yes"; then
+      _lt_dar_single_mod='$single_module'
+    fi
+    if test "$lt_cv_ld_exported_symbols_list" = "yes"; then
+      _lt_dar_export_syms=' ${wl}-exported_symbols_list,$output_objdir/${libname}-symbols.expsym'
+    else
+      _lt_dar_export_syms="~$NMEDIT -s \$output_objdir/\${libname}-symbols.expsym \${lib}"
+    fi
+    if test "$DSYMUTIL" != ":"; then
+      _lt_dsymutil="~$DSYMUTIL \$lib || :"
+    else
+      _lt_dsymutil=
+    fi
+    ;;
+  esac
+
+
 enable_dlopen=no
 enable_win32_dll=no
 
@@ -7582,7 +7899,7 @@
 echo "$lt_simple_link_test_code" >conftest.$ac_ext
 eval "$ac_link" 2>&1 >/dev/null | $SED '/^$/d; /^ *+/d' >conftest.err
 _lt_linker_boilerplate=`cat conftest.err`
-$rm conftest*
+$rm -r conftest*
 
 
 
@@ -7610,11 +7927,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7613: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7930: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7617: \$? = $ac_status" >&5
+   echo "$as_me:7934: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7884,10 +8201,10 @@
 
 { echo "$as_me:$LINENO: checking if $compiler PIC flag $lt_prog_compiler_pic works" >&5
 echo $ECHO_N "checking if $compiler PIC flag $lt_prog_compiler_pic works... $ECHO_C" >&6; }
-if test "${lt_prog_compiler_pic_works+set}" = set; then
+if test "${lt_cv_prog_compiler_pic_works+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  lt_prog_compiler_pic_works=no
+  lt_cv_prog_compiler_pic_works=no
   ac_outfile=conftest.$ac_objext
    echo "$lt_simple_compile_test_code" > conftest.$ac_ext
    lt_compiler_flag="$lt_prog_compiler_pic -DPIC"
@@ -7900,27 +8217,27 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7903: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8220: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7907: \$? = $ac_status" >&5
+   echo "$as_me:8224: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
      $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
      $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
      if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
-       lt_prog_compiler_pic_works=yes
+       lt_cv_prog_compiler_pic_works=yes
      fi
    fi
    $rm conftest*
 
 fi
-{ echo "$as_me:$LINENO: result: $lt_prog_compiler_pic_works" >&5
-echo "${ECHO_T}$lt_prog_compiler_pic_works" >&6; }
+{ echo "$as_me:$LINENO: result: $lt_cv_prog_compiler_pic_works" >&5
+echo "${ECHO_T}$lt_cv_prog_compiler_pic_works" >&6; }
 
-if test x"$lt_prog_compiler_pic_works" = xyes; then
+if test x"$lt_cv_prog_compiler_pic_works" = xyes; then
     case $lt_prog_compiler_pic in
      "" | " "*) ;;
      *) lt_prog_compiler_pic=" $lt_prog_compiler_pic" ;;
@@ -7947,10 +8264,10 @@
 wl=$lt_prog_compiler_wl eval lt_tmp_static_flag=\"$lt_prog_compiler_static\"
 { echo "$as_me:$LINENO: checking if $compiler static flag $lt_tmp_static_flag works" >&5
 echo $ECHO_N "checking if $compiler static flag $lt_tmp_static_flag works... $ECHO_C" >&6; }
-if test "${lt_prog_compiler_static_works+set}" = set; then
+if test "${lt_cv_prog_compiler_static_works+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  lt_prog_compiler_static_works=no
+  lt_cv_prog_compiler_static_works=no
    save_LDFLAGS="$LDFLAGS"
    LDFLAGS="$LDFLAGS $lt_tmp_static_flag"
    echo "$lt_simple_link_test_code" > conftest.$ac_ext
@@ -7963,20 +8280,20 @@
        $echo "X$_lt_linker_boilerplate" | $Xsed -e '/^$/d' > conftest.exp
        $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
        if diff conftest.exp conftest.er2 >/dev/null; then
-         lt_prog_compiler_static_works=yes
+         lt_cv_prog_compiler_static_works=yes
        fi
      else
-       lt_prog_compiler_static_works=yes
+       lt_cv_prog_compiler_static_works=yes
      fi
    fi
-   $rm conftest*
+   $rm -r conftest*
    LDFLAGS="$save_LDFLAGS"
 
 fi
-{ echo "$as_me:$LINENO: result: $lt_prog_compiler_static_works" >&5
-echo "${ECHO_T}$lt_prog_compiler_static_works" >&6; }
+{ echo "$as_me:$LINENO: result: $lt_cv_prog_compiler_static_works" >&5
+echo "${ECHO_T}$lt_cv_prog_compiler_static_works" >&6; }
 
-if test x"$lt_prog_compiler_static_works" = xyes; then
+if test x"$lt_cv_prog_compiler_static_works" = xyes; then
     :
 else
     lt_prog_compiler_static=
@@ -8004,11 +8321,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8007: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8324: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:8011: \$? = $ac_status" >&5
+   echo "$as_me:8328: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -8088,12 +8405,13 @@
   # it will be wrapped by ` (' and `)$', so one must not match beginning or
   # end of line.  Example: `a|bc|.*d.*' will exclude the symbols `a' and `bc',
   # as well as any symbol that contains `d'.
-  exclude_expsyms="_GLOBAL_OFFSET_TABLE_"
+  exclude_expsyms='_GLOBAL_OFFSET_TABLE_|_GLOBAL__F[ID]_.*'
   # Although _GLOBAL_OFFSET_TABLE_ is a valid symbol C name, most a.out
   # platforms (ab)use it in PIC code, but their linkers get confused if
   # the symbol is explicitly referenced.  Since portable code cannot
   # rely on this symbol name, it's probably fine to never include it in
   # preloaded symbol tables.
+  # Exclude shared library initialization/finalization symbols.
   extract_expsyms_cmds=
   # Just being paranoid about ensuring that cc_basename is set.
   for cc_temp in $compiler""; do
@@ -8152,7 +8470,7 @@
 
     # See if GNU ld supports shared libraries.
     case $host_os in
-    aix3* | aix4* | aix5*)
+    aix[3-9]*)
       # On AIX/PPC, the GNU linker is very broken
       if test "$host_cpu" != ia64; then
 	ld_shlibs=no
@@ -8371,7 +8689,7 @@
       fi
       ;;
 
-    aix4* | aix5*)
+    aix[4-9]*)
       if test "$host_cpu" = ia64; then
 	# On IA64, the linker does run time linking by default, so we don't
 	# have to do anything special.
@@ -8391,7 +8709,7 @@
 	# Test if we are trying to use run time linking or normal
 	# AIX style linking. If -brtl is somewhere in LDFLAGS, we
 	# need to do runtime linking.
-	case $host_os in aix4.[23]|aix4.[23].*|aix5*)
+	case $host_os in aix4.[23]|aix4.[23].*|aix[5-9]*)
 	  for ld_flag in $LDFLAGS; do
   	  if (test $ld_flag = "-brtl" || test $ld_flag = "-Wl,-brtl"); then
   	    aix_use_runtimelinking=yes
@@ -8663,11 +8981,10 @@
       link_all_deplibs=yes
     if test "$GCC" = yes ; then
     	output_verbose_link_cmd='echo'
-        archive_cmds='$CC -dynamiclib $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags -install_name $rpath/$soname $verstring'
-      module_cmds='$CC $allow_undefined_flag -o $lib -bundle $libobjs $deplibs$compiler_flags'
-      # Don't fix this by using the ld -exported_symbols_list flag, it doesn't exist in older darwin lds
-      archive_expsym_cmds='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC -dynamiclib $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags -install_name $rpath/$soname $verstring~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
-      module_expsym_cmds='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC $allow_undefined_flag  -o $lib -bundle $libobjs $deplibs$compiler_flags~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
+        archive_cmds="\$CC -dynamiclib \$allow_undefined_flag -o \$lib \$libobjs \$deplibs \$compiler_flags -install_name \$rpath/\$soname \$verstring $_lt_dar_single_mod${_lt_dsymutil}"
+        module_cmds="\$CC \$allow_undefined_flag -o \$lib -bundle \$libobjs \$deplibs \$compiler_flags${_lt_dsymutil}"
+        archive_expsym_cmds="sed 's,^,_,' < \$export_symbols > \$output_objdir/\${libname}-symbols.expsym~\$CC -dynamiclib \$allow_undefined_flag -o \$lib \$libobjs \$deplibs \$compiler_flags -install_name \$rpath/\$soname \$verstring ${_lt_dar_single_mod}${_lt_dar_export_syms}${_lt_dsymutil}"
+        module_expsym_cmds="sed -e 's,^,_,' < \$export_symbols > \$output_objdir/\${libname}-symbols.expsym~\$CC \$allow_undefined_flag -o \$lib -bundle \$libobjs \$deplibs \$compiler_flags${_lt_dar_export_syms}${_lt_dsymutil}"
     else
       case $cc_basename in
         xlc*)
@@ -9187,7 +9504,7 @@
   soname_spec='${libname}${release}${shared_ext}$major'
   ;;
 
-aix4* | aix5*)
+aix[4-9]*)
   version_type=linux
   need_lib_prefix=no
   need_version=no
@@ -9709,6 +10026,21 @@
 echo "${ECHO_T}$dynamic_linker" >&6; }
 test "$dynamic_linker" = no && can_build_shared=no
 
+if test "${lt_cv_sys_lib_search_path_spec+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  lt_cv_sys_lib_search_path_spec="$sys_lib_search_path_spec"
+fi
+
+sys_lib_search_path_spec="$lt_cv_sys_lib_search_path_spec"
+if test "${lt_cv_sys_lib_dlsearch_path_spec+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  lt_cv_sys_lib_dlsearch_path_spec="$sys_lib_dlsearch_path_spec"
+fi
+
+sys_lib_dlsearch_path_spec="$lt_cv_sys_lib_dlsearch_path_spec"
+
 variables_saved_for_relink="PATH $shlibpath_var $runpath_var"
 if test "$GCC" = yes; then
   variables_saved_for_relink="$variables_saved_for_relink GCC_EXEC_PREFIX COMPILER_PATH LIBRARY_PATH"
@@ -10028,7 +10360,7 @@
 { echo "$as_me:$LINENO: result: $ac_cv_lib_dld_shl_load" >&5
 echo "${ECHO_T}$ac_cv_lib_dld_shl_load" >&6; }
 if test $ac_cv_lib_dld_shl_load = yes; then
-  lt_cv_dlopen="shl_load" lt_cv_dlopen_libs="-dld"
+  lt_cv_dlopen="shl_load" lt_cv_dlopen_libs="-ldld"
 else
   { echo "$as_me:$LINENO: checking for dlopen" >&5
 echo $ECHO_N "checking for dlopen... $ECHO_C" >&6; }
@@ -10304,7 +10636,7 @@
 { echo "$as_me:$LINENO: result: $ac_cv_lib_dld_dld_link" >&5
 echo "${ECHO_T}$ac_cv_lib_dld_dld_link" >&6; }
 if test $ac_cv_lib_dld_dld_link = yes; then
-  lt_cv_dlopen="dld_link" lt_cv_dlopen_libs="-dld"
+  lt_cv_dlopen="dld_link" lt_cv_dlopen_libs="-ldld"
 fi
 
 
@@ -10353,7 +10685,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10356 "configure"
+#line 10688 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10453,7 +10785,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10456 "configure"
+#line 10788 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10580,7 +10912,7 @@
   fi
   ;;
 
-aix4* | aix5*)
+aix[4-9]*)
   if test "$host_cpu" != ia64 && test "$aix_use_runtimelinking" = no ; then
     test "$enable_shared" = yes && enable_static=no
   fi
@@ -10636,6 +10968,7 @@
     predeps \
     postdeps \
     compiler_lib_search_path \
+    compiler_lib_search_dirs \
     archive_cmds \
     archive_expsym_cmds \
     postinstall_cmds \
@@ -10696,7 +11029,7 @@
 # Generated automatically by $PROGRAM (GNU $PACKAGE $VERSION$TIMESTAMP)
 # NOTE: Changes made to this file will be lost: look at ltmain.sh.
 #
-# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007
+# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008
 # Free Software Foundation, Inc.
 #
 # This file is part of GNU Libtool:
@@ -10932,6 +11265,10 @@
 # shared library.
 postdeps=$lt_postdeps
 
+# The directories searched by this compiler when creating a shared
+# library
+compiler_lib_search_dirs=$lt_compiler_lib_search_dirs
+
 # The library search path used internally by the compiler when linking
 # a shared library.
 compiler_lib_search_path=$lt_compiler_lib_search_path
@@ -11180,6 +11517,7 @@
 predeps_CXX=
 postdeps_CXX=
 compiler_lib_search_path_CXX=
+compiler_lib_search_dirs_CXX=
 
 # Source file extension for C++ test sources.
 ac_ext=cpp
@@ -11217,7 +11555,7 @@
 echo "$lt_simple_link_test_code" >conftest.$ac_ext
 eval "$ac_link" 2>&1 >/dev/null | $SED '/^$/d; /^ *+/d' >conftest.err
 _lt_linker_boilerplate=`cat conftest.err`
-$rm conftest*
+$rm -r conftest*
 
 
 # Allow CC to be a program name with arguments.
@@ -11424,7 +11762,7 @@
     # FIXME: insert proper C++ library support
     ld_shlibs_CXX=no
     ;;
-  aix4* | aix5*)
+  aix[4-9]*)
     if test "$host_cpu" = ia64; then
       # On IA64, the linker does run time linking by default, so we don't
       # have to do anything special.
@@ -11437,7 +11775,7 @@
       # Test if we are trying to use run time linking or normal
       # AIX style linking. If -brtl is somewhere in LDFLAGS, we
       # need to do runtime linking.
-      case $host_os in aix4.[23]|aix4.[23].*|aix5*)
+      case $host_os in aix4.[23]|aix4.[23].*|aix[5-9]*)
 	for ld_flag in $LDFLAGS; do
 	  case $ld_flag in
 	  *-brtl*)
@@ -11695,51 +12033,23 @@
     fi
   ;;
       darwin* | rhapsody*)
-        case $host_os in
-        rhapsody* | darwin1.[012])
-         allow_undefined_flag_CXX='${wl}-undefined ${wl}suppress'
-         ;;
-       *) # Darwin 1.3 on
-         if test -z ${MACOSX_DEPLOYMENT_TARGET} ; then
-           allow_undefined_flag_CXX='${wl}-flat_namespace ${wl}-undefined ${wl}suppress'
-         else
-           case ${MACOSX_DEPLOYMENT_TARGET} in
-             10.[012])
-               allow_undefined_flag_CXX='${wl}-flat_namespace ${wl}-undefined ${wl}suppress'
-               ;;
-             10.*)
-               allow_undefined_flag_CXX='${wl}-undefined ${wl}dynamic_lookup'
-               ;;
-           esac
-         fi
-         ;;
-        esac
       archive_cmds_need_lc_CXX=no
       hardcode_direct_CXX=no
       hardcode_automatic_CXX=yes
       hardcode_shlibpath_var_CXX=unsupported
       whole_archive_flag_spec_CXX=''
       link_all_deplibs_CXX=yes
-
-    if test "$GXX" = yes ; then
-      lt_int_apple_cc_single_mod=no
+      allow_undefined_flag_CXX="$_lt_dar_allow_undefined"
+      if test "$GXX" = yes ; then
       output_verbose_link_cmd='echo'
-      if $CC -dumpspecs 2>&1 | $EGREP 'single_module' >/dev/null ; then
-       lt_int_apple_cc_single_mod=yes
+      archive_cmds_CXX="\$CC -dynamiclib \$allow_undefined_flag -o \$lib \$libobjs \$deplibs \$compiler_flags -install_name \$rpath/\$soname \$verstring $_lt_dar_single_mod${_lt_dsymutil}"
+      module_cmds_CXX="\$CC \$allow_undefined_flag -o \$lib -bundle \$libobjs \$deplibs \$compiler_flags${_lt_dsymutil}"
+      archive_expsym_cmds_CXX="sed 's,^,_,' < \$export_symbols > \$output_objdir/\${libname}-symbols.expsym~\$CC -dynamiclib \$allow_undefined_flag -o \$lib \$libobjs \$deplibs \$compiler_flags -install_name \$rpath/\$soname \$verstring ${_lt_dar_single_mod}${_lt_dar_export_syms}${_lt_dsymutil}"
+      module_expsym_cmds_CXX="sed -e 's,^,_,' < \$export_symbols > \$output_objdir/\${libname}-symbols.expsym~\$CC \$allow_undefined_flag -o \$lib -bundle \$libobjs \$deplibs \$compiler_flags${_lt_dar_export_syms}${_lt_dsymutil}"
+      if test "$lt_cv_apple_cc_single_mod" != "yes"; then
+        archive_cmds_CXX="\$CC -r -keep_private_externs -nostdlib -o \${lib}-master.o \$libobjs~\$CC -dynamiclib \$allow_undefined_flag -o \$lib \${lib}-master.o \$deplibs \$compiler_flags -install_name \$rpath/\$soname \$verstring${_lt_dsymutil}"
+        archive_expsym_cmds_CXX="sed 's,^,_,' < \$export_symbols > \$output_objdir/\${libname}-symbols.expsym~\$CC -r -keep_private_externs -nostdlib -o \${lib}-master.o \$libobjs~\$CC -dynamiclib \$allow_undefined_flag -o \$lib \${lib}-master.o \$deplibs \$compiler_flags -install_name \$rpath/\$soname \$verstring${_lt_dar_export_syms}${_lt_dsymutil}"
       fi
-      if test "X$lt_int_apple_cc_single_mod" = Xyes ; then
-       archive_cmds_CXX='$CC -dynamiclib -single_module $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags -install_name $rpath/$soname $verstring'
-      else
-          archive_cmds_CXX='$CC -r -keep_private_externs -nostdlib -o ${lib}-master.o $libobjs~$CC -dynamiclib $allow_undefined_flag -o $lib ${lib}-master.o $deplibs $compiler_flags -install_name $rpath/$soname $verstring'
-        fi
-        module_cmds_CXX='$CC $allow_undefined_flag -o $lib -bundle $libobjs $deplibs$compiler_flags'
-        # Don't fix this by using the ld -exported_symbols_list flag, it doesn't exist in older darwin lds
-          if test "X$lt_int_apple_cc_single_mod" = Xyes ; then
-            archive_expsym_cmds_CXX='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC -dynamiclib -single_module $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags -install_name $rpath/$soname $verstring~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
-          else
-            archive_expsym_cmds_CXX='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC -r -keep_private_externs -nostdlib -o ${lib}-master.o $libobjs~$CC -dynamiclib $allow_undefined_flag -o $lib ${lib}-master.o $deplibs $compiler_flags -install_name $rpath/$soname $verstring~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
-          fi
-            module_expsym_cmds_CXX='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC $allow_undefined_flag  -o $lib -bundle $libobjs $deplibs$compiler_flags~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
       else
       case $cc_basename in
         xlc*)
@@ -11990,7 +12300,7 @@
 	export_dynamic_flag_spec_CXX='${wl}--export-dynamic'
 	whole_archive_flag_spec_CXX='${wl}--whole-archive$convenience ${wl}--no-whole-archive'
 	;;
-      pgCC*)
+      pgCC* | pgcpp*)
         # Portland Group C++ compiler
 	archive_cmds_CXX='$CC -shared $pic_flag $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-soname ${wl}$soname -o $lib'
   	archive_expsym_cmds_CXX='$CC -shared $pic_flag $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-soname ${wl}$soname ${wl}-retain-symbols-file ${wl}$export_symbols -o $lib'
@@ -12397,7 +12707,6 @@
 GCC_CXX="$GXX"
 LD_CXX="$LD"
 
-
 cat > conftest.$ac_ext <<EOF
 class Foo
 {
@@ -12499,6 +12808,11 @@
 
 $rm -f confest.$objext
 
+compiler_lib_search_dirs_CXX=
+if test -n "$compiler_lib_search_path_CXX"; then
+  compiler_lib_search_dirs_CXX=`echo " ${compiler_lib_search_path_CXX}" | ${SED} -e 's! -L! !g' -e 's!^ !!'`
+fi
+
 # PORTME: override above test on systems where it is broken
 case $host_os in
 interix[3-9]*)
@@ -12554,7 +12868,6 @@
   ;;
 esac
 
-
 case " $postdeps_CXX " in
 *" -lc "*) archive_cmds_need_lc_CXX=no ;;
 esac
@@ -12630,7 +12943,7 @@
     esac
   else
     case $host_os in
-      aix4* | aix5*)
+      aix[4-9]*)
 	# All AIX code is PIC.
 	if test "$host_cpu" = ia64; then
 	  # AIX 5 now supports IA64 processor
@@ -12726,7 +13039,7 @@
 	    lt_prog_compiler_pic_CXX='-KPIC'
 	    lt_prog_compiler_static_CXX='-static'
 	    ;;
-	  pgCC*)
+	  pgCC* | pgcpp*)
 	    # Portland Group C++ compiler.
 	    lt_prog_compiler_wl_CXX='-Wl,'
 	    lt_prog_compiler_pic_CXX='-fpic'
@@ -12857,10 +13170,10 @@
 
 { echo "$as_me:$LINENO: checking if $compiler PIC flag $lt_prog_compiler_pic_CXX works" >&5
 echo $ECHO_N "checking if $compiler PIC flag $lt_prog_compiler_pic_CXX works... $ECHO_C" >&6; }
-if test "${lt_prog_compiler_pic_works_CXX+set}" = set; then
+if test "${lt_cv_prog_compiler_pic_works_CXX+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  lt_prog_compiler_pic_works_CXX=no
+  lt_cv_prog_compiler_pic_works_CXX=no
   ac_outfile=conftest.$ac_objext
    echo "$lt_simple_compile_test_code" > conftest.$ac_ext
    lt_compiler_flag="$lt_prog_compiler_pic_CXX -DPIC"
@@ -12873,27 +13186,27 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12876: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13189: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12880: \$? = $ac_status" >&5
+   echo "$as_me:13193: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
      $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
      $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
      if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
-       lt_prog_compiler_pic_works_CXX=yes
+       lt_cv_prog_compiler_pic_works_CXX=yes
      fi
    fi
    $rm conftest*
 
 fi
-{ echo "$as_me:$LINENO: result: $lt_prog_compiler_pic_works_CXX" >&5
-echo "${ECHO_T}$lt_prog_compiler_pic_works_CXX" >&6; }
+{ echo "$as_me:$LINENO: result: $lt_cv_prog_compiler_pic_works_CXX" >&5
+echo "${ECHO_T}$lt_cv_prog_compiler_pic_works_CXX" >&6; }
 
-if test x"$lt_prog_compiler_pic_works_CXX" = xyes; then
+if test x"$lt_cv_prog_compiler_pic_works_CXX" = xyes; then
     case $lt_prog_compiler_pic_CXX in
      "" | " "*) ;;
      *) lt_prog_compiler_pic_CXX=" $lt_prog_compiler_pic_CXX" ;;
@@ -12920,10 +13233,10 @@
 wl=$lt_prog_compiler_wl_CXX eval lt_tmp_static_flag=\"$lt_prog_compiler_static_CXX\"
 { echo "$as_me:$LINENO: checking if $compiler static flag $lt_tmp_static_flag works" >&5
 echo $ECHO_N "checking if $compiler static flag $lt_tmp_static_flag works... $ECHO_C" >&6; }
-if test "${lt_prog_compiler_static_works_CXX+set}" = set; then
+if test "${lt_cv_prog_compiler_static_works_CXX+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  lt_prog_compiler_static_works_CXX=no
+  lt_cv_prog_compiler_static_works_CXX=no
    save_LDFLAGS="$LDFLAGS"
    LDFLAGS="$LDFLAGS $lt_tmp_static_flag"
    echo "$lt_simple_link_test_code" > conftest.$ac_ext
@@ -12936,20 +13249,20 @@
        $echo "X$_lt_linker_boilerplate" | $Xsed -e '/^$/d' > conftest.exp
        $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
        if diff conftest.exp conftest.er2 >/dev/null; then
-         lt_prog_compiler_static_works_CXX=yes
+         lt_cv_prog_compiler_static_works_CXX=yes
        fi
      else
-       lt_prog_compiler_static_works_CXX=yes
+       lt_cv_prog_compiler_static_works_CXX=yes
      fi
    fi
-   $rm conftest*
+   $rm -r conftest*
    LDFLAGS="$save_LDFLAGS"
 
 fi
-{ echo "$as_me:$LINENO: result: $lt_prog_compiler_static_works_CXX" >&5
-echo "${ECHO_T}$lt_prog_compiler_static_works_CXX" >&6; }
+{ echo "$as_me:$LINENO: result: $lt_cv_prog_compiler_static_works_CXX" >&5
+echo "${ECHO_T}$lt_cv_prog_compiler_static_works_CXX" >&6; }
 
-if test x"$lt_prog_compiler_static_works_CXX" = xyes; then
+if test x"$lt_cv_prog_compiler_static_works_CXX" = xyes; then
     :
 else
     lt_prog_compiler_static_CXX=
@@ -12977,11 +13290,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12980: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13293: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:12984: \$? = $ac_status" >&5
+   echo "$as_me:13297: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -13034,7 +13347,7 @@
 
   export_symbols_cmds_CXX='$NM $libobjs $convenience | $global_symbol_pipe | $SED '\''s/.* //'\'' | sort | uniq > $export_symbols'
   case $host_os in
-  aix4* | aix5*)
+  aix[4-9]*)
     # If we're using GNU nm, then we don't want the "-C" option.
     # -C means demangle to AIX nm, but means don't demangle with GNU nm
     if $NM -V 2>&1 | grep 'GNU' > /dev/null; then
@@ -13053,6 +13366,7 @@
     export_symbols_cmds_CXX='$NM $libobjs $convenience | $global_symbol_pipe | $SED '\''s/.* //'\'' | sort | uniq > $export_symbols'
   ;;
   esac
+  exclude_expsyms_CXX='_GLOBAL_OFFSET_TABLE_|_GLOBAL__F[ID]_.*'
 
 { echo "$as_me:$LINENO: result: $ld_shlibs_CXX" >&5
 echo "${ECHO_T}$ld_shlibs_CXX" >&6; }
@@ -13154,7 +13468,7 @@
   soname_spec='${libname}${release}${shared_ext}$major'
   ;;
 
-aix4* | aix5*)
+aix[4-9]*)
   version_type=linux
   need_lib_prefix=no
   need_version=no
@@ -13675,6 +13989,21 @@
 echo "${ECHO_T}$dynamic_linker" >&6; }
 test "$dynamic_linker" = no && can_build_shared=no
 
+if test "${lt_cv_sys_lib_search_path_spec+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  lt_cv_sys_lib_search_path_spec="$sys_lib_search_path_spec"
+fi
+
+sys_lib_search_path_spec="$lt_cv_sys_lib_search_path_spec"
+if test "${lt_cv_sys_lib_dlsearch_path_spec+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  lt_cv_sys_lib_dlsearch_path_spec="$sys_lib_dlsearch_path_spec"
+fi
+
+sys_lib_dlsearch_path_spec="$lt_cv_sys_lib_dlsearch_path_spec"
+
 variables_saved_for_relink="PATH $shlibpath_var $runpath_var"
 if test "$GCC" = yes; then
   variables_saved_for_relink="$variables_saved_for_relink GCC_EXEC_PREFIX COMPILER_PATH LIBRARY_PATH"
@@ -13758,6 +14087,7 @@
     predeps_CXX \
     postdeps_CXX \
     compiler_lib_search_path_CXX \
+    compiler_lib_search_dirs_CXX \
     archive_cmds_CXX \
     archive_expsym_cmds_CXX \
     postinstall_cmds_CXX \
@@ -14006,6 +14336,10 @@
 # shared library.
 postdeps=$lt_postdeps_CXX
 
+# The directories searched by this compiler when creating a shared
+# library
+compiler_lib_search_dirs=$lt_compiler_lib_search_dirs_CXX
+
 # The library search path used internally by the compiler when linking
 # a shared library.
 compiler_lib_search_path=$lt_compiler_lib_search_path_CXX
@@ -14220,7 +14554,7 @@
 echo "$lt_simple_link_test_code" >conftest.$ac_ext
 eval "$ac_link" 2>&1 >/dev/null | $SED '/^$/d; /^ *+/d' >conftest.err
 _lt_linker_boilerplate=`cat conftest.err`
-$rm conftest*
+$rm -r conftest*
 
 
 # Allow CC to be a program name with arguments.
@@ -14258,7 +14592,7 @@
     postinstall_cmds='$RANLIB $lib'
   fi
   ;;
-aix4* | aix5*)
+aix[4-9]*)
   if test "$host_cpu" != ia64 && test "$aix_use_runtimelinking" = no ; then
     test "$enable_shared" = yes && enable_static=no
   fi
@@ -14523,10 +14857,10 @@
 
 { echo "$as_me:$LINENO: checking if $compiler PIC flag $lt_prog_compiler_pic_F77 works" >&5
 echo $ECHO_N "checking if $compiler PIC flag $lt_prog_compiler_pic_F77 works... $ECHO_C" >&6; }
-if test "${lt_prog_compiler_pic_works_F77+set}" = set; then
+if test "${lt_cv_prog_compiler_pic_works_F77+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  lt_prog_compiler_pic_works_F77=no
+  lt_cv_prog_compiler_pic_works_F77=no
   ac_outfile=conftest.$ac_objext
    echo "$lt_simple_compile_test_code" > conftest.$ac_ext
    lt_compiler_flag="$lt_prog_compiler_pic_F77"
@@ -14539,27 +14873,27 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14542: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14876: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14546: \$? = $ac_status" >&5
+   echo "$as_me:14880: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
      $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
      $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
      if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
-       lt_prog_compiler_pic_works_F77=yes
+       lt_cv_prog_compiler_pic_works_F77=yes
      fi
    fi
    $rm conftest*
 
 fi
-{ echo "$as_me:$LINENO: result: $lt_prog_compiler_pic_works_F77" >&5
-echo "${ECHO_T}$lt_prog_compiler_pic_works_F77" >&6; }
+{ echo "$as_me:$LINENO: result: $lt_cv_prog_compiler_pic_works_F77" >&5
+echo "${ECHO_T}$lt_cv_prog_compiler_pic_works_F77" >&6; }
 
-if test x"$lt_prog_compiler_pic_works_F77" = xyes; then
+if test x"$lt_cv_prog_compiler_pic_works_F77" = xyes; then
     case $lt_prog_compiler_pic_F77 in
      "" | " "*) ;;
      *) lt_prog_compiler_pic_F77=" $lt_prog_compiler_pic_F77" ;;
@@ -14586,10 +14920,10 @@
 wl=$lt_prog_compiler_wl_F77 eval lt_tmp_static_flag=\"$lt_prog_compiler_static_F77\"
 { echo "$as_me:$LINENO: checking if $compiler static flag $lt_tmp_static_flag works" >&5
 echo $ECHO_N "checking if $compiler static flag $lt_tmp_static_flag works... $ECHO_C" >&6; }
-if test "${lt_prog_compiler_static_works_F77+set}" = set; then
+if test "${lt_cv_prog_compiler_static_works_F77+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  lt_prog_compiler_static_works_F77=no
+  lt_cv_prog_compiler_static_works_F77=no
    save_LDFLAGS="$LDFLAGS"
    LDFLAGS="$LDFLAGS $lt_tmp_static_flag"
    echo "$lt_simple_link_test_code" > conftest.$ac_ext
@@ -14602,20 +14936,20 @@
        $echo "X$_lt_linker_boilerplate" | $Xsed -e '/^$/d' > conftest.exp
        $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
        if diff conftest.exp conftest.er2 >/dev/null; then
-         lt_prog_compiler_static_works_F77=yes
+         lt_cv_prog_compiler_static_works_F77=yes
        fi
      else
-       lt_prog_compiler_static_works_F77=yes
+       lt_cv_prog_compiler_static_works_F77=yes
      fi
    fi
-   $rm conftest*
+   $rm -r conftest*
    LDFLAGS="$save_LDFLAGS"
 
 fi
-{ echo "$as_me:$LINENO: result: $lt_prog_compiler_static_works_F77" >&5
-echo "${ECHO_T}$lt_prog_compiler_static_works_F77" >&6; }
+{ echo "$as_me:$LINENO: result: $lt_cv_prog_compiler_static_works_F77" >&5
+echo "${ECHO_T}$lt_cv_prog_compiler_static_works_F77" >&6; }
 
-if test x"$lt_prog_compiler_static_works_F77" = xyes; then
+if test x"$lt_cv_prog_compiler_static_works_F77" = xyes; then
     :
 else
     lt_prog_compiler_static_F77=
@@ -14643,11 +14977,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14646: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14980: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14650: \$? = $ac_status" >&5
+   echo "$as_me:14984: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14727,12 +15061,13 @@
   # it will be wrapped by ` (' and `)$', so one must not match beginning or
   # end of line.  Example: `a|bc|.*d.*' will exclude the symbols `a' and `bc',
   # as well as any symbol that contains `d'.
-  exclude_expsyms_F77="_GLOBAL_OFFSET_TABLE_"
+  exclude_expsyms_F77='_GLOBAL_OFFSET_TABLE_|_GLOBAL__F[ID]_.*'
   # Although _GLOBAL_OFFSET_TABLE_ is a valid symbol C name, most a.out
   # platforms (ab)use it in PIC code, but their linkers get confused if
   # the symbol is explicitly referenced.  Since portable code cannot
   # rely on this symbol name, it's probably fine to never include it in
   # preloaded symbol tables.
+  # Exclude shared library initialization/finalization symbols.
   extract_expsyms_cmds=
   # Just being paranoid about ensuring that cc_basename is set.
   for cc_temp in $compiler""; do
@@ -14791,7 +15126,7 @@
 
     # See if GNU ld supports shared libraries.
     case $host_os in
-    aix3* | aix4* | aix5*)
+    aix[3-9]*)
       # On AIX/PPC, the GNU linker is very broken
       if test "$host_cpu" != ia64; then
 	ld_shlibs_F77=no
@@ -15010,7 +15345,7 @@
       fi
       ;;
 
-    aix4* | aix5*)
+    aix[4-9]*)
       if test "$host_cpu" = ia64; then
 	# On IA64, the linker does run time linking by default, so we don't
 	# have to do anything special.
@@ -15030,7 +15365,7 @@
 	# Test if we are trying to use run time linking or normal
 	# AIX style linking. If -brtl is somewhere in LDFLAGS, we
 	# need to do runtime linking.
-	case $host_os in aix4.[23]|aix4.[23].*|aix5*)
+	case $host_os in aix4.[23]|aix4.[23].*|aix[5-9]*)
 	  for ld_flag in $LDFLAGS; do
   	  if (test $ld_flag = "-brtl" || test $ld_flag = "-Wl,-brtl"); then
   	    aix_use_runtimelinking=yes
@@ -15282,11 +15617,10 @@
       link_all_deplibs_F77=yes
     if test "$GCC" = yes ; then
     	output_verbose_link_cmd='echo'
-        archive_cmds_F77='$CC -dynamiclib $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags -install_name $rpath/$soname $verstring'
-      module_cmds_F77='$CC $allow_undefined_flag -o $lib -bundle $libobjs $deplibs$compiler_flags'
-      # Don't fix this by using the ld -exported_symbols_list flag, it doesn't exist in older darwin lds
-      archive_expsym_cmds_F77='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC -dynamiclib $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags -install_name $rpath/$soname $verstring~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
-      module_expsym_cmds_F77='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC $allow_undefined_flag  -o $lib -bundle $libobjs $deplibs$compiler_flags~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
+        archive_cmds_F77="\$CC -dynamiclib \$allow_undefined_flag -o \$lib \$libobjs \$deplibs \$compiler_flags -install_name \$rpath/\$soname \$verstring $_lt_dar_single_mod${_lt_dsymutil}"
+        module_cmds_F77="\$CC \$allow_undefined_flag -o \$lib -bundle \$libobjs \$deplibs \$compiler_flags${_lt_dsymutil}"
+        archive_expsym_cmds_F77="sed 's,^,_,' < \$export_symbols > \$output_objdir/\${libname}-symbols.expsym~\$CC -dynamiclib \$allow_undefined_flag -o \$lib \$libobjs \$deplibs \$compiler_flags -install_name \$rpath/\$soname \$verstring ${_lt_dar_single_mod}${_lt_dar_export_syms}${_lt_dsymutil}"
+        module_expsym_cmds_F77="sed -e 's,^,_,' < \$export_symbols > \$output_objdir/\${libname}-symbols.expsym~\$CC \$allow_undefined_flag -o \$lib -bundle \$libobjs \$deplibs \$compiler_flags${_lt_dar_export_syms}${_lt_dsymutil}"
     else
       case $cc_basename in
         xlc*)
@@ -15755,7 +16089,7 @@
   soname_spec='${libname}${release}${shared_ext}$major'
   ;;
 
-aix4* | aix5*)
+aix[4-9]*)
   version_type=linux
   need_lib_prefix=no
   need_version=no
@@ -16276,6 +16610,21 @@
 echo "${ECHO_T}$dynamic_linker" >&6; }
 test "$dynamic_linker" = no && can_build_shared=no
 
+if test "${lt_cv_sys_lib_search_path_spec+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  lt_cv_sys_lib_search_path_spec="$sys_lib_search_path_spec"
+fi
+
+sys_lib_search_path_spec="$lt_cv_sys_lib_search_path_spec"
+if test "${lt_cv_sys_lib_dlsearch_path_spec+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  lt_cv_sys_lib_dlsearch_path_spec="$sys_lib_dlsearch_path_spec"
+fi
+
+sys_lib_dlsearch_path_spec="$lt_cv_sys_lib_dlsearch_path_spec"
+
 variables_saved_for_relink="PATH $shlibpath_var $runpath_var"
 if test "$GCC" = yes; then
   variables_saved_for_relink="$variables_saved_for_relink GCC_EXEC_PREFIX COMPILER_PATH LIBRARY_PATH"
@@ -16359,6 +16708,7 @@
     predeps_F77 \
     postdeps_F77 \
     compiler_lib_search_path_F77 \
+    compiler_lib_search_dirs_F77 \
     archive_cmds_F77 \
     archive_expsym_cmds_F77 \
     postinstall_cmds_F77 \
@@ -16607,6 +16957,10 @@
 # shared library.
 postdeps=$lt_postdeps_F77
 
+# The directories searched by this compiler when creating a shared
+# library
+compiler_lib_search_dirs=$lt_compiler_lib_search_dirs_F77
+
 # The library search path used internally by the compiler when linking
 # a shared library.
 compiler_lib_search_path=$lt_compiler_lib_search_path_F77
@@ -16781,7 +17135,7 @@
 echo "$lt_simple_link_test_code" >conftest.$ac_ext
 eval "$ac_link" 2>&1 >/dev/null | $SED '/^$/d; /^ *+/d' >conftest.err
 _lt_linker_boilerplate=`cat conftest.err`
-$rm conftest*
+$rm -r conftest*
 
 
 # Allow CC to be a program name with arguments.
@@ -16830,11 +17184,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16833: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17187: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16837: \$? = $ac_status" >&5
+   echo "$as_me:17191: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16894,7 +17248,7 @@
       # built for inclusion in a dll (and should export symbols for example).
       # Although the cygwin gcc ignores -fPIC, still need this for old-style
       # (--disable-auto-import) libraries
-      lt_prog_compiler_pic_GCJ='-DDLL_EXPORT'
+
       ;;
 
     darwin* | rhapsody*)
@@ -16964,7 +17318,7 @@
     mingw* | cygwin* | pw32* | os2*)
       # This hack is so that the source file can tell whether it is being
       # built for inclusion in a dll (and should export symbols for example).
-      lt_prog_compiler_pic_GCJ='-DDLL_EXPORT'
+
       ;;
 
     hpux9* | hpux10* | hpux11*)
@@ -17104,10 +17458,10 @@
 
 { echo "$as_me:$LINENO: checking if $compiler PIC flag $lt_prog_compiler_pic_GCJ works" >&5
 echo $ECHO_N "checking if $compiler PIC flag $lt_prog_compiler_pic_GCJ works... $ECHO_C" >&6; }
-if test "${lt_prog_compiler_pic_works_GCJ+set}" = set; then
+if test "${lt_cv_prog_compiler_pic_works_GCJ+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  lt_prog_compiler_pic_works_GCJ=no
+  lt_cv_prog_compiler_pic_works_GCJ=no
   ac_outfile=conftest.$ac_objext
    echo "$lt_simple_compile_test_code" > conftest.$ac_ext
    lt_compiler_flag="$lt_prog_compiler_pic_GCJ"
@@ -17120,27 +17474,27 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:17123: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17477: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:17127: \$? = $ac_status" >&5
+   echo "$as_me:17481: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
      $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
      $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
      if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
-       lt_prog_compiler_pic_works_GCJ=yes
+       lt_cv_prog_compiler_pic_works_GCJ=yes
      fi
    fi
    $rm conftest*
 
 fi
-{ echo "$as_me:$LINENO: result: $lt_prog_compiler_pic_works_GCJ" >&5
-echo "${ECHO_T}$lt_prog_compiler_pic_works_GCJ" >&6; }
+{ echo "$as_me:$LINENO: result: $lt_cv_prog_compiler_pic_works_GCJ" >&5
+echo "${ECHO_T}$lt_cv_prog_compiler_pic_works_GCJ" >&6; }
 
-if test x"$lt_prog_compiler_pic_works_GCJ" = xyes; then
+if test x"$lt_cv_prog_compiler_pic_works_GCJ" = xyes; then
     case $lt_prog_compiler_pic_GCJ in
      "" | " "*) ;;
      *) lt_prog_compiler_pic_GCJ=" $lt_prog_compiler_pic_GCJ" ;;
@@ -17167,10 +17521,10 @@
 wl=$lt_prog_compiler_wl_GCJ eval lt_tmp_static_flag=\"$lt_prog_compiler_static_GCJ\"
 { echo "$as_me:$LINENO: checking if $compiler static flag $lt_tmp_static_flag works" >&5
 echo $ECHO_N "checking if $compiler static flag $lt_tmp_static_flag works... $ECHO_C" >&6; }
-if test "${lt_prog_compiler_static_works_GCJ+set}" = set; then
+if test "${lt_cv_prog_compiler_static_works_GCJ+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  lt_prog_compiler_static_works_GCJ=no
+  lt_cv_prog_compiler_static_works_GCJ=no
    save_LDFLAGS="$LDFLAGS"
    LDFLAGS="$LDFLAGS $lt_tmp_static_flag"
    echo "$lt_simple_link_test_code" > conftest.$ac_ext
@@ -17183,20 +17537,20 @@
        $echo "X$_lt_linker_boilerplate" | $Xsed -e '/^$/d' > conftest.exp
        $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
        if diff conftest.exp conftest.er2 >/dev/null; then
-         lt_prog_compiler_static_works_GCJ=yes
+         lt_cv_prog_compiler_static_works_GCJ=yes
        fi
      else
-       lt_prog_compiler_static_works_GCJ=yes
+       lt_cv_prog_compiler_static_works_GCJ=yes
      fi
    fi
-   $rm conftest*
+   $rm -r conftest*
    LDFLAGS="$save_LDFLAGS"
 
 fi
-{ echo "$as_me:$LINENO: result: $lt_prog_compiler_static_works_GCJ" >&5
-echo "${ECHO_T}$lt_prog_compiler_static_works_GCJ" >&6; }
+{ echo "$as_me:$LINENO: result: $lt_cv_prog_compiler_static_works_GCJ" >&5
+echo "${ECHO_T}$lt_cv_prog_compiler_static_works_GCJ" >&6; }
 
-if test x"$lt_prog_compiler_static_works_GCJ" = xyes; then
+if test x"$lt_cv_prog_compiler_static_works_GCJ" = xyes; then
     :
 else
     lt_prog_compiler_static_GCJ=
@@ -17224,11 +17578,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:17227: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17581: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:17231: \$? = $ac_status" >&5
+   echo "$as_me:17585: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -17308,12 +17662,13 @@
   # it will be wrapped by ` (' and `)$', so one must not match beginning or
   # end of line.  Example: `a|bc|.*d.*' will exclude the symbols `a' and `bc',
   # as well as any symbol that contains `d'.
-  exclude_expsyms_GCJ="_GLOBAL_OFFSET_TABLE_"
+  exclude_expsyms_GCJ='_GLOBAL_OFFSET_TABLE_|_GLOBAL__F[ID]_.*'
   # Although _GLOBAL_OFFSET_TABLE_ is a valid symbol C name, most a.out
   # platforms (ab)use it in PIC code, but their linkers get confused if
   # the symbol is explicitly referenced.  Since portable code cannot
   # rely on this symbol name, it's probably fine to never include it in
   # preloaded symbol tables.
+  # Exclude shared library initialization/finalization symbols.
   extract_expsyms_cmds=
   # Just being paranoid about ensuring that cc_basename is set.
   for cc_temp in $compiler""; do
@@ -17372,7 +17727,7 @@
 
     # See if GNU ld supports shared libraries.
     case $host_os in
-    aix3* | aix4* | aix5*)
+    aix[3-9]*)
       # On AIX/PPC, the GNU linker is very broken
       if test "$host_cpu" != ia64; then
 	ld_shlibs_GCJ=no
@@ -17591,7 +17946,7 @@
       fi
       ;;
 
-    aix4* | aix5*)
+    aix[4-9]*)
       if test "$host_cpu" = ia64; then
 	# On IA64, the linker does run time linking by default, so we don't
 	# have to do anything special.
@@ -17611,7 +17966,7 @@
 	# Test if we are trying to use run time linking or normal
 	# AIX style linking. If -brtl is somewhere in LDFLAGS, we
 	# need to do runtime linking.
-	case $host_os in aix4.[23]|aix4.[23].*|aix5*)
+	case $host_os in aix4.[23]|aix4.[23].*|aix[5-9]*)
 	  for ld_flag in $LDFLAGS; do
   	  if (test $ld_flag = "-brtl" || test $ld_flag = "-Wl,-brtl"); then
   	    aix_use_runtimelinking=yes
@@ -17883,11 +18238,10 @@
       link_all_deplibs_GCJ=yes
     if test "$GCC" = yes ; then
     	output_verbose_link_cmd='echo'
-        archive_cmds_GCJ='$CC -dynamiclib $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags -install_name $rpath/$soname $verstring'
-      module_cmds_GCJ='$CC $allow_undefined_flag -o $lib -bundle $libobjs $deplibs$compiler_flags'
-      # Don't fix this by using the ld -exported_symbols_list flag, it doesn't exist in older darwin lds
-      archive_expsym_cmds_GCJ='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC -dynamiclib $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags -install_name $rpath/$soname $verstring~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
-      module_expsym_cmds_GCJ='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC $allow_undefined_flag  -o $lib -bundle $libobjs $deplibs$compiler_flags~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
+        archive_cmds_GCJ="\$CC -dynamiclib \$allow_undefined_flag -o \$lib \$libobjs \$deplibs \$compiler_flags -install_name \$rpath/\$soname \$verstring $_lt_dar_single_mod${_lt_dsymutil}"
+        module_cmds_GCJ="\$CC \$allow_undefined_flag -o \$lib -bundle \$libobjs \$deplibs \$compiler_flags${_lt_dsymutil}"
+        archive_expsym_cmds_GCJ="sed 's,^,_,' < \$export_symbols > \$output_objdir/\${libname}-symbols.expsym~\$CC -dynamiclib \$allow_undefined_flag -o \$lib \$libobjs \$deplibs \$compiler_flags -install_name \$rpath/\$soname \$verstring ${_lt_dar_single_mod}${_lt_dar_export_syms}${_lt_dsymutil}"
+        module_expsym_cmds_GCJ="sed -e 's,^,_,' < \$export_symbols > \$output_objdir/\${libname}-symbols.expsym~\$CC \$allow_undefined_flag -o \$lib -bundle \$libobjs \$deplibs \$compiler_flags${_lt_dar_export_syms}${_lt_dsymutil}"
     else
       case $cc_basename in
         xlc*)
@@ -18356,7 +18710,7 @@
   soname_spec='${libname}${release}${shared_ext}$major'
   ;;
 
-aix4* | aix5*)
+aix[4-9]*)
   version_type=linux
   need_lib_prefix=no
   need_version=no
@@ -18877,6 +19231,21 @@
 echo "${ECHO_T}$dynamic_linker" >&6; }
 test "$dynamic_linker" = no && can_build_shared=no
 
+if test "${lt_cv_sys_lib_search_path_spec+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  lt_cv_sys_lib_search_path_spec="$sys_lib_search_path_spec"
+fi
+
+sys_lib_search_path_spec="$lt_cv_sys_lib_search_path_spec"
+if test "${lt_cv_sys_lib_dlsearch_path_spec+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  lt_cv_sys_lib_dlsearch_path_spec="$sys_lib_dlsearch_path_spec"
+fi
+
+sys_lib_dlsearch_path_spec="$lt_cv_sys_lib_dlsearch_path_spec"
+
 variables_saved_for_relink="PATH $shlibpath_var $runpath_var"
 if test "$GCC" = yes; then
   variables_saved_for_relink="$variables_saved_for_relink GCC_EXEC_PREFIX COMPILER_PATH LIBRARY_PATH"
@@ -18960,6 +19329,7 @@
     predeps_GCJ \
     postdeps_GCJ \
     compiler_lib_search_path_GCJ \
+    compiler_lib_search_dirs_GCJ \
     archive_cmds_GCJ \
     archive_expsym_cmds_GCJ \
     postinstall_cmds_GCJ \
@@ -19208,6 +19578,10 @@
 # shared library.
 postdeps=$lt_postdeps_GCJ
 
+# The directories searched by this compiler when creating a shared
+# library
+compiler_lib_search_dirs=$lt_compiler_lib_search_dirs_GCJ
+
 # The library search path used internally by the compiler when linking
 # a shared library.
 compiler_lib_search_path=$lt_compiler_lib_search_path_GCJ
@@ -19381,7 +19755,7 @@
 echo "$lt_simple_link_test_code" >conftest.$ac_ext
 eval "$ac_link" 2>&1 >/dev/null | $SED '/^$/d; /^ *+/d' >conftest.err
 _lt_linker_boilerplate=`cat conftest.err`
-$rm conftest*
+$rm -r conftest*
 
 
 # Allow CC to be a program name with arguments.
@@ -19441,6 +19815,7 @@
     predeps_RC \
     postdeps_RC \
     compiler_lib_search_path_RC \
+    compiler_lib_search_dirs_RC \
     archive_cmds_RC \
     archive_expsym_cmds_RC \
     postinstall_cmds_RC \
@@ -19689,6 +20064,10 @@
 # shared library.
 postdeps=$lt_postdeps_RC
 
+# The directories searched by this compiler when creating a shared
+# library
+compiler_lib_search_dirs=$lt_compiler_lib_search_dirs_RC
+
 # The library search path used internally by the compiler when linking
 # a shared library.
 compiler_lib_search_path=$lt_compiler_lib_search_path_RC
@@ -21870,7 +22249,7 @@
     fi
 
 else
-  ERR_DEFAULT_LANGUAGE="English"
+  ERR_DEFAULT_LANGUAGE="templates"
 fi
 
 
@@ -46418,7 +46797,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by Squid Web Proxy $as_me 3.0.STABLE8, which was
+This file was extended by Squid Web Proxy $as_me 3.0.STABLE9, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -46471,7 +46850,7 @@
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-Squid Web Proxy config.status 3.0.STABLE8
+Squid Web Proxy config.status 3.0.STABLE9
 configured by $0, generated by GNU Autoconf 2.61,
   with options \\"`echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
 
@@ -46839,6 +47218,8 @@
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
 RANLIB!$RANLIB$ac_delim
+DSYMUTIL!$DSYMUTIL$ac_delim
+NMEDIT!$NMEDIT$ac_delim
 CPP!$CPP$ac_delim
 CXXCPP!$CXXCPP$ac_delim
 F77!$F77$ac_delim
@@ -46933,8 +47314,6 @@
 LIB_LDAP!$LIB_LDAP$ac_delim
 LIB_LBER!$LIB_LBER$ac_delim
 LIB_DB!$LIB_DB$ac_delim
-LIBOBJS!$LIBOBJS$ac_delim
-EPOLL_LIBS!$EPOLL_LIBS$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -46976,6 +47355,8 @@
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+LIBOBJS!$LIBOBJS$ac_delim
+EPOLL_LIBS!$EPOLL_LIBS$ac_delim
 USE_POLL_TRUE!$USE_POLL_TRUE$ac_delim
 USE_POLL_FALSE!$USE_POLL_FALSE$ac_delim
 USE_EPOLL_TRUE!$USE_EPOLL_TRUE$ac_delim
@@ -47002,7 +47383,7 @@
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 24; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 26; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
diff -u -r -N squid-3.0.STABLE8/configure.in squid-3.0.STABLE9/configure.in
--- squid-3.0.STABLE8/configure.in	2008-07-18 22:02:55.000000000 +1200
+++ squid-3.0.STABLE9/configure.in	2008-09-10 04:06:45.000000000 +1200
@@ -5,7 +5,7 @@
 dnl
 dnl
 dnl
-AC_INIT(Squid Web Proxy, 3.0.STABLE8, http://www.squid-cache.org/bugs/, squid)
+AC_INIT(Squid Web Proxy, 3.0.STABLE9, http://www.squid-cache.org/bugs/, squid)
 AC_PREREQ(2.52)
 AM_CONFIG_HEADER(include/autoconf.h)
 AC_CONFIG_AUX_DIR(cfgaux)
@@ -954,7 +954,7 @@
 	echo "ERROR! Unknown language $enableval, see errors/ directory"
 	exit 1
     fi
-],[ERR_DEFAULT_LANGUAGE="English"])
+],[ERR_DEFAULT_LANGUAGE="templates"])
 AC_SUBST(ERR_DEFAULT_LANGUAGE)
 
 dnl Select languages to be installed
diff -u -r -N squid-3.0.STABLE8/contrib/Makefile.in squid-3.0.STABLE9/contrib/Makefile.in
--- squid-3.0.STABLE8/contrib/Makefile.in	2008-07-18 22:02:46.000000000 +1200
+++ squid-3.0.STABLE9/contrib/Makefile.in	2008-09-10 04:06:36.000000000 +1200
@@ -91,6 +91,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -153,6 +154,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/doc/Makefile.in squid-3.0.STABLE9/doc/Makefile.in
--- squid-3.0.STABLE8/doc/Makefile.in	2008-07-18 22:02:46.000000000 +1200
+++ squid-3.0.STABLE9/doc/Makefile.in	2008-09-10 04:06:36.000000000 +1200
@@ -98,6 +98,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -160,6 +161,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/errors/Makefile.am squid-3.0.STABLE9/errors/Makefile.am
--- squid-3.0.STABLE8/errors/Makefile.am	2008-07-18 22:02:48.000000000 +1200
+++ squid-3.0.STABLE9/errors/Makefile.am	2008-09-10 04:06:39.000000000 +1200
@@ -10,7 +10,7 @@
 
 DEFAULT_ERROR_DIR	= $(errordir)
 
-INSTALL_LANGUAGES	= @ERR_LANGUAGES@
+INSTALL_LANGUAGES	= templates @ERR_LANGUAGES@
 LANGUAGES	= \
 		Armenian \
 		Azerbaijani \
@@ -85,7 +85,7 @@
 	fi
 
 dist-hook:
-	@ for lang in $(LANGUAGES); do \
+	@ for lang in $(LANGUAGES) templates; do \
 	  if test "$$lang" = .; then :; else \
 	    test -d $(distdir)/$$lang \
 	    || mkdir $(distdir)/$$lang \
@@ -93,4 +93,4 @@
 	    cp -p $(srcdir)/$$lang/ERR_*  $(distdir)/$$lang \
 	      || exit 1; \
 	  fi; \
-	done		
+	done
diff -u -r -N squid-3.0.STABLE8/errors/Makefile.in squid-3.0.STABLE9/errors/Makefile.in
--- squid-3.0.STABLE8/errors/Makefile.in	2008-07-18 22:02:48.000000000 +1200
+++ squid-3.0.STABLE9/errors/Makefile.in	2008-09-10 04:06:39.000000000 +1200
@@ -90,6 +90,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -152,6 +153,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
@@ -271,7 +273,7 @@
 target_alias = @target_alias@
 errordir = $(datadir)/errors
 DEFAULT_ERROR_DIR = $(errordir)
-INSTALL_LANGUAGES = @ERR_LANGUAGES@
+INSTALL_LANGUAGES = templates @ERR_LANGUAGES@
 LANGUAGES = \
 		Armenian \
 		Azerbaijani \
@@ -511,7 +513,7 @@
 	fi
 
 dist-hook:
-	@ for lang in $(LANGUAGES); do \
+	@ for lang in $(LANGUAGES) templates; do \
 	  if test "$$lang" = .; then :; else \
 	    test -d $(distdir)/$$lang \
 	    || mkdir $(distdir)/$$lang \
@@ -519,7 +521,7 @@
 	    cp -p $(srcdir)/$$lang/ERR_*  $(distdir)/$$lang \
 	      || exit 1; \
 	  fi; \
-	done		
+	done
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
 .NOEXPORT:
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_ACCESS_DENIED squid-3.0.STABLE9/errors/templates/ERR_ACCESS_DENIED
--- squid-3.0.STABLE8/errors/templates/ERR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_ACCESS_DENIED	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,23 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<blockquote>
+<p><b>Access Denied.</b></p>
+</blockquote>
+
+<p>Access control configuration prevents your request from being allowed at this time.  Please contact your service provider if you feel this is incorrect.</p>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>
+<hr>
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_CACHE_ACCESS_DENIED squid-3.0.STABLE9/errors/templates/ERR_CACHE_ACCESS_DENIED
--- squid-3.0.STABLE8/errors/templates/ERR_CACHE_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_CACHE_ACCESS_DENIED	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,24 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: Cache Access Denied</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head>
+<body>
+<h1>ERROR</h1>
+<h2>Cache Access Denied.</h2>
+<hr>
+<p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<blockquote>
+<p><b>Cache Access Denied.</b></p>
+</blockquote>
+
+<p>Sorry, you are not currently allowed to request %U from this cache until you have authenticated yourself.</p>
+
+<p>Please contact the <a href="mailto:%w%W">cache administrator</a> if you have difficulties authenticating yourself or <a href="http://%h/cgi-bin/chpasswd.cgi">change</a> your default password.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_CACHE_MGR_ACCESS_DENIED squid-3.0.STABLE9/errors/templates/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.0.STABLE8/errors/templates/ERR_CACHE_MGR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_CACHE_MGR_ACCESS_DENIED	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,23 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: Cache Manager Access Denied</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>Cache Manager Access Denied.</h2>
+<hr>
+<p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<blockquote>
+<p><b>Cache Manager Access Denied.</b></p>
+</blockquote>
+
+<p>Sorry, you are not currently allowed to request %U from this cache manager until you have authenticated yourself.</p>
+
+<p>Please contact the <a href="mailto:%w%W">cache administrator</a> if you have difficulties authenticating yourself or, if you <em>are</em> the administrator, read Squid documentation on cache manager interface and check cache log for more detailed error messages.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_CANNOT_FORWARD squid-3.0.STABLE9/errors/templates/ERR_CANNOT_FORWARD
--- squid-3.0.STABLE8/errors/templates/ERR_CANNOT_FORWARD	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_CANNOT_FORWARD	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,24 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head>
+<body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<blockquote>
+<p><b>Unable to forward this request at this time.</b></p>
+</blockquote>
+
+<p>This request could not be forwarded to the origin server or to any parent caches.  The most likely cause for this error is that the cache administrator does not allow this cache to make direct connections to origin servers, and all configured parent caches are currently unreachable.</p>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_CONNECT_FAIL squid-3.0.STABLE9/errors/templates/ERR_CONNECT_FAIL
--- squid-3.0.STABLE8/errors/templates/ERR_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_CONNECT_FAIL	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,23 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+<blockquote>
+<p><b>Connection to %I failed.</b></p>
+</blockquote>
+
+<p>The system returned: <i>%E</i></p>
+
+<p>The remote host or network may be down.  Please try the request again.</p>
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_DNS_FAIL squid-3.0.STABLE9/errors/templates/ERR_DNS_FAIL
--- squid-3.0.STABLE8/errors/templates/ERR_DNS_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_DNS_FAIL	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,27 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<blockquote>
+<p><b>Unable to determine IP address from host name <q>%H</q></b></p>
+</blockquote>
+
+<p>The DNS server returned:</p>
+<blockquote>
+<pre>%z</pre>
+</blockquote>
+
+<p>This means that the cache was not able to resolve the hostname presented in the URL. Check if the address is correct.</p>
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_ESI squid-3.0.STABLE9/errors/templates/ERR_ESI
--- squid-3.0.STABLE8/errors/templates/ERR_ESI	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_ESI	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,28 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<blockquote>
+<p><b>ESI Processing failed.</b></p>
+</blockquote>
+
+<p>The ESI processor returned:</p>
+<blockquote>
+<pre>%Z</pre>
+</blockquote>
+
+<p>This means that the surrogate was not able to process the ESI template. Please report this error to the webmaster.</p>
+
+<p>Your webmaster is <a href="mailto:%w">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_FORWARDING_DENIED squid-3.0.STABLE9/errors/templates/ERR_FORWARDING_DENIED
--- squid-3.0.STABLE8/errors/templates/ERR_FORWARDING_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_FORWARDING_DENIED	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,22 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<blockquote>
+<p><b>Forwarding Denied.</b></p>
+</blockquote>
+
+<p>This cache will not forward your request because it is trying to enforce a sibling relationship.  Perhaps the client at %i is a cache which has been misconfigured.</p>
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_FTP_DISABLED squid-3.0.STABLE9/errors/templates/ERR_FTP_DISABLED
--- squid-3.0.STABLE8/errors/templates/ERR_FTP_DISABLED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_FTP_DISABLED	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,22 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<blockquote>
+<p><b>FTP is Disabled</b></p>
+</blockquote>
+
+<p>This cache does not support FTP.</p>
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_FTP_FAILURE squid-3.0.STABLE9/errors/templates/ERR_FTP_FAILURE
--- squid-3.0.STABLE8/errors/templates/ERR_FTP_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_FTP_FAILURE	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,28 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>An FTP protocol error occurred while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<p>Squid sent the following FTP command:</p>
+<blockquote>
+<pre>%f</pre>
+</blockquote>
+
+<p>The server responded with:</p>
+<blockquote>
+<pre>%F</pre>
+<pre>%g</pre>
+</blockquote>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_FTP_FORBIDDEN squid-3.0.STABLE9/errors/templates/ERR_FTP_FORBIDDEN
--- squid-3.0.STABLE8/errors/templates/ERR_FTP_FORBIDDEN	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_FTP_FORBIDDEN	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,28 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>An FTP authentication failure occurred while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<p>Squid sent the following FTP command:</p>
+<blockquote>
+<pre>%f</pre>
+</blockquote>
+
+<p>The server responded with:</p>
+<blockquote>
+<pre>%F</pre>
+<pre>%g</pre>
+</blockquote>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_FTP_NOT_FOUND squid-3.0.STABLE9/errors/templates/ERR_FTP_NOT_FOUND
--- squid-3.0.STABLE8/errors/templates/ERR_FTP_NOT_FOUND	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_FTP_NOT_FOUND	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,30 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>The following URL could not be retrieved: <a href="%U">%U</a></p>
+
+<p>Squid sent the following FTP command:</p>
+<blockquote>
+<pre>%f</pre>
+</blockquote>
+
+<p>The server responded with:</p>
+<blockquote>
+<pre>%F</pre>
+<pre>%g</pre>
+</blockquote>
+
+<p>This might be caused by an FTP URL with an absolute path (which does not comply with RFC 1738).  If this is the cause, then the file can be found at <a href="%B">%B</a>.</p>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_FTP_PUT_CREATED squid-3.0.STABLE9/errors/templates/ERR_FTP_PUT_CREATED
--- squid-3.0.STABLE8/errors/templates/ERR_FTP_PUT_CREATED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_FTP_PUT_CREATED	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,14 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>FTP PUT Successful: File Created</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1 style="background-color:#00ff00; width:100%">Operation successful</h1>
+<h2>File created</h2>
+<hr>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_FTP_PUT_ERROR squid-3.0.STABLE9/errors/templates/ERR_FTP_PUT_ERROR
--- squid-3.0.STABLE8/errors/templates/ERR_FTP_PUT_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_FTP_PUT_ERROR	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,29 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: FTP upload failed</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>FTP PUT/upload failed</h2>
+<hr>
+<p>While trying to PUT the following URL: <a href="%U">%U</a></p>
+
+<p>Squid sent the following FTP command:</p>
+<blockquote>
+<pre>%f</pre>
+</blockquote>
+
+<p>The server responded with:</p>
+<blockquote>
+<pre>%F</pre>
+</blockquote>
+
+<p>This means that the FTP server may not have permission or space to store the file. Check the path, permissions, diskspace and try again.</p>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_FTP_PUT_MODIFIED squid-3.0.STABLE9/errors/templates/ERR_FTP_PUT_MODIFIED
--- squid-3.0.STABLE8/errors/templates/ERR_FTP_PUT_MODIFIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_FTP_PUT_MODIFIED	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,14 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>FTP PUT Successful: File updated</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1 style="background-color:#00ff00; width:100%">Operation successful</h1>
+<h2>File updated</h2>
+<hr>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_FTP_UNAVAILABLE squid-3.0.STABLE9/errors/templates/ERR_FTP_UNAVAILABLE
--- squid-3.0.STABLE8/errors/templates/ERR_FTP_UNAVAILABLE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_FTP_UNAVAILABLE	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,29 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>The FTP server was too busy to retrieve the URL: <a href="%U">%U</a></p>
+
+<p>Squid sent the following FTP command:</p>
+
+<blockquote>
+<pre>%f</pre>
+</blockquote>
+
+<p>The server responded with:</p>
+<blockquote>
+<pre>%F</pre>
+<pre>%g</pre>
+</blockquote>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_ICAP_FAILURE squid-3.0.STABLE9/errors/templates/ERR_ICAP_FAILURE
--- squid-3.0.STABLE8/errors/templates/ERR_ICAP_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_ICAP_FAILURE	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,29 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<blockquote>
+<p><b>ICAP protocol error.</b></p>
+</blockquote>
+
+<p>The system returned: <i>%E</i></p>
+
+<p>This means that some aspect of the ICAP communication failed.</p>
+
+<p>Some possible problems are:</p>
+<ul>
+<li><p>The ICAP server is not reachable.</p></li>
+<li><p>An Illegal response was received from the ICAP server.</p></li>
+</ul>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_INVALID_REQ squid-3.0.STABLE9/errors/templates/ERR_INVALID_REQ
--- squid-3.0.STABLE8/errors/templates/ERR_INVALID_REQ	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_INVALID_REQ	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,31 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p><b>Invalid Request</b> error was encountered while trying to process the request:</p>
+
+<blockquote>
+<pre>%R</pre>
+</blockquote>
+
+<p>Some possible problems are:</p>
+<ul>
+<li><p>Missing or unknown request method.</p></li>
+<li><p>Missing URL.</p></li>
+<li><p>Missing HTTP Identifier (HTTP/1.0).</p></li>
+<li><p>Request is too large.</p></li>
+<li><p>Content-Length missing for POST or PUT requests.</p></li>
+<li><p>Illegal character in hostname; underscores are not allowed.</p></li>
+</ul>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_INVALID_RESP squid-3.0.STABLE9/errors/templates/ERR_INVALID_RESP
--- squid-3.0.STABLE8/errors/templates/ERR_INVALID_RESP	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_INVALID_RESP	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,25 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p><b>Invalid Response</b> error was encountered while trying to process the request:</p>
+
+<blockquote>
+<pre>%R</pre>
+</blockquote>
+
+<p>The HTTP Response message received from the contacted server could not be understood or was otherwise malformed. Please contact the site operator.</p>
+
+<p>Your cache administrator may be able to provide you with more details about the exact nature of the problem if needed.</p>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_INVALID_URL squid-3.0.STABLE9/errors/templates/ERR_INVALID_URL
--- squid-3.0.STABLE8/errors/templates/ERR_INVALID_URL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_INVALID_URL	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,31 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<blockquote>
+<p><b>Invalid URL</b></p>
+</blockquote>
+
+<p>Some aspect of the requested URL is incorrect.</p>
+
+<p>Some possible problems are:</p>
+<ul>
+<li><p>Missing or incorrect access protocol (should be <q>http://</q> or similar)</p></li>
+<li><p>Missing hostname</p></li>
+<li><p>Illegal double-escape in the URL-Path</p></li>
+<li><p>Illegal character in hostname; underscores are not allowed.</p></li>
+</ul>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_LIFETIME_EXP squid-3.0.STABLE9/errors/templates/ERR_LIFETIME_EXP
--- squid-3.0.STABLE8/errors/templates/ERR_LIFETIME_EXP	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_LIFETIME_EXP	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,23 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<blockquote>
+<p><b>Connection Lifetime Expired</b></p>
+</blockquote>
+
+<p>Squid has terminated the request because it has exceeded the maximum connection lifetime.</p>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_NO_RELAY squid-3.0.STABLE9/errors/templates/ERR_NO_RELAY
--- squid-3.0.STABLE8/errors/templates/ERR_NO_RELAY	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_NO_RELAY	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,23 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<blockquote>
+<p><b>No Wais Relay</b></p>
+</blockquote>
+
+<p>There is no WAIS Relay host defined for this Cache!  Yell at the administrator.</p>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_ONLY_IF_CACHED_MISS squid-3.0.STABLE9/errors/templates/ERR_ONLY_IF_CACHED_MISS
--- squid-3.0.STABLE8/errors/templates/ERR_ONLY_IF_CACHED_MISS	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_ONLY_IF_CACHED_MISS	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,23 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<blockquote>
+<p><b>Valid document was not found in the cache and <q>only-if-cached</q> directive was specified.</b></p>
+</blockquote>
+
+<p>You have issued a request with a <q>only-if-cached</q> cache control directive. The document was not found in the cache, <em>or</em> it required revalidation prohibited by the <q>only-if-cached</q> directive.</p>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_READ_ERROR squid-3.0.STABLE9/errors/templates/ERR_READ_ERROR
--- squid-3.0.STABLE8/errors/templates/ERR_READ_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_READ_ERROR	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,25 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<blockquote>
+<p><b>Read Error</b></p>
+</blockquote>
+
+<p>The system returned: <i>%E</i></p>
+
+<p>An error condition occurred while reading data from the network.  Please retry your request.</p>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_READ_TIMEOUT squid-3.0.STABLE9/errors/templates/ERR_READ_TIMEOUT
--- squid-3.0.STABLE8/errors/templates/ERR_READ_TIMEOUT	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_READ_TIMEOUT	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,25 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<blockquote>
+<p><b>Read Timeout</b></p>
+</blockquote>
+
+<p>The system returned: <i>%E</i></p>
+
+<p>A Timeout occurred while waiting to read data from the network.  The network or server may be down or congested.  Please retry your request.</p>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_SECURE_CONNECT_FAIL squid-3.0.STABLE9/errors/templates/ERR_SECURE_CONNECT_FAIL
--- squid-3.0.STABLE8/errors/templates/ERR_SECURE_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_SECURE_CONNECT_FAIL	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,25 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<blockquote>
+<p><b>Failed to establish a secure connection to %I</b></p>
+</blockquote>
+
+<p>The system returned: <i>%E</i></p>
+
+<p>This proxy and the remote host failed to negotiate a mutually acceptable security settings for handling your request. It is possible that the remote host does not support secure connections, or the proxy is not satisfied with the host security credentials.</p>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_SHUTTING_DOWN squid-3.0.STABLE9/errors/templates/ERR_SHUTTING_DOWN
--- squid-3.0.STABLE8/errors/templates/ERR_SHUTTING_DOWN	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_SHUTTING_DOWN	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,19 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p> The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<p>This cache is in the process of shutting down and can not service your request at this time.  Please retry your request again soon.</p>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_SOCKET_FAILURE squid-3.0.STABLE9/errors/templates/ERR_SOCKET_FAILURE
--- squid-3.0.STABLE8/errors/templates/ERR_SOCKET_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_SOCKET_FAILURE	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,25 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<blockquote>
+<p><b>Socket Failure</b></p>
+</blockquote>
+
+<p>The system returned: <i>%E</i></p>
+
+<p>Squid is unable to create a TCP socket, presumably due to excessive load. Please retry your request.</p>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_TOO_BIG squid-3.0.STABLE9/errors/templates/ERR_TOO_BIG
--- squid-3.0.STABLE8/errors/templates/ERR_TOO_BIG	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_TOO_BIG	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,25 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<blockquote>
+<p><b>The request or reply is too large.</b></p>
+</blockquote>
+
+<p>If you are making a POST or PUT request, then the item you are trying to upload is too large.</p>
+<p>If you are making a GET request, then the item you are trying to download is too large.</p>
+<p>These limits have been established by the Internet Service Provider who operates this cache.  Please contact them directly if you feel this is an error.</p>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_UNSUP_REQ squid-3.0.STABLE9/errors/templates/ERR_UNSUP_REQ
--- squid-3.0.STABLE8/errors/templates/ERR_UNSUP_REQ	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_UNSUP_REQ	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,23 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<blockquote>
+<p><b>Unsupported Request Method and Protocol</b></p>
+</blockquote>
+
+<p>Squid does not support all request methods for all access protocols. For example, you can not POST a Gopher request.</p>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_URN_RESOLVE squid-3.0.STABLE9/errors/templates/ERR_URN_RESOLVE
--- squid-3.0.STABLE8/errors/templates/ERR_URN_RESOLVE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_URN_RESOLVE	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,23 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URN not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>A URL for the requested URN could not be retrieved</h2>
+<hr>
+<p>The following error was encountered while trying to retrieve the URN: <a href="%U">%U</a></p>
+
+<blockquote>
+<p><b>Cannot Resolve URN</b></p>
+</blockquote>
+
+<p>Hey, don't expect too much from URNs on %T :)</p>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_WRITE_ERROR squid-3.0.STABLE9/errors/templates/ERR_WRITE_ERROR
--- squid-3.0.STABLE8/errors/templates/ERR_WRITE_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_WRITE_ERROR	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,25 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<blockquote>
+<p><b>Write Error</b></p>
+</blockquote>
+
+<p>The system returned: <i>%E</i></p>
+
+<p>An error condition occurred while writing to the network.  Please retry your request.</p>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/errors/templates/ERR_ZERO_SIZE_OBJECT squid-3.0.STABLE9/errors/templates/ERR_ZERO_SIZE_OBJECT
--- squid-3.0.STABLE8/errors/templates/ERR_ZERO_SIZE_OBJECT	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.0.STABLE9/errors/templates/ERR_ZERO_SIZE_OBJECT	2008-09-10 04:06:40.000000000 +1200
@@ -0,0 +1,23 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></style>
+</head><body>
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+<hr>
+<p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<blockquote>
+<p><b>Zero Sized Reply</b></p>
+</blockquote>
+
+<p>Squid did not receive any data for this request.</p>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+
+<br>   
+<hr> 
+<div id="footer">Generated %T by %h (%s)</div>
+</body></html>
diff -u -r -N squid-3.0.STABLE8/helpers/basic_auth/DB/Makefile.in squid-3.0.STABLE9/helpers/basic_auth/DB/Makefile.in
--- squid-3.0.STABLE8/helpers/basic_auth/DB/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/basic_auth/DB/Makefile.in	2008-09-10 04:06:40.000000000 +1200
@@ -101,6 +101,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -163,6 +164,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/basic_auth/getpwnam/Makefile.in squid-3.0.STABLE9/helpers/basic_auth/getpwnam/Makefile.in
--- squid-3.0.STABLE8/helpers/basic_auth/getpwnam/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/basic_auth/getpwnam/Makefile.in	2008-09-10 04:06:40.000000000 +1200
@@ -118,6 +118,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -180,6 +181,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/basic_auth/LDAP/Makefile.in squid-3.0.STABLE9/helpers/basic_auth/LDAP/Makefile.in
--- squid-3.0.STABLE8/helpers/basic_auth/LDAP/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/basic_auth/LDAP/Makefile.in	2008-09-10 04:06:40.000000000 +1200
@@ -121,6 +121,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -183,6 +184,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/basic_auth/Makefile.in squid-3.0.STABLE9/helpers/basic_auth/Makefile.in
--- squid-3.0.STABLE8/helpers/basic_auth/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/basic_auth/Makefile.in	2008-09-10 04:06:40.000000000 +1200
@@ -99,6 +99,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -161,6 +162,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/basic_auth/MSNT/Makefile.in squid-3.0.STABLE9/helpers/basic_auth/MSNT/Makefile.in
--- squid-3.0.STABLE8/helpers/basic_auth/MSNT/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/basic_auth/MSNT/Makefile.in	2008-09-10 04:06:40.000000000 +1200
@@ -130,6 +130,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -192,6 +193,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/basic_auth/MSNT/session.c squid-3.0.STABLE9/helpers/basic_auth/MSNT/session.c
--- squid-3.0.STABLE8/helpers/basic_auth/MSNT/session.c	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/basic_auth/MSNT/session.c	2008-09-10 04:06:40.000000000 +1200
@@ -296,14 +296,12 @@
 void
 RFCNB_Get_Error(char *buffer, int buf_len)
 {
-
     if (RFCNB_saved_errno <= 0) {
-	sprintf(buffer, "%s", RFCNB_Error_Strings[RFCNB_errno]);
+	snprintf(buffer, (buf_len-1) ,"%s", RFCNB_Error_Strings[RFCNB_errno]);
     } else {
-	sprintf(buffer, "%s\n\terrno:%s", RFCNB_Error_Strings[RFCNB_errno],
+	snprintf(buffer, (buf_len-1), "%s\n\terrno:%s", RFCNB_Error_Strings[RFCNB_errno],
 	    strerror(RFCNB_saved_errno));
     }
-
 }
 
 /* Pick up the last error response and returns as a code                 */
@@ -311,9 +309,7 @@
 int
 RFCNB_Get_Last_Error(void)
 {
-
     return (RFCNB_errno);
-
 }
 
 /* Pick up saved errno as well */
diff -u -r -N squid-3.0.STABLE8/helpers/basic_auth/mswin_sspi/Makefile.in squid-3.0.STABLE9/helpers/basic_auth/mswin_sspi/Makefile.in
--- squid-3.0.STABLE8/helpers/basic_auth/mswin_sspi/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/basic_auth/mswin_sspi/Makefile.in	2008-09-10 04:06:40.000000000 +1200
@@ -117,6 +117,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -179,6 +180,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/basic_auth/multi-domain-NTLM/Makefile.in squid-3.0.STABLE9/helpers/basic_auth/multi-domain-NTLM/Makefile.in
--- squid-3.0.STABLE8/helpers/basic_auth/multi-domain-NTLM/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/basic_auth/multi-domain-NTLM/Makefile.in	2008-09-10 04:06:40.000000000 +1200
@@ -98,6 +98,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -160,6 +161,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/basic_auth/NCSA/Makefile.in squid-3.0.STABLE9/helpers/basic_auth/NCSA/Makefile.in
--- squid-3.0.STABLE8/helpers/basic_auth/NCSA/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/basic_auth/NCSA/Makefile.in	2008-09-10 04:06:40.000000000 +1200
@@ -121,6 +121,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -183,6 +184,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/basic_auth/PAM/Makefile.in squid-3.0.STABLE9/helpers/basic_auth/PAM/Makefile.in
--- squid-3.0.STABLE8/helpers/basic_auth/PAM/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/basic_auth/PAM/Makefile.in	2008-09-10 04:06:40.000000000 +1200
@@ -120,6 +120,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -182,6 +183,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/basic_auth/POP3/Makefile.in squid-3.0.STABLE9/helpers/basic_auth/POP3/Makefile.in
--- squid-3.0.STABLE8/helpers/basic_auth/POP3/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/basic_auth/POP3/Makefile.in	2008-09-10 04:06:40.000000000 +1200
@@ -98,6 +98,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -160,6 +161,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/basic_auth/SASL/Makefile.in squid-3.0.STABLE9/helpers/basic_auth/SASL/Makefile.in
--- squid-3.0.STABLE8/helpers/basic_auth/SASL/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/basic_auth/SASL/Makefile.in	2008-09-10 04:06:40.000000000 +1200
@@ -117,6 +117,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -179,6 +180,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/basic_auth/SMB/Makefile.in squid-3.0.STABLE9/helpers/basic_auth/SMB/Makefile.in
--- squid-3.0.STABLE8/helpers/basic_auth/SMB/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/basic_auth/SMB/Makefile.in	2008-09-10 04:06:40.000000000 +1200
@@ -126,6 +126,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -188,6 +189,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/basic_auth/squid_radius_auth/Makefile.in squid-3.0.STABLE9/helpers/basic_auth/squid_radius_auth/Makefile.in
--- squid-3.0.STABLE8/helpers/basic_auth/squid_radius_auth/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/basic_auth/squid_radius_auth/Makefile.in	2008-09-10 04:06:40.000000000 +1200
@@ -122,6 +122,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -184,6 +185,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/basic_auth/YP/Makefile.in squid-3.0.STABLE9/helpers/basic_auth/YP/Makefile.in
--- squid-3.0.STABLE8/helpers/basic_auth/YP/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/basic_auth/YP/Makefile.in	2008-09-10 04:06:40.000000000 +1200
@@ -116,6 +116,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -178,6 +179,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/digest_auth/eDirectory/Makefile.in squid-3.0.STABLE9/helpers/digest_auth/eDirectory/Makefile.in
--- squid-3.0.STABLE8/helpers/digest_auth/eDirectory/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/digest_auth/eDirectory/Makefile.in	2008-09-10 04:06:41.000000000 +1200
@@ -120,6 +120,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -182,6 +183,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/digest_auth/ldap/Makefile.in squid-3.0.STABLE9/helpers/digest_auth/ldap/Makefile.in
--- squid-3.0.STABLE8/helpers/digest_auth/ldap/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/digest_auth/ldap/Makefile.in	2008-09-10 04:06:41.000000000 +1200
@@ -120,6 +120,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -182,6 +183,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/digest_auth/Makefile.in squid-3.0.STABLE9/helpers/digest_auth/Makefile.in
--- squid-3.0.STABLE8/helpers/digest_auth/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/digest_auth/Makefile.in	2008-09-10 04:06:41.000000000 +1200
@@ -99,6 +99,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -161,6 +162,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/digest_auth/password/Makefile.in squid-3.0.STABLE9/helpers/digest_auth/password/Makefile.in
--- squid-3.0.STABLE8/helpers/digest_auth/password/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/digest_auth/password/Makefile.in	2008-09-10 04:06:41.000000000 +1200
@@ -119,6 +119,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -181,6 +182,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/external_acl/ip_user/Makefile.in squid-3.0.STABLE9/helpers/external_acl/ip_user/Makefile.in
--- squid-3.0.STABLE8/helpers/external_acl/ip_user/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/external_acl/ip_user/Makefile.in	2008-09-10 04:06:41.000000000 +1200
@@ -117,6 +117,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -179,6 +180,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/external_acl/ldap_group/Makefile.in squid-3.0.STABLE9/helpers/external_acl/ldap_group/Makefile.in
--- squid-3.0.STABLE8/helpers/external_acl/ldap_group/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/external_acl/ldap_group/Makefile.in	2008-09-10 04:06:41.000000000 +1200
@@ -122,6 +122,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -184,6 +185,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/external_acl/ldap_group/squid_ldap_group.c squid-3.0.STABLE9/helpers/external_acl/ldap_group/squid_ldap_group.c
--- squid-3.0.STABLE8/helpers/external_acl/ldap_group/squid_ldap_group.c	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/external_acl/ldap_group/squid_ldap_group.c	2008-09-10 04:06:41.000000000 +1200
@@ -404,7 +404,7 @@
 	fprintf(stderr, "\n" PROGRAM_NAME " version " PROGRAM_VERSION "\n\n");
 	fprintf(stderr, "Usage: " PROGRAM_NAME " -b basedn -f filter [options] ldap_server_name\n\n");
 	fprintf(stderr, "\t-b basedn (REQUIRED)\tbase dn under where to search for groups\n");
-	fprintf(stderr, "\t-f filter (REQUIRED)\tgroup search filter pattern. %%v = user,\n\t\t\t\t%%a = group\n");
+	fprintf(stderr, "\t-f filter (REQUIRED)\tgroup search filter pattern. %%u = user,\n\t\t\t\t%%v = group\n");
 	fprintf(stderr, "\t-B basedn (REQUIRED)\tbase dn under where to search for users\n");
 	fprintf(stderr, "\t-F filter (REQUIRED)\tuser search filter pattern. %%s = login\n");
 	fprintf(stderr, "\t-s base|one|sub\t\tsearch scope\n");
diff -u -r -N squid-3.0.STABLE8/helpers/external_acl/Makefile.in squid-3.0.STABLE9/helpers/external_acl/Makefile.in
--- squid-3.0.STABLE8/helpers/external_acl/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/external_acl/Makefile.in	2008-09-10 04:06:41.000000000 +1200
@@ -99,6 +99,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -161,6 +162,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/external_acl/mswin_ad_group/Makefile.in squid-3.0.STABLE9/helpers/external_acl/mswin_ad_group/Makefile.in
--- squid-3.0.STABLE8/helpers/external_acl/mswin_ad_group/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/external_acl/mswin_ad_group/Makefile.in	2008-09-10 04:06:41.000000000 +1200
@@ -117,6 +117,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -179,6 +180,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/external_acl/mswin_lm_group/Makefile.in squid-3.0.STABLE9/helpers/external_acl/mswin_lm_group/Makefile.in
--- squid-3.0.STABLE8/helpers/external_acl/mswin_lm_group/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/external_acl/mswin_lm_group/Makefile.in	2008-09-10 04:06:41.000000000 +1200
@@ -117,6 +117,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -179,6 +180,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/external_acl/session/Makefile.in squid-3.0.STABLE9/helpers/external_acl/session/Makefile.in
--- squid-3.0.STABLE8/helpers/external_acl/session/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/external_acl/session/Makefile.in	2008-09-10 04:06:41.000000000 +1200
@@ -120,6 +120,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -182,6 +183,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/external_acl/unix_group/Makefile.in squid-3.0.STABLE9/helpers/external_acl/unix_group/Makefile.in
--- squid-3.0.STABLE8/helpers/external_acl/unix_group/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/external_acl/unix_group/Makefile.in	2008-09-10 04:06:41.000000000 +1200
@@ -119,6 +119,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -181,6 +182,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/external_acl/wbinfo_group/Makefile.in squid-3.0.STABLE9/helpers/external_acl/wbinfo_group/Makefile.in
--- squid-3.0.STABLE8/helpers/external_acl/wbinfo_group/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/external_acl/wbinfo_group/Makefile.in	2008-09-10 04:06:41.000000000 +1200
@@ -98,6 +98,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -160,6 +161,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/Makefile.in squid-3.0.STABLE9/helpers/Makefile.in
--- squid-3.0.STABLE8/helpers/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/Makefile.in	2008-09-10 04:06:40.000000000 +1200
@@ -95,6 +95,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -157,6 +158,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/negotiate_auth/Makefile.in squid-3.0.STABLE9/helpers/negotiate_auth/Makefile.in
--- squid-3.0.STABLE8/helpers/negotiate_auth/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/negotiate_auth/Makefile.in	2008-09-10 04:06:41.000000000 +1200
@@ -99,6 +99,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -161,6 +162,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/negotiate_auth/mswin_sspi/Makefile.in squid-3.0.STABLE9/helpers/negotiate_auth/mswin_sspi/Makefile.in
--- squid-3.0.STABLE8/helpers/negotiate_auth/mswin_sspi/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/negotiate_auth/mswin_sspi/Makefile.in	2008-09-10 04:06:41.000000000 +1200
@@ -116,6 +116,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -178,6 +179,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/negotiate_auth/squid_kerb_auth/Makefile.in squid-3.0.STABLE9/helpers/negotiate_auth/squid_kerb_auth/Makefile.in
--- squid-3.0.STABLE8/helpers/negotiate_auth/squid_kerb_auth/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/negotiate_auth/squid_kerb_auth/Makefile.in	2008-09-10 04:06:41.000000000 +1200
@@ -118,6 +118,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -180,6 +181,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/negotiate_auth/squid_kerb_auth/squid_kerb_auth.c squid-3.0.STABLE9/helpers/negotiate_auth/squid_kerb_auth/squid_kerb_auth.c
--- squid-3.0.STABLE8/helpers/negotiate_auth/squid_kerb_auth/squid_kerb_auth.c	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/negotiate_auth/squid_kerb_auth/squid_kerb_auth.c	2008-09-10 04:06:41.000000000 +1200
@@ -37,6 +37,10 @@
 #include "spnegohelp.h"
 #endif
 
+// AYJ: must match the definition in src/auth/negotiate/auth_negotiate.cc
+#define MAX_AUTHTOKEN_LEN	32768
+
+// AYJ: match define in include/rfc2181.h
 #ifndef HOST_NAME_MAX
 #define HOST_NAME_MAX 256
 #endif
@@ -172,11 +176,9 @@
   return(0);
 }
 
-
-
 int main(int argc, char * const argv[])
 {
-  char buf[6400];
+  char buf[MAX_AUTHTOKEN_LEN];
   char *c;
   int length=0;
   static int err=0;
diff -u -r -N squid-3.0.STABLE8/helpers/ntlm_auth/fakeauth/Makefile.in squid-3.0.STABLE9/helpers/ntlm_auth/fakeauth/Makefile.in
--- squid-3.0.STABLE8/helpers/ntlm_auth/fakeauth/Makefile.in	2008-07-18 22:02:51.000000000 +1200
+++ squid-3.0.STABLE9/helpers/ntlm_auth/fakeauth/Makefile.in	2008-09-10 04:06:41.000000000 +1200
@@ -118,6 +118,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -180,6 +181,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/ntlm_auth/Makefile.in squid-3.0.STABLE9/helpers/ntlm_auth/Makefile.in
--- squid-3.0.STABLE8/helpers/ntlm_auth/Makefile.in	2008-07-18 22:02:50.000000000 +1200
+++ squid-3.0.STABLE9/helpers/ntlm_auth/Makefile.in	2008-09-10 04:06:41.000000000 +1200
@@ -99,6 +99,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -161,6 +162,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/ntlm_auth/mswin_sspi/Makefile.in squid-3.0.STABLE9/helpers/ntlm_auth/mswin_sspi/Makefile.in
--- squid-3.0.STABLE8/helpers/ntlm_auth/mswin_sspi/Makefile.in	2008-07-18 22:02:51.000000000 +1200
+++ squid-3.0.STABLE9/helpers/ntlm_auth/mswin_sspi/Makefile.in	2008-09-10 04:06:41.000000000 +1200
@@ -115,6 +115,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -177,6 +178,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/ntlm_auth/no_check/Makefile.in squid-3.0.STABLE9/helpers/ntlm_auth/no_check/Makefile.in
--- squid-3.0.STABLE8/helpers/ntlm_auth/no_check/Makefile.in	2008-07-18 22:02:51.000000000 +1200
+++ squid-3.0.STABLE9/helpers/ntlm_auth/no_check/Makefile.in	2008-09-10 04:06:41.000000000 +1200
@@ -98,6 +98,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -160,6 +161,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/ntlm_auth/no_check/no_check.pl squid-3.0.STABLE9/helpers/ntlm_auth/no_check/no_check.pl
--- squid-3.0.STABLE8/helpers/ntlm_auth/no_check/no_check.pl	2008-07-18 22:02:51.000000000 +1200
+++ squid-3.0.STABLE9/helpers/ntlm_auth/no_check/no_check.pl	2008-09-10 04:06:41.000000000 +1200
@@ -15,7 +15,7 @@
 
 while(<STDIN>) {
 	chop;
-	if (substr($_, 2) eq "YR") {
+	if (substr($_, 0, 2) eq "YR") {
 		print "TT ".encode_base64(&make_ntlm_static_challenge);
 		next;
 	}
@@ -32,11 +32,11 @@
 	}
 	if ($res{type} eq "challenge") { # Huh? WE are the challengers.
 		print "BH Squid-helper protocol error: unexpected challenge-request\n";
-		next;		
+		next;
 	}
 	if ($res{type} eq "authentication") {
 		print "AF $res{domain}\\$res{user}\n";
-		next;		
+		next;
 	}
 	print "BH internal error\n";	# internal error
 }
diff -u -r -N squid-3.0.STABLE8/helpers/ntlm_auth/SMB/Makefile.in squid-3.0.STABLE9/helpers/ntlm_auth/SMB/Makefile.in
--- squid-3.0.STABLE8/helpers/ntlm_auth/SMB/Makefile.in	2008-07-18 22:02:51.000000000 +1200
+++ squid-3.0.STABLE9/helpers/ntlm_auth/SMB/Makefile.in	2008-09-10 04:06:41.000000000 +1200
@@ -123,6 +123,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -185,6 +186,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/helpers/ntlm_auth/SMB/smbval/Makefile.in squid-3.0.STABLE9/helpers/ntlm_auth/SMB/smbval/Makefile.in
--- squid-3.0.STABLE8/helpers/ntlm_auth/SMB/smbval/Makefile.in	2008-07-18 22:02:51.000000000 +1200
+++ squid-3.0.STABLE9/helpers/ntlm_auth/SMB/smbval/Makefile.in	2008-09-10 04:06:41.000000000 +1200
@@ -111,6 +111,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -173,6 +174,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/icons/icons.shar squid-3.0.STABLE9/icons/icons.shar
--- squid-3.0.STABLE8/icons/icons.shar	2008-07-18 22:02:51.000000000 +1200
+++ squid-3.0.STABLE9/icons/icons.shar	1970-01-01 12:00:00.000000000 +1200
@@ -1,842 +0,0 @@
-#!/bin/sh
-# This is a shell archive (produced by GNU sharutils 4.2).
-# To extract the files from this archive, save it to some FILE, remove
-# everything before the `!/bin/sh' line above, then type `sh FILE'.
-#
-# Made on 1997-07-18 22:53 MDT by <wessels@surf>.
-# Source directory was `/usr/people/wessels/Edit/squid-1.2/icons'.
-#
-# Existing files will *not* be overwritten unless `-c' is specified.
-#
-# This shar contains:
-# length mode       name
-# ------ ---------- ------------------------------------------
-#    166 -r--r----- anthony-binhex.gif
-#    192 -r--r----- anthony-bomb.gif
-#    176 -r--r----- anthony-box.gif
-#    168 -r--r----- anthony-box2.gif
-#    160 -r--r----- anthony-c.gif
-#    169 -r--r----- anthony-compressed.gif
-#    137 -r--r----- anthony-dir.gif
-#    147 -r--r----- anthony-dirup.gif
-#    156 -r--r----- anthony-dvi.gif
-#    154 -r--r----- anthony-f.gif
-#    227 -r--r----- anthony-image.gif
-#    204 -r--r----- anthony-image2.gif
-#    194 -r--r----- anthony-layout.gif
-#    124 -r--r----- anthony-link.gif
-#    151 -r--r----- anthony-movie.gif
-#    173 -r--r----- anthony-pdf.gif
-#    172 -r--r----- anthony-portal.gif
-#    162 -r--r----- anthony-ps.gif
-#    166 -r--r----- anthony-quill.gif
-#    155 -r--r----- anthony-script.gif
-#    166 -r--r----- anthony-sound.gif
-#    156 -r--r----- anthony-tar.gif
-#    164 -r--r----- anthony-tex.gif
-#    153 -r--r----- anthony-text.gif
-#    163 -r--r----- anthony-unknown.gif
-#    154 -r--r----- anthony-xbm.gif
-#    168 -r--r----- anthony-xpm.gif
-#
-save_IFS="${IFS}"
-IFS="${IFS}:"
-gettext_dir=FAILED
-locale_dir=FAILED
-first_param="$1"
-for dir in $PATH
-do
-  if test "$gettext_dir" = FAILED && test -f $dir/gettext \
-     && ($dir/gettext --version >/dev/null 2>&1)
-  then
-    set `$dir/gettext --version 2>&1`
-    if test "$3" = GNU
-    then
-      gettext_dir=$dir
-    fi
-  fi
-  if test "$locale_dir" = FAILED && test -f $dir/shar \
-     && ($dir/shar --print-text-domain-dir >/dev/null 2>&1)
-  then
-    locale_dir=`$dir/shar --print-text-domain-dir`
-  fi
-done
-IFS="$save_IFS"
-if test "$locale_dir" = FAILED || test "$gettext_dir" = FAILED
-then
-  echo=echo
-else
-  TEXTDOMAINDIR=$locale_dir
-  export TEXTDOMAINDIR
-  TEXTDOMAIN=sharutils
-  export TEXTDOMAIN
-  echo="$gettext_dir/gettext -s"
-fi
-if mkdir _sh03044; then
-  $echo 'x -' 'creating lock directory'
-else
-  $echo 'failed to create lock directory'
-  exit 1
-fi
-# ============= anthony-binhex.gif ==============
-if test -f 'anthony-binhex.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-binhex.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-binhex.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-binhex.gif
-M1TE&.#EA%``6`,(``````-S<W"]/3____W"`D+^_OP```````"'Y!`$```4`
-M+``````4`!8```-K*+J\];"(0:N=(KX)NN_#%&K<YX55!HD4F%[K8)Z`4-^;
-M/`.ZF5M`"F%(`.2*)H*%:)3T3,%B#A!05GA`J=,VBS9+R(YU^1V,@^1IC<+U
-?JKO9\A6+UI;@:6='U([_T&X2`D2$A4,V$3N*30D`.S9+
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-binhex.gif' ||
-  $echo 'restore of' 'anthony-binhex.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-binhex.gif:' 'MD5 check failed'
-af42e18b16cc7c0d522862c1a3f0f3e8  anthony-binhex.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-binhex.gif'`"
-    test 166 -eq "$shar_count" ||
-    $echo 'anthony-binhex.gif:' 'original size' '166,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-bomb.gif ==============
-if test -f 'anthony-bomb.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-bomb.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-bomb.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-bomb.gif
-M1TE&.#EA%``6`,(``````+Z^OB]/3______7`'"`D+^_OP```"'Y!`$```8`
-M+``````4`!8```.%*+J\]M"(0:N=(KYI.\_11`S`,%;<`&[5>5W0!!`"45:`
-MD.\L110=@'`(8(T`!5>EP"P4)1?=;<E\IE1(*2"PM%JR@N:6XNQ1A.$!4\<M
-M0[^%=D%1<E])S3E=[86OZ75].']:?&84`3ET;(9O%HE:7(UWB$.2DQV9%G9A
-,>9YY.A%$HZ1/"0`[
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-bomb.gif' ||
-  $echo 'restore of' 'anthony-bomb.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-bomb.gif:' 'MD5 check failed'
-4383bbd438da26abd13003009718aeea  anthony-bomb.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-bomb.gif'`"
-    test 192 -eq "$shar_count" ||
-    $echo 'anthony-bomb.gif:' 'original size' '192,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-box.gif ==============
-if test -f 'anthony-box.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-box.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-box.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-box.gif
-M1TE&.#EA%``6`,(``````+Z^OB]/3RZ+5____W"`D+^_OP```"'Y!`$```8`
-M+``````4`!8```-U*+J\]M`(0JN=(KYI.\\1UU4BN(W7!8D48`$"+)\54+@M
-MH.\T81<!5V%(O-%^P&"1"#@.AH$HDNE\1J7+IJ0UZ%YCV:I7@208M[YN=_&C
-IG$4`-;M0>;_69(O]GM=K62TQ(WL=.!V$*(=_`DN-1#$1.Y*3D@\)`#MN
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-box.gif' ||
-  $echo 'restore of' 'anthony-box.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-box.gif:' 'MD5 check failed'
-982cb717724e05c054ba592332976b2a  anthony-box.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-box.gif'`"
-    test 176 -eq "$shar_count" ||
-    $echo 'anthony-box.gif:' 'original size' '176,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-box2.gif ==============
-if test -f 'anthony-box2.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-box2.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-box2.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-box2.gif
-M1TE&.#EA%``6`,(``````+Z^OB]/3RZ+5____W"`D+^_OP```"'Y!`$```8`
-M+``````4`!8```-M:+K<_C`:("$HM+);0M9<YVG34(AC!0QFX*:.<*[L*X2G
-MH`@$0=>"VVF8X?E8K*!PB-GU?@,EKFDP0J5#`M6*C`8YO6WOF/P6QN(Q33K6
-A%MO'+SS=!MS@;B<>@,]7^X!;,DR$3#<;`(F*BXP*"0`[
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-box2.gif' ||
-  $echo 'restore of' 'anthony-box2.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-box2.gif:' 'MD5 check failed'
-8b578e9789cd27f087838a18b23166c6  anthony-box2.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-box2.gif'`"
-    test 168 -eq "$shar_count" ||
-    $echo 'anthony-box2.gif:' 'original size' '168,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-c.gif ==============
-if test -f 'anthony-c.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-c.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-c.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-c.gif
-M1TE&.#EA%``6`,(``````"]/3____W"`D+^_OP```````````"'Y!`$```0`
-M+``````4`!8```-E&+J\])`$0:N=(;YI.\\1)P#D58$;1:[G!7%EJ08`3:<C
-MD%=KC\L=P6`X`/QTP`K1*%$A=4$A$]:+2G$Y:)52Q%HMW6:VQ^).O\$PE5R^
-9BM'*\Y@=]\+5</`T0.S[AS<0;(,K#PD`.W$Y
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-c.gif' ||
-  $echo 'restore of' 'anthony-c.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-c.gif:' 'MD5 check failed'
-47e22190738a27aa4039ff195b3e25fa  anthony-c.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-c.gif'`"
-    test 160 -eq "$shar_count" ||
-    $echo 'anthony-c.gif:' 'original size' '160,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-compressed.gif ==============
-if test -f 'anthony-compressed.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-compressed.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-compressed.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-compressed.gif
-M1TE&.#EA%``6`,(``````+(B(B]/3_]C1____W"`D+^_OP```"'Y!`$```8`
-M+``````4`!8```-N:&K2O3`N00@5,K-*K8Y=YWU*6''D1@`"ZY(=(,\`?!)%
-M7M11,)0W7(XW""A\/]%M9Q@4C\Z!\K2+&@U(9[!2B#ZQWL$V?,T6M^:R=8O+
-BJHM3+@"I-L9Q-5_Y>F=BKQ!]/!J",`(Z.BTI!C0T$@D`.\$V
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-compressed.gif' ||
-  $echo 'restore of' 'anthony-compressed.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-compressed.gif:' 'MD5 check failed'
-13ca8bb5773109a25f5fa4f65e99c62a  anthony-compressed.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-compressed.gif'`"
-    test 169 -eq "$shar_count" ||
-    $echo 'anthony-compressed.gif:' 'original size' '169,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-dir.gif ==============
-if test -f 'anthony-dir.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-dir.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-dir.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-dir.gif
-M1TE&.#EA%``6`,(``````/7>LZ!2+2]/3[^_OP```````````"'Y!`$```0`
-M+``````4`!8```-.2+K<_C#*21FX^$X0NN]`Q'UDIBF`0'IJB09"+,<K'(YU
-M+0Q7GN\]WPJ($[)X12,,J?P0F\<@]`E=2IM`0FK&Y0YXJ*]X3.8-%J9TYIP`
-"`#M7
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-dir.gif' ||
-  $echo 'restore of' 'anthony-dir.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-dir.gif:' 'MD5 check failed'
-30206a4b35a70e342cef25b892bed136  anthony-dir.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-dir.gif'`"
-    test 137 -eq "$shar_count" ||
-    $echo 'anthony-dir.gif:' 'original size' '137,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-dirup.gif ==============
-if test -f 'anthony-dirup.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-dirup.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-dirup.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-dirup.gif
-M1TE&.#EA%``6`,(``````/7>LZ!2+2]/3[^_OP```````````"'Y!`$```0`
-M+``````4`!8```-82+K<_C#*21FX^$X0NN]`Q'UDIBF`0'IJB09"+,<K'(ZU
-MAPO#E>L^6`]7,PF#O\!NF`2QF$I=Z>G#**O(XPA')/&R36WX\R6D9FCTH(=:
-,N]_PWF!AJF?F"0`[
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-dirup.gif' ||
-  $echo 'restore of' 'anthony-dirup.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-dirup.gif:' 'MD5 check failed'
-264ae666e8bed6eccdbeba55bb5aa8f5  anthony-dirup.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-dirup.gif'`"
-    test 147 -eq "$shar_count" ||
-    $echo 'anthony-dirup.gif:' 'original size' '147,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-dvi.gif ==============
-if test -f 'anthony-dvi.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-dvi.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-dvi.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-dvi.gif
-M1TE&.#EA%``6`,(``````"]/3____W"`D+^_OP```````````"'Y!`$```0`
-M+``````4`!8```-A&+J\])`$0:N=(;X)NN_"%&K<YX55!I46*%*J))@G$-CX
-M)@ST,-,ZBY`R*/*".Y/%"-#Q:,.C[#1<-F5/I5#ZRH*VUU<5K*-]K65S-#RN
-5<MMK))S(GE>X`:-^7[Q%S(!7"0`[
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-dvi.gif' ||
-  $echo 'restore of' 'anthony-dvi.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-dvi.gif:' 'MD5 check failed'
-a19a057f846468be9db21a1cabeacaa0  anthony-dvi.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-dvi.gif'`"
-    test 156 -eq "$shar_count" ||
-    $echo 'anthony-dvi.gif:' 'original size' '156,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-f.gif ==============
-if test -f 'anthony-f.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-f.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-f.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-f.gif
-M1TE&.#EA%``6`,(``````"]/3____W"`D+^_OP```````````"'Y!`$```0`
-M+``````4`!8```-?&+J\])`$0:N=(;YI.\\1UU4BN%%`FI(7Q*DK&@#S?`JQ
-M!:LW/`[``:"G&@F"0PD*8+0(B<W*4XEC5GR4J2@J3;YVV*.7V]$NP3DSN4M$
-36\6W-9PJUP:"^#S0!G&['PD`.\W*
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-f.gif' ||
-  $echo 'restore of' 'anthony-f.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-f.gif:' 'MD5 check failed'
-30c06990ecae4c7ecae1f405b29871b0  anthony-f.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-f.gif'`"
-    test 154 -eq "$shar_count" ||
-    $echo 'anthony-f.gif:' 'original size' '154,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-image.gif ==============
-if test -f 'anthony-image.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-image.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-image.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-image.gif
-M1TE&.#EA%``6`.,``````!Z0_[(B(KZ^OB]/3RZ+5P``@/]C1____W"`D+^_
-MOP```````````````````"'Y!`$```H`+``````4`!8```20D,A)I[I8$<2[
-MWT1V;5Y)AAE9=BHZ(D<L'P.BVM@VRP("$+_@:Q?K`8Y(P)#8XR2>":4&-BM8
-M"S4$5*J3%3@#:U;+10QBW_"5-(B^!@(!]FK=#`SN:8>^'@3P92Q\"00!?WDW
-M`P17A(:'@1V*$XZ/+RMFE)5Z)7Z9@)8>=P:CI)^;ER6(!%"LK4]`&4FRLU(1
-"`#M7
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-image.gif' ||
-  $echo 'restore of' 'anthony-image.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-image.gif:' 'MD5 check failed'
-78cfc371f01ce9a11534f87ec2c837dd  anthony-image.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-image.gif'`"
-    test 227 -eq "$shar_count" ||
-    $echo 'anthony-image.gif:' 'original size' '227,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-image2.gif ==============
-if test -f 'anthony-image2.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-image2.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-image2.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-image2.gif
-M1TE&.#EA%``6`.,``````!Z0_[(B(B]/3RZ+5P``@/]C1____W"`D+^_OP``
-M`````````````````````"'Y!`$```D`+``````4`!8```1Y<,A)9[HXC<.[
-MWT-V;5Y)AAE9=BHZ=D(L"^KAJH*A[\#0_R].;J<#&(^`X"''-#`14$12LZI&
-MIZW*I"-5#@C@,$'5I7*^XC`7RQJ[OV1VU2H_%.YX_%I9"/C_`05[9G:`@(,J
-8?8J!@8AS=$J/B`-1E990/AE(FYQ3$0`[
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-image2.gif' ||
-  $echo 'restore of' 'anthony-image2.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-image2.gif:' 'MD5 check failed'
-aaba8674a5053db62e10b84b45c9feb3  anthony-image2.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-image2.gif'`"
-    test 204 -eq "$shar_count" ||
-    $echo 'anthony-image2.gif:' 'original size' '204,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-layout.gif ==============
-if test -f 'anthony-layout.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-layout.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-layout.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-layout.gif
-M1TE&.#EA%``6`.,``````(?.ZZ!2+2]/3_]C1______7`'"`D+^_OP``````
-M`````````````````````"'Y!`$```@`+``````4`!8```1O<,A))[H8C<*[
-MWT-V;5Y)AME9<62!CJQA!#3[8>=,!QPP^$"8:U<K`(Y(@'`@:#8]A^A!J6$Y
-MG]`HM57J%J9";Q=<-2;/'3)7G-[VSLEVF"TO<PCF.$=-+_$[>'!U:W1_?7M;
-X.`U*+C%$_&7"12!<1`#O/
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-layout.gif' ||
-  $echo 'restore of' 'anthony-layout.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-layout.gif:' 'MD5 check failed'
-7a0161bcf19320e63671bb5718c2f094  anthony-layout.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-layout.gif'`"
-    test 194 -eq "$shar_count" ||
-    $echo 'anthony-layout.gif:' 'original size' '194,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-link.gif ==============
-if test -f 'anthony-link.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-link.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-link.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-link.gif
-M1TE&.#EA%``6`*$``````"]/3W"`D+^_OR'Y!`$```,`+``````4`!8```)-
-MG(^I*A$B5FKN/6EH=1#KW43+MSVB4H+7`@PI=R9`ZX+8,`-K<!MYOD+0#K]B
-B<"8L*HN'P/*)'`B@T`SUF7%><PQM]=90]A31L=`\+@``.P-K
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-link.gif' ||
-  $echo 'restore of' 'anthony-link.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-link.gif:' 'MD5 check failed'
-dc034c34323a0cef5fcbb7dd10290df4  anthony-link.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-link.gif'`"
-    test 124 -eq "$shar_count" ||
-    $echo 'anthony-link.gif:' 'original size' '124,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-movie.gif ==============
-if test -f 'anthony-movie.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-movie.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-movie.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-movie.gif
-M1TE&.#EA%``6`,(``````+Z^OB]/3____W"`D+^_OP```````"'Y!`$```4`
-M+``````4`!8```-<"+K<6A"$X-H$(E[".Q\2E16,YX'+&`)F!U[JUA*O&"TS
-MS<147F.:WNRG6@R.2.0N6&'`F+Y541%-08?2:XMXHV*M)-DV&Q:.GR1C,KDL
-0-Q?HU9M<$-CO^+P=D@``.V'`
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-movie.gif' ||
-  $echo 'restore of' 'anthony-movie.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-movie.gif:' 'MD5 check failed'
-8d8a692e445c8c195c5c75304b276325  anthony-movie.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-movie.gif'`"
-    test 151 -eq "$shar_count" ||
-    $echo 'anthony-movie.gif:' 'original size' '151,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-pdf.gif ==============
-if test -f 'anthony-pdf.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-pdf.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-pdf.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-pdf.gif
-M1TE&.#EA%``6`,(``````"]/3_\``/___W"`D+^_OP```````"'Y!`$```4`
-M+``````4`!8```-R&+J\];"$0:N=(;YI.\\19PF5"&X=20XB"[6$2@Q`4-_H
-M.*Q`[P.Y&46P&A".1Z"DLRM2D,J)<+BK"`G15(7(-69US:(`BYIVAT1O+LR\
-F?E5,"WFY<CZM6;CQ+G_'.W,M?WAK@X02`4B*BT<V$3^0D4H)`#MV
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-pdf.gif' ||
-  $echo 'restore of' 'anthony-pdf.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-pdf.gif:' 'MD5 check failed'
-7b5afe82b81ce71fde7603add0c6075f  anthony-pdf.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-pdf.gif'`"
-    test 173 -eq "$shar_count" ||
-    $echo 'anthony-pdf.gif:' 'original size' '173,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-portal.gif ==============
-if test -f 'anthony-portal.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-portal.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-portal.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-portal.gif
-M1TE&.#EA%``6`,(``````,V%/[Z^OB]/3______7`'"`D+^_OR'Y!`$```<`
-M+``````4`!8```-Q.+J\]_`,0JN=([YI.\\1UU4BN)&-<D&EX;[`$,\G-1A`
-MKN]Y3=R`@$X`>.%\MT!!""`28$@<LPFH'"4D7$[HI%Q;O.X3$`T.JUXRUJ8]
-E6]7@+?6-%-COXF^%MZ.O1X!Z@(%P@X0;-T:*1C(1?(\Z#PD`.PT.
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-portal.gif' ||
-  $echo 'restore of' 'anthony-portal.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-portal.gif:' 'MD5 check failed'
-b65db2f42d4ae0044ccf2bced749e3e5  anthony-portal.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-portal.gif'`"
-    test 172 -eq "$shar_count" ||
-    $echo 'anthony-portal.gif:' 'original size' '172,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-ps.gif ==============
-if test -f 'anthony-ps.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-ps.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-ps.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-ps.gif
-M1TE&.#EA%``6`,(``````"]/3____W"`D+^_OP```````````"'Y!`$```0`
-M+``````4`!8```-G&+J\])`$0:N=(;X)NN_"%&K<YX55!HD"V`)HNE8F#`1W
-MOE7#-[RFG65(&1A[NYZM\^,9`3N/TF5!2EY8*@]Z]9V&ULGTU:QR641B.,U>
-;L]7G-UPHW]+K`C<^?PX<_X!&.!$UA1X/"0`[
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-ps.gif' ||
-  $echo 'restore of' 'anthony-ps.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-ps.gif:' 'MD5 check failed'
-ac18ae0d0984eec459878cec544b6d57  anthony-ps.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-ps.gif'`"
-    test 162 -eq "$shar_count" ||
-    $echo 'anthony-ps.gif:' 'original size' '162,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-quill.gif ==============
-if test -f 'anthony-quill.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-quill.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-quill.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-quill.gif
-M1TE&.#EA%``6`,(``````(?.ZR]/3____W"`D+^_OP```````"'Y!`$```4`
-M+``````4`!8```-K*+J\];"(0:N=(KYI.U=`"'!=A84!`4CEA1+JUE(O',HM
-MD,)JS)8Z7L]'J@1Y``JQ<[15EL:=\[GZ#01250<Z:":WU8_T"\;I!*'9$BL@
-?S)3A;OL-EP'<],&23.?F]6%M0H-":!$BB(F(#PD`.R:W
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-quill.gif' ||
-  $echo 'restore of' 'anthony-quill.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-quill.gif:' 'MD5 check failed'
-b95a126efb90d179c885263b71363313  anthony-quill.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-quill.gif'`"
-    test 166 -eq "$shar_count" ||
-    $echo 'anthony-quill.gif:' 'original size' '166,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-script.gif ==============
-if test -f 'anthony-script.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-script.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-script.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-script.gif
-M1TE&.#EA%``6`,(``````"]/3____W"`D+^_OP```````````"'Y!`$```0`
-M+``````4`!8```-@&+J\])`$0:N=(;YI.\\1UU4BN%6`D)(7Q`$PC`8`39]4
-MNN9QC/<[RF`X`.!4R!'1*!DYA4S1TU+\`7N5:G/:T;ZNL6R4VQVKP#+HD2SP
-4\M#B-=G-5DL"Q+Q^>(.@T0\)`#O1
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-script.gif' ||
-  $echo 'restore of' 'anthony-script.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-script.gif:' 'MD5 check failed'
-1a090281ba78aa7092f9908890012deb  anthony-script.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-script.gif'`"
-    test 155 -eq "$shar_count" ||
-    $echo 'anthony-script.gif:' 'original size' '155,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-sound.gif ==============
-if test -f 'anthony-sound.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-sound.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-sound.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-sound.gif
-M1TE&.#EA%``6`,(``````+(B(KZ^OB]/3_]C1____W"`D+^_OR'Y!`$```<`
-M+``````4`!8```-K>+K<_C"VP0B1"H!C58^`L7$7"87%:'X-FG*>=VFT4=Q;
-MUP5$:/RVVVMWX;F$P@WOL#0&D3AF<7J$*J?2*O(JS1H&WV_2U)S1`()!5(<]
-?#-X#M#H7,TWD*C8D+AA]2GL:=BQ[%`N$&(F*"PD`.QH&
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-sound.gif' ||
-  $echo 'restore of' 'anthony-sound.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-sound.gif:' 'MD5 check failed'
-5350a7f6218f61c8ec4c32a8564af8f2  anthony-sound.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-sound.gif'`"
-    test 166 -eq "$shar_count" ||
-    $echo 'anthony-sound.gif:' 'original size' '166,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-tar.gif ==============
-if test -f 'anthony-tar.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-tar.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-tar.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-tar.gif
-M1TE&.#EA%``6`,(``````"]/3____W"`D+^_OP```````````"'Y!`$```0`
-M+``````4`!8```-A&+J\])`$0:N=(;YI!0`4ET739WYA-6[>B0I<",75"P1W
-MSG:6^[&^SF`X``"#%J)14@.]A,L2$GH\\2C%W9679?I`W&C+=>W&4,^D^%M>
-5.]-J[3;.G%,E`:)^/\1%OH!+"0`[
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-tar.gif' ||
-  $echo 'restore of' 'anthony-tar.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-tar.gif:' 'MD5 check failed'
-516061955993427e3aa1929d5c9175c6  anthony-tar.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-tar.gif'`"
-    test 156 -eq "$shar_count" ||
-    $echo 'anthony-tar.gif:' 'original size' '156,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-tex.gif ==============
-if test -f 'anthony-tex.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-tex.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-tex.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-tex.gif
-M1TE&.#EA%``6`,(``````"]/3____W"`D+^_OP```````````"'Y!`$```0`
-M+``````4`!8```-I&+J\])`$0:N=(;YI*0`"ET739YIA-6[">:8JQ'5?&P#W
-MS0[F8+D?EJLC&!AYPI:2>`0D440*4E+Y^*)%)Q7+U)9PE!NH,_T"NZSJ.%IN
-=`=>5]D=4(WNYZ"T^?M_S-P%'@H-&.A!OB%H)`#O+
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-tex.gif' ||
-  $echo 'restore of' 'anthony-tex.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-tex.gif:' 'MD5 check failed'
-9e2cc5c42025c323b03c3074daef5e31  anthony-tex.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-tex.gif'`"
-    test 164 -eq "$shar_count" ||
-    $echo 'anthony-tex.gif:' 'original size' '164,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-text.gif ==============
-if test -f 'anthony-text.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-text.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-text.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-text.gif
-M1TE&.#EA%``6`,(``````"]/3____W"`D+^_OP```````````"'Y!`$```0`
-M+``````4`!8```->&+J\])`$0:N=(;YI.\\1UU4BN(W7!7%`ZU)`$,\G"KMN
-MC;?6X`^`FJWR"TINNQ<%*!P2C2R`=#I]-IT"YE%`[0*L6^P2VO%^QU>G5H2D
-2@MG8M?@=^-GO/EG$S#<F```[
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-text.gif' ||
-  $echo 'restore of' 'anthony-text.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-text.gif:' 'MD5 check failed'
-6115039fc538f0f7212ea17dd9adf34b  anthony-text.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-text.gif'`"
-    test 153 -eq "$shar_count" ||
-    $echo 'anthony-text.gif:' 'original size' '153,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-unknown.gif ==============
-if test -f 'anthony-unknown.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-unknown.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-unknown.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-unknown.gif
-M1TE&.#EA%``6`,(``````"]/3____W"`D+^_OP```````````"'Y!`$```0`
-M+``````4`!8```-H&+J\])`$0:N=(;YI.\\1)PP#8)HBN%'E>8J"RK4N"@0W
-ML`KN,-:GG:O2(^DDG0H-0"KM+$L3ZPC[U7R_)P6(S2(MO8[S2SPEQ]4DE-H9
-<BME@\UO+DZ_I:B4\/Y<$FH"!)#@10(9!!`D`.P6(
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-unknown.gif' ||
-  $echo 'restore of' 'anthony-unknown.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-unknown.gif:' 'MD5 check failed'
-f8ec9ff9f4eb30d34b29ac1b10a84aae  anthony-unknown.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-unknown.gif'`"
-    test 163 -eq "$shar_count" ||
-    $echo 'anthony-unknown.gif:' 'original size' '163,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-xbm.gif ==============
-if test -f 'anthony-xbm.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-xbm.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-xbm.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-xbm.gif
-M1TE&.#EA%``6`,(``````"]/3____W"`D+^_OP```````````"'Y!`$```0`
-M+``````4`!8```-?&+J\])`$0:N=(;YI.\\1UU4BN(W7!8D48`$!+)\58-=V
-M#M""[E:#X&`G:?E^%"%Q<LQUACS4<XER6J#%CN]*?1V!7=PV&3:.!5B6^0:.
-3BJ=N*3DN3P>$^'PP%FGZB0D`.SS4
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-xbm.gif' ||
-  $echo 'restore of' 'anthony-xbm.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-xbm.gif:' 'MD5 check failed'
-9f2ec7af479158b89912fc67c7886770  anthony-xbm.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-xbm.gif'`"
-    test 154 -eq "$shar_count" ||
-    $echo 'anthony-xbm.gif:' 'original size' '154,' 'current size' "$shar_count!"
-  fi
-fi
-# ============= anthony-xpm.gif ==============
-if test -f 'anthony-xpm.gif' && test "$first_param" != -c; then
-  $echo 'x -' SKIPPING 'anthony-xpm.gif' '(file already exists)'
-else
-  $echo 'x -' extracting 'anthony-xpm.gif' '(binary)'
-  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
-begin 600 anthony-xpm.gif
-M1TE&.#EA%``6`,(``````"]/3_\``/___W"`D+^_OP``_P```"'Y!`$```4`
-M+``````4`!8```-M&+J\];"$0:N=(;YI.\\1UU4BN(W7!8D48`$!+)\5(+@M
-MH._T8`LW"V%(`-!^P&"%:)3X=E#<LLE"":FH7:?8JQF^T@'7^?J:I>,JP`R>
-A=GUL`QK;6;?=Y+IN2[?RWWYB5`%$A89#,1%1BU$/"0`[
-`
-end
-SHAR_EOF
-  chmod 0440 'anthony-xpm.gif' ||
-  $echo 'restore of' 'anthony-xpm.gif' 'failed'
-  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
-  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
-    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
-    || $echo 'anthony-xpm.gif:' 'MD5 check failed'
-8d2724de7e9e46198a9dd3e805b18a02  anthony-xpm.gif
-SHAR_EOF
-  else
-    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'anthony-xpm.gif'`"
-    test 168 -eq "$shar_count" ||
-    $echo 'anthony-xpm.gif:' 'original size' '168,' 'current size' "$shar_count!"
-  fi
-fi
-rm -fr _sh03044
-exit 0
diff -u -r -N squid-3.0.STABLE8/icons/Makefile.am squid-3.0.STABLE9/icons/Makefile.am
--- squid-3.0.STABLE8/icons/Makefile.am	2008-07-18 22:02:51.000000000 +1200
+++ squid-3.0.STABLE9/icons/Makefile.am	2008-09-10 04:06:41.000000000 +1200
@@ -1,8 +1,8 @@
-# $Id: Makefile.am,v 1.11 2003/05/21 08:24:26 hno Exp $
+# $Id$
 #
 
-ICON1	=	anthony-binhex.gif
-ICON2 	=	anthony-bomb.gif \
+ICONS	=	anthony-binhex.gif \
+		anthony-bomb.gif \
 		anthony-box.gif \
 		anthony-box2.gif \
 		anthony-c.gif \
@@ -30,23 +30,8 @@
 		anthony-xpm.gif
 
 icondir = $(datadir)/icons
-icon_DATA = $(ICON1) $(ICON2)
-EXTRA_DIST = $(ICON1) $(ICON2) icons.shar
+icon_DATA = $(ICONS)
+EXTRA_DIST = $(ICONS)
 DISTCLEANFILES = 
 
-# The magic with ICON1,2 is to have a single dependency
-# for all of the icons.
-$(ICON2): $(ICON1)
-
-$(ICON1):
-	@if [ ! -f "$(srcdir)/$(ICON1)" ]; then \
-	    $(SHELL) "$(srcdir)/icons.shar" ; \
-	    touch -r "$(srcdir)/icons.shar" *.gif ; \
-	fi
-
-update-icons.shar:
-	shar --no-timestamp $(ICON1) $(ICON2) > $@ 2>/dev/null || \
-	shar $(ICON1) $(ICON2) > $@
-
 ## DEFAULT_ICON_DIR        = $(sysconfdir)/icons
-
diff -u -r -N squid-3.0.STABLE8/icons/Makefile.in squid-3.0.STABLE9/icons/Makefile.in
--- squid-3.0.STABLE8/icons/Makefile.in	2008-07-18 22:02:51.000000000 +1200
+++ squid-3.0.STABLE9/icons/Makefile.in	2008-09-10 04:06:41.000000000 +1200
@@ -14,7 +14,7 @@
 
 @SET_MAKE@
 
-# $Id: Makefile.am,v 1.11 2003/05/21 08:24:26 hno Exp $
+# $Id$
 #
 
 srcdir = @srcdir@
@@ -99,6 +99,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -161,6 +162,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
@@ -278,8 +280,8 @@
 subdirs = @subdirs@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
-ICON1 = anthony-binhex.gif
-ICON2 = anthony-bomb.gif \
+ICONS = anthony-binhex.gif \
+		anthony-bomb.gif \
 		anthony-box.gif \
 		anthony-box2.gif \
 		anthony-c.gif \
@@ -307,8 +309,8 @@
 		anthony-xpm.gif
 
 icondir = $(datadir)/icons
-icon_DATA = $(ICON1) $(ICON2)
-EXTRA_DIST = $(ICON1) $(ICON2) icons.shar
+icon_DATA = $(ICONS)
+EXTRA_DIST = $(ICONS)
 DISTCLEANFILES = 
 all: all-am
 
@@ -491,20 +493,6 @@
 	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
 	uninstall uninstall-am uninstall-iconDATA uninstall-info-am
 
-
-# The magic with ICON1,2 is to have a single dependency
-# for all of the icons.
-$(ICON2): $(ICON1)
-
-$(ICON1):
-	@if [ ! -f "$(srcdir)/$(ICON1)" ]; then \
-	    $(SHELL) "$(srcdir)/icons.shar" ; \
-	    touch -r "$(srcdir)/icons.shar" *.gif ; \
-	fi
-
-update-icons.shar:
-	shar --no-timestamp $(ICON1) $(ICON2) > $@ 2>/dev/null || \
-	shar $(ICON1) $(ICON2) > $@
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
 .NOEXPORT:
diff -u -r -N squid-3.0.STABLE8/include/util.h squid-3.0.STABLE9/include/util.h
--- squid-3.0.STABLE8/include/util.h	2008-07-18 22:02:51.000000000 +1200
+++ squid-3.0.STABLE9/include/util.h	2008-09-10 04:06:41.000000000 +1200
@@ -91,9 +91,13 @@
  */
 #define _SQUID_EXTERNNEW_ extern
 #else
+#ifdef __GNUC_STDC_INLINE__
+#define _SQUID_EXTERNNEW_ extern inline __attribute__((gnu_inline))
+#else
 #define _SQUID_EXTERNNEW_ extern inline
 #endif
 #endif
+#endif
 #include "SquidNew.h"
 #endif
 
diff -u -r -N squid-3.0.STABLE8/include/version.h squid-3.0.STABLE9/include/version.h
--- squid-3.0.STABLE8/include/version.h	2008-07-18 22:02:55.000000000 +1200
+++ squid-3.0.STABLE9/include/version.h	2008-09-10 04:06:45.000000000 +1200
@@ -9,5 +9,5 @@
  */
 
 #ifndef SQUID_RELEASE_TIME
-#define SQUID_RELEASE_TIME 1216375359
+#define SQUID_RELEASE_TIME 1220976395
 #endif
diff -u -r -N squid-3.0.STABLE8/lib/libTrie/cfgaux/ltmain.sh squid-3.0.STABLE9/lib/libTrie/cfgaux/ltmain.sh
--- squid-3.0.STABLE8/lib/libTrie/cfgaux/ltmain.sh	2008-07-18 22:02:51.000000000 +1200
+++ squid-3.0.STABLE9/lib/libTrie/cfgaux/ltmain.sh	2008-09-10 04:06:42.000000000 +1200
@@ -2,7 +2,7 @@
 # NOTE: Changing this file will not affect anything until you rerun configure.
 #
 # Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2003, 2004, 2005, 2006,
-# 2007  Free Software Foundation, Inc.
+# 2007, 2008  Free Software Foundation, Inc.
 # Originally by Gordon Matzigkeit <gord@gnu.ai.mit.edu>, 1996
 #
 # This program is free software; you can redistribute it and/or modify
@@ -43,8 +43,8 @@
 
 PROGRAM=ltmain.sh
 PACKAGE=libtool
-VERSION=1.5.24
-TIMESTAMP=" (1.1220.2.455 2007/06/24 02:13:29)"
+VERSION=1.5.26
+TIMESTAMP=" (1.1220.2.492 2008/01/30 06:40:56)"
 
 # Be Bourne compatible (taken from Autoconf:_AS_BOURNE_COMPATIBLE).
 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
@@ -113,15 +113,21 @@
 # These must not be set unconditionally because not all systems understand
 # e.g. LANG=C (notably SCO).
 # We save the old values to restore during execute mode.
-for lt_var in LANG LC_ALL LC_CTYPE LC_COLLATE LC_MESSAGES
+lt_env=
+for lt_var in LANG LANGUAGE LC_ALL LC_CTYPE LC_COLLATE LC_MESSAGES
 do
   eval "if test \"\${$lt_var+set}\" = set; then
 	  save_$lt_var=\$$lt_var
+	  lt_env=\"$lt_var=\$$lt_var \$lt_env\"
 	  $lt_var=C
 	  export $lt_var
 	fi"
 done
 
+if test -n "$lt_env"; then
+  lt_env="env $lt_env"
+fi
+
 # Make sure IFS has a sensible default
 lt_nl='
 '
@@ -514,7 +520,7 @@
     echo "\
 $PROGRAM (GNU $PACKAGE) $VERSION$TIMESTAMP
 
-Copyright (C) 2007  Free Software Foundation, Inc.
+Copyright (C) 2008  Free Software Foundation, Inc.
 This is free software; see the source for copying conditions.  There is NO
 warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE."
     exit $?
@@ -817,6 +823,7 @@
     *.for) xform=for ;;
     *.java) xform=java ;;
     *.obj) xform=obj ;;
+    *.sx) xform=sx ;;
     esac
 
     libobj=`$echo "X$libobj" | $Xsed -e "s/\.$xform$/.lo/"`
@@ -985,7 +992,7 @@
       $run $rm "$lobj" "$output_obj"
 
       $show "$command"
-      if $run eval "$command"; then :
+      if $run eval $lt_env "$command"; then :
       else
 	test -n "$output_obj" && $run $rm $removelist
 	exit $EXIT_FAILURE
@@ -1057,7 +1064,7 @@
       command="$command$suppress_output"
       $run $rm "$obj" "$output_obj"
       $show "$command"
-      if $run eval "$command"; then :
+      if $run eval $lt_env "$command"; then :
       else
 	$run $rm $removelist
 	exit $EXIT_FAILURE
@@ -1190,6 +1197,7 @@
     thread_safe=no
     vinfo=
     vinfo_number=no
+    single_module="${wl}-single_module"
 
     func_infer_tag $base_compile
 
@@ -1676,6 +1684,11 @@
 	continue
 	;;
 
+      -multi_module)
+	single_module="${wl}-multi_module"
+	continue
+	;;
+
       -module)
 	module=yes
 	continue
@@ -2202,7 +2215,12 @@
 	    continue
 	  fi
 	  name=`$echo "X$deplib" | $Xsed -e 's/^-l//'`
-	  for searchdir in $newlib_search_path $lib_search_path $sys_lib_search_path $shlib_search_path; do
+	  if test "$linkmode" = lib; then
+	    searchdirs="$newlib_search_path $lib_search_path $compiler_lib_search_dirs $sys_lib_search_path $shlib_search_path"
+	  else
+	    searchdirs="$newlib_search_path $lib_search_path $sys_lib_search_path $shlib_search_path"
+	  fi
+	  for searchdir in $searchdirs; do
 	    for search_ext in .la $std_shrext .so .a; do
 	      # Search the libtool library
 	      lib="$searchdir/lib${name}${search_ext}"
@@ -2998,12 +3016,18 @@
 		  # we do not want to link against static libs,
 		  # but need to link against shared
 		  eval deplibrary_names=`${SED} -n -e 's/^library_names=\(.*\)$/\1/p' $deplib`
+		  eval deplibdir=`${SED} -n -e 's/^libdir=\(.*\)$/\1/p' $deplib`
 		  if test -n "$deplibrary_names" ; then
 		    for tmp in $deplibrary_names ; do
 		      depdepl=$tmp
 		    done
-		    if test -f "$path/$depdepl" ; then
+		    if test -f "$deplibdir/$depdepl" ; then
+		      depdepl="$deplibdir/$depdepl"
+	      	    elif test -f "$path/$depdepl" ; then
 		      depdepl="$path/$depdepl"
+		    else
+		      # Can't find it, oh well...
+		      depdepl=
 		    fi
 		    # do not add paths which are already there
 		    case " $newlib_search_path " in
@@ -3151,9 +3175,10 @@
 
     case $linkmode in
     oldlib)
-      if test -n "$deplibs"; then
-	$echo "$modename: warning: \`-l' and \`-L' are ignored for archives" 1>&2
-      fi
+      case " $deplibs" in
+      *\ -l* | *\ -L*)
+	$echo "$modename: warning: \`-l' and \`-L' are ignored for archives" 1>&2 ;;
+      esac
 
       if test -n "$dlfiles$dlprefiles" || test "$dlself" != no; then
 	$echo "$modename: warning: \`-dlopen' is ignored for archives" 1>&2
@@ -4290,9 +4315,10 @@
       ;;
 
     obj)
-      if test -n "$deplibs"; then
-	$echo "$modename: warning: \`-l' and \`-L' are ignored for objects" 1>&2
-      fi
+      case " $deplibs" in
+      *\ -l* | *\ -L*)
+	$echo "$modename: warning: \`-l' and \`-L' are ignored for objects" 1>&2 ;;
+      esac
 
       if test -n "$dlfiles$dlprefiles" || test "$dlself" != no; then
 	$echo "$modename: warning: \`-dlopen' is ignored for objects" 1>&2
@@ -6534,7 +6560,7 @@
       fi
 
       # Restore saved environment variables
-      for lt_var in LANG LC_ALL LC_CTYPE LC_COLLATE LC_MESSAGES
+      for lt_var in LANG LANGUAGE LC_ALL LC_CTYPE LC_COLLATE LC_MESSAGES
       do
 	eval "if test \"\${save_$lt_var+set}\" = set; then
 		$lt_var=\$save_$lt_var; export $lt_var
diff -u -r -N squid-3.0.STABLE8/lib/Makefile.in squid-3.0.STABLE9/lib/Makefile.in
--- squid-3.0.STABLE8/lib/Makefile.in	2008-07-18 22:02:51.000000000 +1200
+++ squid-3.0.STABLE9/lib/Makefile.in	2008-09-10 04:06:42.000000000 +1200
@@ -169,6 +169,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -231,6 +232,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/lib/sspwin32.c squid-3.0.STABLE9/lib/sspwin32.c
--- squid-3.0.STABLE8/lib/sspwin32.c	2008-07-18 22:02:51.000000000 +1200
+++ squid-3.0.STABLE9/lib/sspwin32.c	2008-09-10 04:06:42.000000000 +1200
@@ -428,11 +428,11 @@
 
         /* Initialize auth identity structure */
 	ZeroMemory(&ai, sizeof(ai));
-	ai.Domain = szDomain;
+	ai.Domain = (void *)szDomain;
 	ai.DomainLength = lstrlen(szDomain);
-	ai.User = szUser;
+	ai.User = (void *)szUser;
 	ai.UserLength = lstrlen(szUser);
-	ai.Password = szPassword;
+	ai.Password = (void *)szPassword;
 	ai.PasswordLength = lstrlen(szPassword);
 #if defined(UNICODE) || defined(_UNICODE)
 	ai.Flags = SEC_WINNT_AUTH_IDENTITY_UNICODE;
diff -u -r -N squid-3.0.STABLE8/Makefile.in squid-3.0.STABLE9/Makefile.in
--- squid-3.0.STABLE8/Makefile.in	2008-07-18 22:02:45.000000000 +1200
+++ squid-3.0.STABLE9/Makefile.in	2008-09-10 04:06:36.000000000 +1200
@@ -115,6 +115,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -177,6 +178,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/RELEASENOTES.html squid-3.0.STABLE9/RELEASENOTES.html
--- squid-3.0.STABLE8/RELEASENOTES.html	2008-07-18 22:03:49.000000000 +1200
+++ squid-3.0.STABLE9/RELEASENOTES.html	2008-09-10 04:07:36.000000000 +1200
@@ -123,11 +123,229 @@
 </P>
 <P>See 
 <A HREF="http://www.squid-cache.org/Doc/FAQ/FAQ-6.html#ss6.7">http://www.squid-cache.org/Doc/FAQ/FAQ-6.html#ss6.7</A> for a definition of all log types.</P>
+<H2><A NAME="s5">5. Windows support</A></H2>
 
+<P>This Squid version can run on Windows as a system service using the Cygwin emulation environment, 
+or can be compiled in Windows native mode using the MinGW + MSYS development environment. Windows NT 4 SP4 and later are supported.<BR>
+On Windows 2000 and later the service is configured to use the Windows Service Recovery option
+restarting automatically after 60 seconds.
+<DL>
+
+<DT><B>Usage</B><DD>
+<P>Some new command line options were added for the Windows service support:<BR></P>
+<P>The service installation is made with -i command line switch, it's possible to use -f switch at
+the same time for specify a different config-file settings for the Squid Service that will be
+stored on the Windows Registry.</P>
+<P>A new -n switch specify the Windows Service Name, so multiple Squid instance are allowed.
+<EM>"Squid"</EM> is the default when the switch is not used.</P>
+<P>So, to install the service, the syntax is: </P>
+<P>
+<PRE>
+squid -i [-f file] [-n name]
+</PRE>
+</P>
+<P>Service uninstallation is made with -r command line switch with the appropriate -n switch.</P>
+<P>The -k switch family must be used with the appropriate -f and -n switches, so the syntax is: </P>
+<P>
+<PRE>
+squid -k command [-f file] -n service-name
+</PRE>
+
+where <EM>service-name</EM> is the name specified with -n options at service install time.</P>
+<P>To use the Squid original command line, the new -O switch must be used ONCE, the syntax is: </P>
+<P>
+<PRE>
+squid -O cmdline [-n service-name]
+</PRE>
+
+If multiple service command line options must be specified, use quote. The -n switch is
+needed only when a non default service name is in use.</P>
+<P>Don't use the "Start parameters" in the Windows 2000/XP/2003 Service applet: they are
+specific to Windows services functionality and Squid is not designed for understand they.</P>
+<P>In the following example the command line of the "squidsvc" Squid service is set to "-D -u 3130": </P>
+<P>
+<PRE>
+squid -O "-D -u 3130" -n squidsvc
+</PRE>
+</P>
+</DL>
+</P>
+<P>
+<DL>
+<DT><B>PSAPI.DLL (Process Status Helper) Considerations</B><DD>
+<P>The process status helper functions make it easier for you to obtain information about
+processes and device drivers running on Microsoft Windows NT/Windows 2000. These
+functions are available in PSAPI.DLL, which is distributed in the Microsoft Platform
+Software Development Kit (SDK). The same information is generally available through the
+performance data in the registry, but it is more difficult to get to it. PSAPI.DLL is
+freely redistributable.</P>
+<P>PSAPI.DLL is available only on Windows NT, 2000, XP and 2003. The implementation in Squid is
+aware of this, and try to use it only on the right platform.</P>
+<P>On Windows NT PSAPI.DLL can be found as component of many applications, if you need it,
+you can find it on Windows NT Resource KIT. If you have problem, it can be
+downloaded from here:
+<A HREF="http://download.microsoft.com/download/platformsdk/Redist/4.0.1371.1/NT4/EN-US/psinst.EXE">http://download.microsoft.com/download/platformsdk/Redist/4.0.1371.1/NT4/EN-US/psinst.EXE</A></P>
+<P>On Windows 2000 and later it is available installing the Windows Support Tools, located on the
+Support\Tools folder of the installation Windows CD-ROM.</P>
+</DL>
+</P>
+<P>
+<DL>
+<DT><B>Registry DNS lookup</B><DD>
+<P>On Windows platforms, if no value is specified in the <EM>dns_nameservers</EM> option on
+squid.conf or in the /etc/resolv.conf file, the list of DNS name servers are
+taken from the Windows registry, both static and dynamic DHCP configurations
+are supported.</P>
+</DL>
+</P>
+<P>
+<DL>
+<DT><B>Compatibility Notes</B><DD>
+<P>
+<UL>
+<LI>It's recommended to use '/' char in Squid paths instead of '\'</LI>
+<LI>Paths with spaces (like 'C:\Programs Files\Squid) are NOT supported by Squid</LI>
+<LI>When using ACL like 'acl aclname acltype "file"' the file must be in DOS text
+format (CR+LF) and the full Windows path must be specified, for example:
+
+<PRE>
+acl blocklist url_regex -i "c:/squid/etc/blocked1.txt"
+</PRE>
+
+</LI>
+<LI>The Windows equivalent of '/dev/null' is 'NUL'</LI>
+<LI>Squid doesn't know how to run external helpers based on scripts, like .bat, .cmd,
+.vbs, .pl, etc. So in squid.conf the interpreter path must be always specified, for example:
+
+<PRE>
+redirect_program c:/perl/bin/perl.exe c:/squid/libexec/redir.pl
+redirect_program c:/winnt/system32/cmd.exe /C c:/squid/libexec/redir.cmd
+</PRE>
+</LI>
+<LI>When Squid runs in command line mode, the launching user account must have administrative privilege on the system</LI>
+<LI>"Start parameters" in the Windows 2000/XP/2003 Service applet cannot be used</LI>
+<LI>Building with MinGW, when the configure option --enable-truncate is used, Squid cannot run on Windows NT, only Windows 2000 and later are supported</LI>
+</UL>
+</P>
+</DL>
+</P>
+<P>
+<DL>
+<DT><B>Known Limitations</B><DD>
+<P>
+<UL>
+<LI>Squid features not operational:<BR>
+<UL>
+<LI>DISKD: still needs to be ported<BR></LI>
+<LI>WCCP: cannot work because user space GRE support on Windows is missing<BR></LI>
+<LI>Transparent Proxy: missing Windows non commercial interception driver<BR></LI>
+</UL>
+</LI>
+<LI>Some code sections can make blocking calls.</LI>
+<LI>Some external helpers may not work.</LI>
+<LI>File Descriptors number hard-limited to 2048 when building with MinGW.</LI>
+</UL>
+</P>
+</DL>
+</P>
+<P>
+<DL>
+<DT><B>Building Squid on Windows</B><DD>
+<P>A reasonably recent release of 
+<A HREF="http://www.cygwin.com/">Cygwin</A> or 
+<A HREF="http://www.mingw.org/">MinGW</A> is needed.<BR>
+The usage of the Cygwin environment is very similar to other Unix/Linux environments, and -devel version of libraries must be installed.<BR>
+For the MinGW environment, the packages MSYS, MinGW and msysDTK must be installed. Some additional libraries and tools must be downloaded separately:<BR><BR>
+OpenSSL: 
+<A HREF="http://www.slproweb.com/products/Win32OpenSSL.html">Shining Light Productions Win32 OpenSSL</A><BR>
+libcrypt: 
+<A HREF="http://sourceforge.net/projects/mingwrep/">MinGW packages repository</A><BR>
+db-1.85: 
+<A HREF="http://tinycobol.org/download.html">TinyCOBOL download area</A><BR>
+uudecode: 
+<A HREF="http://unxutils.sourceforge.net/">Native Win32 ports of some GNU utilities</A><BR><BR>
+When running configure, --disable-wccp and --disable-wccpv2 options should always specified to avoid compile errors.<BR>
+<UL>
+<LI>New configure options:<BR>
+<UL>
+<LI>--enable-win32-service<BR></LI>
+</UL>
+</LI>
+<LI>Updated configure options:<BR>
+<UL>
+<LI>--enable-arp-acl<BR></LI>
+<LI>--enable-default-hostsfile<BR></LI>
+</UL>
+</LI>
+<LI>Unsupported configure options:<BR>
+<UL>
+<LI>--enable-coss-aio-ops: On Windows Posix AIO is not available<BR></LI>
+<LI>--with-large-files: No suitable build environment is available on both Cygwin and MinGW, but --enable-large-cache-files works fine<BR></LI>
+</UL>
+</LI>
+<LI>Recommended configure minimal options for Windows:<BR>
+<UL>
+<LI>--prefix=c:/squid --disable-wccp --disable-wccpv2 --enable-win32-service --enable-default-hostsfile=none</LI>
+</UL>
+</LI>
+</UL>
+<BR>
+Before build Squid with SSL support, some operations are needed (in the following example OpenSSL is installed in C:\OpenSSL and MinGW in C:\MinGW):
+<UL>
+<LI>Copy C:\OpenSSL\lib\MinGW content to C:\MinGW\lib<BR></LI>
+<LI>Copy C:\OpenSSL\include\openssl content to C:\MinGW\include\openssl<BR></LI>
+<LI>Rename C:\MinGW\lib\ssleay32.a to C:\MinGW\lib\libssleay32.a<BR></LI>
+</UL>
+</P>
+
+</DL>
+</P>
+<P>
+<DL>
+<DT><B>Using cache manager on Windows:</B><DD>
+<P>On Windows, cache manager (cachemgr.cgi) can be used with Microsoft IIS or Apache.<BR>
+Some specific configuration could be needed:<BR>
+<UL>
+<LI>IIS 6 (Windows 2003):<BR>
+<UL>
+<LI>On IIS 6.0 all CGI extensions are denied by default for security reason, so the following configuration is needed:<BR>
+<UL>
+<LI>Create a cgi-bin Directory</LI>
+<LI>Define the cgi-bin IIS Virtual Directory with read and CGI execute IIS
+permissions, ASP scripts are not needed. This automatically defines a
+cgi-bin IIS web application </LI>
+<LI>Copy cachemgr.cgi into cgi-bin directory and look to file permissions:
+the IIS system account and SYSTEM must be able to read and execute the file</LI>
+<LI>In IIS manager go to Web Service extensions and add a new Web Service
+Extension called <EM>"Squid Cachemgr"</EM>, add the cachemgr.cgi file and set the
+extension status to <EM>Allowed</EM></LI>
+</UL>
+</LI>
+</UL>
+</LI>
+<LI>Apache:<BR>
+<UL>
+<LI>On Windows, cachemgr.cgi needs to create a temporary file, so Apache must be instructed
+to pass the TMP and TEMP Windows environment variables to CGI applications:<BR>
+<PRE>
+ScriptAlias /squid/cgi-bin/ "c:/squid/libexec/"
+&lt;Location /squid/cgi-bin/cachemgr.cgi&gt;
+    PassEnv TMP TEMP
+    Order allow,deny
+    Allow from workstation.example.com
+&lt;/Location&gt;
+</PRE>
+</LI>
+</UL>
+</LI>
+</UL>
+</P>
+</DL>
+</P>
 
 
 
-<H2><A NAME="ss4.4">4.4 Changes to squid.conf</A>
+<H2><A NAME="ss5.1">5.1 Changes to squid.conf</A>
 </H2>
 
 <P>There have been many changes to Squid's configuration file since Squid-2.6.</P>
@@ -333,7 +551,7 @@
 through without being processed by an ICAP server
 service_url = icap://servername:port/service
 
-Note: reqmod_precache and respmod_postcache is not yet implemented
+Note: reqmod_postcache and respmod_postcache is not yet implemented
 
 Example:
 icap_service service_1 reqmod_precache 0 icap://icap1.mydomain.net:1344/reqmod
@@ -732,7 +950,7 @@
 </P>
 
 
-<H2><A NAME="ss4.5">4.5 Changes to ./configure Options</A>
+<H2><A NAME="ss5.2">5.2 Changes to ./configure Options</A>
 </H2>
 
 <P>There have been some changes to Squid's build configuration since Squid-2.6.</P>
diff -u -r -N squid-3.0.STABLE8/scripts/Makefile.in squid-3.0.STABLE9/scripts/Makefile.in
--- squid-3.0.STABLE8/scripts/Makefile.in	2008-07-18 22:02:51.000000000 +1200
+++ squid-3.0.STABLE9/scripts/Makefile.in	2008-09-10 04:06:42.000000000 +1200
@@ -96,6 +96,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -158,6 +159,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/snmplib/Makefile.in squid-3.0.STABLE9/snmplib/Makefile.in
--- squid-3.0.STABLE8/snmplib/Makefile.in	2008-07-18 22:02:52.000000000 +1200
+++ squid-3.0.STABLE9/snmplib/Makefile.in	2008-09-10 04:06:42.000000000 +1200
@@ -109,6 +109,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -171,6 +172,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/src/auth/Makefile.in squid-3.0.STABLE9/src/auth/Makefile.in
--- squid-3.0.STABLE8/src/auth/Makefile.in	2008-07-18 22:02:53.000000000 +1200
+++ squid-3.0.STABLE9/src/auth/Makefile.in	2008-09-10 04:06:44.000000000 +1200
@@ -130,6 +130,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -192,6 +193,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/src/auth/negotiate/auth_negotiate.cc squid-3.0.STABLE9/src/auth/negotiate/auth_negotiate.cc
--- squid-3.0.STABLE8/src/auth/negotiate/auth_negotiate.cc	2008-07-18 22:02:53.000000000 +1200
+++ squid-3.0.STABLE9/src/auth/negotiate/auth_negotiate.cc	2008-09-10 04:06:44.000000000 +1200
@@ -50,6 +50,12 @@
 #include "negotiateScheme.h"
 #include "wordlist.h"
 
+/**
+ * Maximum length (buffer size) for token strings.
+ */
+// AYJ: must match re-definition in helpers/negotiate_auth/squid_kerb_auth/squid_kerb_auth.c
+#define MAX_AUTHTOKEN_LEN   32768
+
 static void
 authenticateNegotiateReleaseServer(AuthUserRequest * auth_user_request);
 
@@ -547,7 +553,7 @@
 AuthNegotiateUserRequest::module_start(RH * handler, void *data)
 {
     authenticateStateData *r = NULL;
-    static char buf[8192];
+    static char buf[MAX_AUTHTOKEN_LEN];
     negotiate_user_t *negotiate_user;
     auth_user_t *auth_user = user();
 
@@ -573,9 +579,9 @@
     AUTHUSERREQUESTLOCK(r->auth_user_request, "r");
 
     if (auth_state == AUTHENTICATE_STATE_INITIAL) {
-        snprintf(buf, 8192, "YR %s\n", client_blob); //CHECKME: can ever client_blob be 0 here?
+        snprintf(buf, MAX_AUTHTOKEN_LEN, "YR %s\n", client_blob); //CHECKME: can ever client_blob be 0 here?
     } else {
-        snprintf(buf, 8192, "KK %s\n", client_blob);
+        snprintf(buf, MAX_AUTHTOKEN_LEN, "KK %s\n", client_blob);
     }
 
     waiting = 1;
diff -u -r -N squid-3.0.STABLE8/src/cf.data.pre squid-3.0.STABLE9/src/cf.data.pre
--- squid-3.0.STABLE8/src/cf.data.pre	2008-07-18 22:02:53.000000000 +1200
+++ squid-3.0.STABLE9/src/cf.data.pre	2008-09-10 04:06:44.000000000 +1200
@@ -1839,6 +1839,11 @@
 
 	The coss store type:
 
+	NP: COSS filesystem in 3.0 has been deemed too unstable for
+	    production use and has thus been removed from this 3.0
+	    STABLE release. We hope that it can be made usable again
+	    in a future release.
+
 	block-size=n defines the "block size" for COSS cache_dir's.
 	Squid uses file numbers as block numbers.  Since file numbers
 	are limited to 24 bits, the block size determines the maximum
@@ -4417,15 +4422,18 @@
 LOC: Config.errorDirectory
 DEFAULT: @DEFAULT_ERROR_DIR@
 DOC_START
-	If you wish to create your own versions of the default
-	(English) error files, either to customize them to suit your
-	language or company copy the template English files to another
-	directory and point this tag at them.
+	If you wish to create your own versions of the default files, to
+	customize them to suit your company copy the template files to
+	another directory and point this tag at them.
+
+	Current Language updates can be downloaded from:
+		http://www.squid-cache.org/Versions/langpack/
 
 	The squid developers are interested in making squid available in
 	a wide variety of languages. If you are making translations for a
 	langauge that Squid does not currently provide please consider
 	contributing your translation back to the project.
+	see http://wiki.squid-cache.org/Translations
 DOC_END
 
 NAME: err_html_text
diff -u -r -N squid-3.0.STABLE8/src/client_side.cc squid-3.0.STABLE9/src/client_side.cc
--- squid-3.0.STABLE8/src/client_side.cc	2008-07-18 22:02:54.000000000 +1200
+++ squid-3.0.STABLE9/src/client_side.cc	2008-09-10 04:06:44.000000000 +1200
@@ -1891,8 +1891,17 @@
     *method_p = HttpRequestMethod(&hp->buf[hp->m_start], &hp->buf[hp->m_end]);
 
     if (*method_p == METHOD_NONE) {
+        /* AYJ: hp->buf is occasionally full of binary crap. Replace any non-printables with underscores.
+                Also crop the output at 100 chars, we should not need a whole binary streaming video to identify the issue
+         */
+        char garbage[101];
+        memset(garbage, 0, 101);
+	for(int i=0; i < 100 && i < hp->bufsiz && hp->buf[i] != '\0'; i++)
+            garbage[i] = ((hp->buf[i] < ' ' || hp->buf[i] > '~' )? '_': hp->buf[i]);
+
         /* XXX need a way to say "this many character length string" */
-        debugs(33, 1, "clientParseRequestMethod: Unsupported method in request '" << hp->buf << "'");
+        debugs(33, 1, "clientParseRequestMethod: Unsupported method: This is not a bug. see squid.conf extension_methods");
+        debugs(33, 1, "clientParseRequestMethod: Unsupported method in request '" << garbage << "'");
 
         /* XXX where's the method set for this error? */
         return parseHttpRequestAbort(conn, "error:unsupported-request-method");
diff -u -r -N squid-3.0.STABLE8/src/comm_select_win32.cc squid-3.0.STABLE9/src/comm_select_win32.cc
--- squid-3.0.STABLE8/src/comm_select_win32.cc	2008-07-18 22:02:54.000000000 +1200
+++ squid-3.0.STABLE9/src/comm_select_win32.cc	2008-09-10 04:06:44.000000000 +1200
@@ -684,6 +684,15 @@
     statHistCount(&statCounter.comm_dns_incoming, nevents);
 }
 
+static void
+commSelectRegisterWithCacheManager(void)
+{
+    CacheManager::GetInstance()->
+            registerAction("comm_select_incoming",
+                           "comm_incoming() stats",
+                           commIncomingStats, 0, 1);
+}
+
 void
 comm_select_init(void)
 {
diff -u -r -N squid-3.0.STABLE8/src/fd.cc squid-3.0.STABLE9/src/fd.cc
--- squid-3.0.STABLE8/src/fd.cc	2008-07-18 22:02:54.000000000 +1200
+++ squid-3.0.STABLE9/src/fd.cc	2008-09-10 04:06:44.000000000 +1200
@@ -269,7 +269,7 @@
         debugs(51, 1, "Open FD "<< std::left<< std::setw(10) << 
                (F->bytes_read && F->bytes_written ? "READ/WRITE" :
                 F->bytes_read ? "READING" : F->bytes_written ? "WRITING" : 
-                null_string)  <<
+                "UNSTARTED")  <<
                " "<< std::right << std::setw(4) << i  << " " << F->desc);
     }
 }
diff -u -r -N squid-3.0.STABLE8/src/forward.cc squid-3.0.STABLE9/src/forward.cc
--- squid-3.0.STABLE8/src/forward.cc	2008-07-18 22:02:54.000000000 +1200
+++ squid-3.0.STABLE9/src/forward.cc	2008-09-10 04:06:44.000000000 +1200
@@ -1211,8 +1211,8 @@
     const char *nextHop = NULL;
 
     if (fs->_peer) { 
-        // went to peer, log peer domain name
-        nextHop = fs->_peer->host;
+        // went to peer, log peer host name
+        nextHop = fs->_peer->name;
     } else {
         // went DIRECT, must honor log_ip_on_direct
 
diff -u -r -N squid-3.0.STABLE8/src/fs/coss/coss-notes.txt squid-3.0.STABLE9/src/fs/coss/coss-notes.txt
--- squid-3.0.STABLE8/src/fs/coss/coss-notes.txt	2008-07-18 22:02:54.000000000 +1200
+++ squid-3.0.STABLE9/src/fs/coss/coss-notes.txt	2008-09-10 04:06:44.000000000 +1200
@@ -1,5 +1,13 @@
 COSS notes
 
+Amos Jeffries <squid3@treenet.co.nz>
+
+COSS Support is not stable in 3.0. Please do not use.
+
+Any help porting the stability fixes from Squid 2.6 and 2.7
+is very welcome though to resolve this issue.
+
+
 Adrian Chadd <adrian@creative.net.au>
 
 $Id: coss-notes.txt,v 1.3 2003/08/27 21:19:38 wessels Exp $
diff -u -r -N squid-3.0.STABLE8/src/fs/coss/CossSwapDir.h squid-3.0.STABLE9/src/fs/coss/CossSwapDir.h
--- squid-3.0.STABLE8/src/fs/coss/CossSwapDir.h	2008-07-18 22:02:54.000000000 +1200
+++ squid-3.0.STABLE9/src/fs/coss/CossSwapDir.h	2008-09-10 04:06:44.000000000 +1200
@@ -1,3 +1,4 @@
+#error COSS Support is not stable in 3.0. Please do not use.
 #ifndef __COSSSWAPDIR_H__
 #define __COSSSWAPDIR_H__
 
diff -u -r -N squid-3.0.STABLE8/src/fs/coss/store_coss.h squid-3.0.STABLE9/src/fs/coss/store_coss.h
--- squid-3.0.STABLE8/src/fs/coss/store_coss.h	2008-07-18 22:02:54.000000000 +1200
+++ squid-3.0.STABLE9/src/fs/coss/store_coss.h	2008-09-10 04:06:44.000000000 +1200
@@ -1,3 +1,4 @@
+#error COSS Support is not stable in 3.0. Please do not use.
 #ifndef __COSS_H__
 #define __COSS_H__
 
diff -u -r -N squid-3.0.STABLE8/src/fs/coss/store_dir_coss.cc squid-3.0.STABLE9/src/fs/coss/store_dir_coss.cc
--- squid-3.0.STABLE8/src/fs/coss/store_dir_coss.cc	2008-07-18 22:02:54.000000000 +1200
+++ squid-3.0.STABLE9/src/fs/coss/store_dir_coss.cc	2008-09-10 04:06:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+#error COSS Support is not stable in 3.0. Please do not use.
 /*
  * $Id: store_dir_coss.cc,v 1.77 2007/11/15 16:47:36 wessels Exp $
  * vim: set et : 
diff -u -r -N squid-3.0.STABLE8/src/fs/coss/StoreFScoss.cc squid-3.0.STABLE9/src/fs/coss/StoreFScoss.cc
--- squid-3.0.STABLE8/src/fs/coss/StoreFScoss.cc	2008-07-18 22:02:54.000000000 +1200
+++ squid-3.0.STABLE9/src/fs/coss/StoreFScoss.cc	2008-09-10 04:06:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+#error COSS Support is not stable in 3.0. Please do not use.
 /*
  * $Id: StoreFScoss.cc,v 1.7 2006/09/03 21:05:21 hno Exp $
  *
diff -u -r -N squid-3.0.STABLE8/src/fs/coss/StoreFScoss.h squid-3.0.STABLE9/src/fs/coss/StoreFScoss.h
--- squid-3.0.STABLE8/src/fs/coss/StoreFScoss.h	2008-07-18 22:02:54.000000000 +1200
+++ squid-3.0.STABLE9/src/fs/coss/StoreFScoss.h	2008-09-10 04:06:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+#error COSS Support is not stable in 3.0. Please do not use.
 /*
  * $Id: StoreFScoss.h,v 1.3 2006/05/29 00:15:09 robertc Exp $
  *
diff -u -r -N squid-3.0.STABLE8/src/fs/Makefile.in squid-3.0.STABLE9/src/fs/Makefile.in
--- squid-3.0.STABLE8/src/fs/Makefile.in	2008-07-18 22:02:54.000000000 +1200
+++ squid-3.0.STABLE9/src/fs/Makefile.in	2008-09-10 04:06:44.000000000 +1200
@@ -132,6 +132,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -194,6 +195,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/src/Makefile.in squid-3.0.STABLE9/src/Makefile.in
--- squid-3.0.STABLE8/src/Makefile.in	2008-07-18 22:02:53.000000000 +1200
+++ squid-3.0.STABLE9/src/Makefile.in	2008-09-10 04:06:43.000000000 +1200
@@ -1575,6 +1575,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -1637,6 +1638,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/src/neighbors.cc squid-3.0.STABLE9/src/neighbors.cc
--- squid-3.0.STABLE8/src/neighbors.cc	2008-07-18 22:02:54.000000000 +1200
+++ squid-3.0.STABLE9/src/neighbors.cc	2008-09-10 04:06:45.000000000 +1200
@@ -986,6 +986,7 @@
 neighborAliveHtcp(peer * p, const MemObject * mem, const htcpReplyData * htcp)
 {
     peerAlive(p);
+    p->stats.pings_acked++;
     p->htcp.counts[htcp->hit ? 1 : 0]++;
     p->htcp.version = htcp->version;
 }
@@ -1609,8 +1610,10 @@
     if (p->options.roundrobin)
         storeAppendPrintf(sentry, " round-robin");
 
+#if USE_CARP
     if (p->options.carp)
         storeAppendPrintf(sentry, " carp");
+#endif
 
     if (p->options.userhash)
         storeAppendPrintf(sentry, " userhash");
diff -u -r -N squid-3.0.STABLE8/src/repl/Makefile.in squid-3.0.STABLE9/src/repl/Makefile.in
--- squid-3.0.STABLE8/src/repl/Makefile.in	2008-07-18 22:02:54.000000000 +1200
+++ squid-3.0.STABLE9/src/repl/Makefile.in	2008-09-10 04:06:45.000000000 +1200
@@ -125,6 +125,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -187,6 +188,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/src/squid.h squid-3.0.STABLE9/src/squid.h
--- squid-3.0.STABLE8/src/squid.h	2008-07-18 22:02:54.000000000 +1200
+++ squid-3.0.STABLE9/src/squid.h	2008-09-10 04:06:45.000000000 +1200
@@ -316,7 +316,7 @@
 #define SA_RESETHAND SA_ONESHOT
 #endif
 
-#if LEACK_CHECK_MODE
+#if LEAK_CHECK_MODE
 #define LOCAL_ARRAY(type,name,size) \
         static type *local_##name=NULL; \
         type *name = local_##name ? local_##name : \
@@ -424,6 +424,9 @@
 #include "protos.h"
 #include "globals.h"
 
+/* Exclude CPPUnit tests from the below restriction. */
+/* BSD implementation uses these still */
+#if !defined(SQUID_UNIT_TEST)
 /*
  * Squid source files should not call these functions directly.
  * Use xmalloc, xfree, xcalloc, snprintf, and xstrdup instead.
@@ -434,7 +437,6 @@
 #endif
 template <class V>
 void free(V x) { fatal("Do not use ::free()"); }
-
 #ifndef calloc
 #define calloc +
 #endif
@@ -444,6 +446,7 @@
 #ifndef strdup
 #define strdup +
 #endif
+#endif /* !SQUID_UNIT_TEST */
 
 /*
  * Hey dummy, don't be tempted to move this to lib/config.h.in
diff -u -r -N squid-3.0.STABLE8/src/stat.cc squid-3.0.STABLE9/src/stat.cc
--- squid-3.0.STABLE8/src/stat.cc	2008-07-18 22:02:54.000000000 +1200
+++ squid-3.0.STABLE9/src/stat.cc	2008-09-10 04:06:45.000000000 +1200
@@ -1710,7 +1710,7 @@
 
 #if DELAY_POOLS
 
-        storeAppendPrintf(s, "delay_pool %d\n", DelayId::DelayClient(http) >> 16);
+        storeAppendPrintf(s, "delay_pool %d\n", DelayId::DelayClient(http).pool());
 
 #endif
 
diff -u -r -N squid-3.0.STABLE8/src/tests/testACLMaxUserIP.cc squid-3.0.STABLE9/src/tests/testACLMaxUserIP.cc
--- squid-3.0.STABLE8/src/tests/testACLMaxUserIP.cc	2008-07-18 22:02:55.000000000 +1200
+++ squid-3.0.STABLE9/src/tests/testACLMaxUserIP.cc	2008-09-10 04:06:45.000000000 +1200
@@ -1,3 +1,5 @@
+#define SQUID_UNIT_TEST 1
+
 #include "squid.h"
 #include <stdexcept>
 
diff -u -r -N squid-3.0.STABLE8/src/tests/testAuth.cc squid-3.0.STABLE9/src/tests/testAuth.cc
--- squid-3.0.STABLE8/src/tests/testAuth.cc	2008-07-18 22:02:55.000000000 +1200
+++ squid-3.0.STABLE9/src/tests/testAuth.cc	2008-09-10 04:06:45.000000000 +1200
@@ -1,4 +1,4 @@
-#include "config.h"
+#define SQUID_UNIT_TEST 1
 
 #include "squid.h"
 #include "testAuth.h"
diff -u -r -N squid-3.0.STABLE8/src/tests/testBoilerplate.cc squid-3.0.STABLE9/src/tests/testBoilerplate.cc
--- squid-3.0.STABLE8/src/tests/testBoilerplate.cc	2008-07-18 22:02:55.000000000 +1200
+++ squid-3.0.STABLE9/src/tests/testBoilerplate.cc	2008-09-10 04:06:45.000000000 +1200
@@ -1,3 +1,5 @@
+#define SQUID_UNIT_TEST 1
+
 #include "squid.h"
 #include <stdexcept>
 
diff -u -r -N squid-3.0.STABLE8/src/tests/testCacheManager.cc squid-3.0.STABLE9/src/tests/testCacheManager.cc
--- squid-3.0.STABLE8/src/tests/testCacheManager.cc	2008-07-18 22:02:55.000000000 +1200
+++ squid-3.0.STABLE9/src/tests/testCacheManager.cc	2008-09-10 04:06:45.000000000 +1200
@@ -1,3 +1,5 @@
+#define SQUID_UNIT_TEST 1
+
 #include "squid.h"
 #include <cppunit/TestAssert.h>
 
diff -u -r -N squid-3.0.STABLE8/src/tests/testDiskIO.cc squid-3.0.STABLE9/src/tests/testDiskIO.cc
--- squid-3.0.STABLE8/src/tests/testDiskIO.cc	2008-07-18 22:02:55.000000000 +1200
+++ squid-3.0.STABLE9/src/tests/testDiskIO.cc	2008-09-10 04:06:45.000000000 +1200
@@ -1,3 +1,5 @@
+#define SQUID_UNIT_TEST 1 
+
 #include "squid.h"
 #include <stdexcept>
 
@@ -6,7 +8,9 @@
 #include "SwapDir.h"
 #include "DiskIO/DiskIOModule.h"
 #include "fs/ufs/ufscommon.h"
+#if 0 // AYJ: COSS in 3.0 is disabled.
 #include "fs/coss/CossSwapDir.h"
+#endif
 #include "Mem.h"
 #include "MemObject.h"
 #include "HttpHeader.h"
diff -u -r -N squid-3.0.STABLE8/src/tests/testHttpRequestMethod.cc squid-3.0.STABLE9/src/tests/testHttpRequestMethod.cc
--- squid-3.0.STABLE8/src/tests/testHttpRequestMethod.cc	2008-07-18 22:02:55.000000000 +1200
+++ squid-3.0.STABLE9/src/tests/testHttpRequestMethod.cc	2008-09-10 04:06:45.000000000 +1200
@@ -1,3 +1,5 @@
+#define SQUID_UNIT_TEST 1 
+
 #include "squid.h"
 #include <sstream>
 #include <cppunit/TestAssert.h>
diff -u -r -N squid-3.0.STABLE8/src/tests/testStore.cc squid-3.0.STABLE9/src/tests/testStore.cc
--- squid-3.0.STABLE8/src/tests/testStore.cc	2008-07-18 22:02:55.000000000 +1200
+++ squid-3.0.STABLE9/src/tests/testStore.cc	2008-09-10 04:06:45.000000000 +1200
@@ -1,3 +1,5 @@
+#define SQUID_UNIT_TEST 1
+
 #include "squid.h"
 #include "testStore.h"
 #include "Store.h"
diff -u -r -N squid-3.0.STABLE8/src/tests/testStoreController.cc squid-3.0.STABLE9/src/tests/testStoreController.cc
--- squid-3.0.STABLE8/src/tests/testStoreController.cc	2008-07-18 22:02:55.000000000 +1200
+++ squid-3.0.STABLE9/src/tests/testStoreController.cc	2008-09-10 04:06:45.000000000 +1200
@@ -1,3 +1,5 @@
+#define SQUID_UNIT_TEST 1
+
 #include "squid.h"
 
 #include "testStoreController.h"
diff -u -r -N squid-3.0.STABLE8/src/tests/testStoreEntryStream.cc squid-3.0.STABLE9/src/tests/testStoreEntryStream.cc
--- squid-3.0.STABLE8/src/tests/testStoreEntryStream.cc	2008-07-18 22:02:55.000000000 +1200
+++ squid-3.0.STABLE9/src/tests/testStoreEntryStream.cc	2008-09-10 04:06:45.000000000 +1200
@@ -1,3 +1,5 @@
+#define SQUID_UNIT_TEST 1
+
 #include "squid.h"
 #include "Mem.h"
 #include "testStore.h"
diff -u -r -N squid-3.0.STABLE8/src/tests/testStoreHashIndex.cc squid-3.0.STABLE9/src/tests/testStoreHashIndex.cc
--- squid-3.0.STABLE8/src/tests/testStoreHashIndex.cc	2008-07-18 22:02:55.000000000 +1200
+++ squid-3.0.STABLE9/src/tests/testStoreHashIndex.cc	2008-09-10 04:06:45.000000000 +1200
@@ -1,3 +1,5 @@
+#define SQUID_UNIT_TEST 1
+
 #include "squid.h"
 
 #include "testStoreHashIndex.h"
diff -u -r -N squid-3.0.STABLE8/src/tests/testURLScheme.cc squid-3.0.STABLE9/src/tests/testURLScheme.cc
--- squid-3.0.STABLE8/src/tests/testURLScheme.cc	2008-07-18 22:02:55.000000000 +1200
+++ squid-3.0.STABLE9/src/tests/testURLScheme.cc	2008-09-10 04:06:45.000000000 +1200
@@ -1,3 +1,5 @@
+#define SQUID_UNIT_TEST 1
+
 #include "squid.h"
 #include <sstream>
 #include <cppunit/TestAssert.h>
diff -u -r -N squid-3.0.STABLE8/src/wccp2.cc squid-3.0.STABLE9/src/wccp2.cc
--- squid-3.0.STABLE8/src/wccp2.cc	2008-07-18 22:02:55.000000000 +1200
+++ squid-3.0.STABLE9/src/wccp2.cc	2008-09-10 04:06:45.000000000 +1200
@@ -41,7 +41,9 @@
 #include "SwapDir.h"
 
 #if USE_WCCPv2
+#if HAVE_NETDB_H
 #include <netdb.h>
+#endif
 
 #define WCCP_PORT 2048
 #define WCCP_RESPONSE_SIZE 12448
diff -u -r -N squid-3.0.STABLE8/src/win32.cc squid-3.0.STABLE9/src/win32.cc
--- squid-3.0.STABLE8/src/win32.cc	2008-07-18 22:02:55.000000000 +1200
+++ squid-3.0.STABLE9/src/win32.cc	2008-09-10 04:06:45.000000000 +1200
@@ -126,8 +126,10 @@
             FILETIME ftCreate, ftExit, ftKernel, ftUser;
 
             if (GetProcessTimes(hProcess, &ftCreate, &ftExit, &ftKernel, &ftUser)) {
-                int64_t tUser64 = (*(int64_t *)&ftUser / 10);
-                int64_t tKernel64 = (*(int64_t *)&ftKernel / 10);
+		int64_t *ptUser = (int64_t *)&ftUser;
+                int64_t tUser64 = *ptUser / 10;
+		int64_t *ptKernel = (int64_t *)&ftKernel;
+                int64_t tKernel64 = *ptKernel / 10;
                 usage->ru_utime.tv_sec =(long)(tUser64 / 1000000);
                 usage->ru_stime.tv_sec =(long)(tKernel64 / 1000000);
                 usage->ru_utime.tv_usec =(long)(tUser64 % 1000000);
diff -u -r -N squid-3.0.STABLE8/src/WinSvc.cc squid-3.0.STABLE9/src/WinSvc.cc
--- squid-3.0.STABLE8/src/WinSvc.cc	2008-07-18 22:02:53.000000000 +1200
+++ squid-3.0.STABLE9/src/WinSvc.cc	2008-09-10 04:06:44.000000000 +1200
@@ -66,10 +66,10 @@
 SQUIDCEXTERN LPCRITICAL_SECTION dbg_mutex;
 void WIN32_ExceptionHandlerCleanup(void);
 static int s_iInitCount = 0;
-#endif
+static HANDLE NotifyAddrChange_thread = INVALID_HANDLE_VALUE;
+#endif /* _SQUID_MSWIN_ */
 
 static int Squid_Aborting = 0;
-static HANDLE NotifyAddrChange_thread = INVALID_HANDLE_VALUE;
 
 #undef NotifyAddrChange
 typedef DWORD(WINAPI * PFNotifyAddrChange) (OUT PHANDLE, IN LPOVERLAPPED);
@@ -473,7 +473,7 @@
     }
     return status;
 }
-#endif
+#endif /* _SQUID_MSWIN_ */
 
 int WIN32_Subsystem_Init(int * argc, char *** argv)
 {
diff -u -r -N squid-3.0.STABLE8/test-suite/Makefile.in squid-3.0.STABLE9/test-suite/Makefile.in
--- squid-3.0.STABLE8/test-suite/Makefile.in	2008-07-18 22:02:55.000000000 +1200
+++ squid-3.0.STABLE9/test-suite/Makefile.in	2008-09-10 04:06:45.000000000 +1200
@@ -196,6 +196,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -258,6 +259,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
diff -u -r -N squid-3.0.STABLE8/tools/Makefile.in squid-3.0.STABLE9/tools/Makefile.in
--- squid-3.0.STABLE8/tools/Makefile.in	2008-07-18 22:02:55.000000000 +1200
+++ squid-3.0.STABLE9/tools/Makefile.in	2008-09-10 04:06:45.000000000 +1200
@@ -131,6 +131,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -193,6 +194,7 @@
 NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
 NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
 NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
 NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
 OBJEXT = @OBJEXT@
 OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
